<?php include('livedata.php');
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: April 2025 adds Soil		  	                                           
########################################################
// weather34 pure csv without mysql extras built September 2018 finished June 2019//
date_default_timezone_set($TZ);
$date = date_create();
$id=00;
$aqiweather["aqindex"]      = number_format(pm25_to_aqi($weather["airquality-davispm25"]), 1);	
$weather['realfeel'] = anytoc($weather['realfeel']);
//disable error logging if you get server errors
//error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);ini_set("display_errors","off");
//path is weather34charts/year/day.csv (eg: weathercharts/2019/24Jun2019.csv )
$weatherchartfile = "weather34charts/".date('Y')."/".date('jMY').".csv";

if ($meteobridgeapi[43]=='--'){$meteobridgeapi[43]=0;}
if ($meteobridgeapi[45]=='--'){$meteobridgeapi[45]=0;}
$weather34chartdata   = $id."," // ID 0
.date('H:i')."," // time 1
.$meteobridgeapi[2]."," // Temp 2
.$meteobridgeapi[10]."," //Pressure 3
.$meteobridgeapi[9]."," // Rain 4
.$meteobridgeapi[43]."," // UV 5
.$meteobridgeapi[40]."," // Wind Speed  6
.$meteobridgeapi[17]."," // Wind Speed Avg 7
.$meteobridgeapi[45]."," // Solar 8
.$meteobridgeapi[4]."," // Dewpoint 9
.$meteobridgeapi[8]."," // Rain Rate 10
.$meteobridgeapi[7]."," // Wind Direction 11
.$meteobridgeapi[22]."," // Indoor Temp 12
.$meteobridgeapi[23]."," // Indoor Humidity 13
.date('j M')."," // Date Month /Year 14 (not used)
.$weather['realfeel']."," // Real Feel 15
.$weather["lightningmax10"]."," // Lightning Total 16
.$weather["humidity"]."," // Humidity 17
.$aqiweather['aqindex']."," // Air Quality 18
.$weather["soiltemp"] ."," // Soil Temp 19
.$weather["soilhum"] ."" // Soil Temp 20
."\r\n";

$output=$weatherchartfile;
$fp = fopen($weatherchartfile, 'a+'); 
fwrite($fp,$weather34chartdata); 
fclose($fp);
?>

<?php  // with PURPLE AIR additional conversion script included by Andrew Billits 24 April 2018 charts
if($purpleairhardware=='yes'){
//2022 Weather34 Purple Air new API format
$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);

$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm_a'];
$aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
$aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
$aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
$aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
$a=""; 
if ($aqiweather["aqi"] ==$a) {$aqiweather["aqi"] = "0" ;}
$aqiweather["aqi"]=number_format($aqiweather["aqi"],1);

$airchartfile = "weather34charts/".date('Y')."/".date('jMY')."airquality.csv";
$airchartdata   = $id.",".date('H:i').",".$aqiweather["aqi"].""."\r\n";
$output=$airchartfile;
$fp2 = fopen($airchartfile, 'a+'); 
fwrite($fp2,$airchartdata); 
fclose($fp2);
}
else "do nothing";
?>

<?php  // with AIR additional conversion script included by Andrew Billits 24 April 2018 charts
if($luftdatenhardware=='yes'){
$url = 'jsondata/luftdaten.txt'; // luftdaten JSON file
$data = file_get_contents($url); // put the contents of the file into a variable
$weather34luftdaten = json_decode($data,true); // decode the JSON feed
foreach ($weather34luftdaten as $weather34luftdatenaqi) {}
$aqiweather["aqi25"]     = $weather34luftdatenaqi['sensordatavalues'][1]['value'];
$aqiweather["aqindex"]= number_format(pm25_to_aqi($aqiweather["aqi25"]), 1);
$airchartfile1 = "weather34charts/".date('Y')."/".date('jMY')."airquality-luftdaten.csv";
$airchartdata1   = $id.",".date('H:i').",".$aqiweather["aqindex"].""."\r\n";
$output=$airchartfile1;
$fp23 = fopen($airchartfile1, 'a+'); 
fwrite($fp23,$airchartdata1); 
fclose($fp23);
}
else "do nothing";
?>
