<?php 

	####################################################################################################
	#	CREATED FOR AURORA MKII TEMPLATE 											                   #
	# 	                                                                                               #
	# 	Release  2027	Charts				  	                                               #
	# 	                                                                                               #
	#   weather34 	                                                                                   #
	####################################################################################################




include_once('livedata.php');include_once('updater2027charts.php');date_default_timezone_set($TZ);?>
<!DOCTYPE html><html><head>
<title> <?php echo $stationName;?> 2027 Charts</title>
<meta name="title" content="<?php echo $stationName;?> 2024 Charts">
<meta name="description" content="2027 Charts for <?php echo $stationName;?>">
<meta name="viewport" content="width=device-width, initial-scale=1,user-scalable=yes">
<meta name="mobile-web-app-capable" content="yes">
<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css')?>" rel="stylesheet prefetch">
<link rel="preload" href="fonts/clock3-webfont.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" crossorigin>

</head>
<body>
<!-- weather34 NANOSD console flex layout -->
<div class="weather34-tablet">
<div class="container">
<div class="nav-top">   
<div class="weather34-indoor"><?php echo $timeicon?> <div id="weather34clock4"></div>
<div class="desktoplink4"><?php echo $chartcalendar;?> 2027 Charts</div></div>
<div class="desktoplink3"><?php echo $headerlocation; echo $stationName?>
<div class="online"><?php if(file_exists($livedata)&&time()- filemtime($livedata)>300)echo $wirelessoffline;else echo $wireless?></div>
</div></div>  
  <ul class="grid-containercharts">
  <li> <div id=temperature></div>
  <div class='weather34zoom'><div class='weatherzoomholder'><a href="weather34charts/yeartemperaturemodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li> 



  <li><div id=humidity></div>
  <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearhumiditymodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>  
  
  
  
  <li><div id=dewpoint></div>
  <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yeardewpointmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>      



   <li><div id=rain></div> 
   <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearrainfallmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>   

  <li><div id=gust></div>
   <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearwindspeedmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>   

  <li><div id=winddir></div>
   <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearwinddirectionmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>  

  <?php if($uvsensor=="no"){?> 
  <li><div id=wind></div>
   <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearwindspeedmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>  
  <?php }?>


    <?php if($uvsensor=="yes"){?> 
  <li><div id=uvindex></div>
  <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearuvindexmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>      
    
  <li><div id=solar></div> 
  <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearsolarmodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
  </div></li>  
<?php }?>

<li><div id=barometer></div>
  <div class='weather34zoom'><div class='weatherzoomholder'>
  <a href="weather34charts/yearbarometermodulechart2a2027.php" data-lity data-title='Zoom'>
  <?php echo $weather34chartzoom?></a></div>
   </div></li> 


<?php if($uvsensor=="no"){?> 
<li><div id=moonsun></div></li> 
<?php }?>

  <li3><div id=theclock></div></li3>  

  <lichart>
          <div id=chartfooter></div>
        </lichart>
      </ul>
      <div class="nav-bottom-charts">

<!-- weather34 new chart year selection January 2027 -->

<div id="weather34-menubutton">
     <button class="weather34-open-menu" onclick="openNav()"><?php echo $weather34chart2 ?> <icontextchart>Chart Menu</icontextchart></button></div>
      <div id="weather34-menu2024" class="weather34_sidemenu"> <a href="javascript:void(2)" class="closebtn" onclick="closeNav()">X</a> 
      <?php include_once('weather34-sidemenu-charts.php');?>
      </div>
  <script>
function openNav() {
    document.getElementById("weather34-menu2024").style.width = "275px";
    document.getElementById("weather34menuopened").style.marginLeft = "275px";}
function closeNav() {
    document.getElementById("weather34-menu2024").style.width = "0";
    document.getElementById("weather34-menubutton").style.marginLeft = "0";}


  </script>

        

        <!-- weather34 theme -->
        <div class="weather34switchercharts" >
          <a data-title="Switch Theme"><button id="weather34theme-toggle" class="weather34switch" type="button"> <?php echo $themeshadelight; ?>
            </button>
        </div></a>
        <script>
          var toggle = document.getElementById("weather34theme-toggle");
          var storedTheme = localStorage.getItem('theme');
          if (storedTheme)
            document.documentElement.setAttribute('data-theme', storedTheme)
          toggle.onclick = function() {
            var currentTheme = document.documentElement.getAttribute("data-theme");
            var targetTheme = "light";
            if (currentTheme === "light") {
              targetTheme = "dark";
            }
            document.documentElement.setAttribute('data-theme', targetTheme)
            localStorage.setItem('theme', targetTheme);
          };
       
        </script>
         
       

        <weather34-rightfootericons>

          <div class="weather34-aurora"><a href="info.html" data-lity data-title="Info" class="footericons">
              <img src="images/weather34-logo-small.svg" width="23px" height="23px"></a></div>
        </weather34-rightfootericons>
</body>

</html>