<?php include_once('livedata.php');
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: July 2021		  	                                           
########################################################
$numberformat=1;if ($weather["wind_units"]=='kts'){$numberformat=0;}
$weather["wind_direction"] = number_format($weather["wind_direction"], 0);
$weather["wind_direction_avg"] = number_format($weather["wind_direction_avg"], 0);
$weather["wind_direction_avgday"] = number_format($weather["wind_direction_avgday"], 0);
$weather["wind_direction_avgmonth"] = number_format($weather["wind_direction_avgmonth"], 0);
if ($windunitatc == 'yes') {
    $weather["wind_direction"] = str_pad($weather["wind_direction"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avg"] = str_pad($weather["wind_direction_avg"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgmonth"] = str_pad($weather["wind_direction_avgmonth"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgday"] = str_pad($weather["wind_direction_avgday"], 3, "0", STR_PAD_LEFT);
}
if ($weather["wind_direction"] > $weather['winddir_avg5min']) {
    $windtrend = "1";
}
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];

?> 

<meta http-equiv="Content-Type: text/html; charset=UTF-8" />
<head>
<style>
    
.thearrow2a {
        -webkit-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -moz-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -o-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -ms-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);   
        opacity:1    
    }

    .thearrow2a:after {
    content: "";
    position: absolute;
    z-index: 10;
    left: 50%;
    top: 8px;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 24px solid <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}

?>;
    -webkit-transform: translate(-50%, -45%);
    -moz-transform: translate(-50%, -45%);
    -o-transform: translate(-50%, -45%);
    -ms-transform: translate(-50%, -45%);
    transform: translate(-50%, -45%);
 

    
}
    
    

.thearrow1a {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
        }

        .thearrow1a:after {
            content: " <?php echo "   ". number_format($directionchange, 0) ?>°";
            font-size:0;
            color:var(--body-text-dark)


        }

.thearrow5a {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: var(--body-text-dark); padding:0;
        }

    .thearrow5a:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -24px;           
            font-size: 0;
            background: none;          
             color: var(--body-text-dark);       
            transform: rotatez(2deg);
            -webkit-transform: rotatez(2deg);
            -moz-transform: rotatez(2deg);
            -ms-transform: rotatez(2deg);
            margin-left: -5px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }

        .thearrow6 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: var(--body-text-dark); padding:0;
        }

    .thearrow6:after {           
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -24px;           
            font-size: 7px;
            background: none;          
             color: whitesmoke;       
            transform: rotatez(10deg);
            -webkit-transform: rotatez(10deg);
            -moz-transform: rotatez(10deg);
            -ms-transform: rotatez(10deg);
            margin-left: -0px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }


        .homeweathercompass2>.homeweathercompass-line2 {
    position: absolute;
    bottom: 25px;
    left: 30px;
    width: 95px;
    height: 95px;
    margin: 0 auto;
    border: 20px solid rgba(36,38,45,0.7);
    border-radius: 50%;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    margin-top: 40px;
    
 
}
        
        


spancalm {
        position: relative;
        font-family: verb;
        font-size: 26px;
    }
lidir{color: var(--body-text-dark);
    background-color: var(--modules);
    background-image: var(--grid-wind);
    background-size: 5px 5px;
}


 

 


.weather34windbezel {
    background:  rgba(255,255,255,1);
} 

.weather34windbezel2 {
    border: 0 ;
}

.homeweathercompass2>.homeweathercompass-line2 {
    border: 20px solid <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}

?>;
opacity:0.7
}

.weather34compassring {
    border: 20px solid #41464F;
    box-shadow: inset 0 1px rgba(255, 255, 255, 1);
    opacity:var(--compassopacity);
}



.windspeedcontainer  .percent .number, .windspeedcontainer  .card{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  margin-top:-12px;
  margin-left:-340px
}

.windspeedcontainer  * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.windspeedcontainer  hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.windspeedcontainer  {
  position: relative;
  width: 100px;
  display: flex;
  justify-content: space-around;
}
.windspeedcontainer  .card {
  position: relative;
  width: 150px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.windspeedcontainer  .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.windspeedcontainer  .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.windspeedcontainer  .percent { 
  color: whitesmoke;
  font-size: 8px;
  vertical-align: text-top;
  
}
.windspeedcontainer  .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.windspeedcontainer  .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:whitesmoke;
z-index:-1 ;

}

.windspeedcontainer  .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.windspeedcontainer  .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}

.windspeedcontainer  .percent .number unit {
  position: absolute;
  font-size: 7.5px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}

.windspeedcontainer  .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.windspeedcontainer  .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.windspeedcontainer  .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['wind_speed_bft']*30?>) / 440);
  stroke: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}




























.bftcontainer   .percent .number, .bftcontainer   .card{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  margin-top:0px;
  margin-left:-55px
}

.bftcontainer   * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.bftcontainer   hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.bftcontainer   {
  position: relative;
  width: 100px;
  display: flex;
  justify-content: space-around;
}
.bftcontainer   .card {
  position: relative;  
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.bftcontainer   .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 80%;
  height: 80%;
  background-color: none;
  pointer-events: none;
  
}
.bftcontainer   .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.bftcontainer   .percent { 
  color: whitesmoke;
  font-size: 8px;
  vertical-align: text-top;
  
}
.bftcontainer   .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.bftcontainer   .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:whitesmoke;
z-index:-1  
}

.bftcontainer   .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.bftcontainer   .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}

.bftcontainer   .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}

.bftcontainer   .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.bftcontainer   .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.bftcontainer   .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['wind_speed_bft']*30?>) / 440);
  stroke: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}   
    </style> 
</head>
<div class="todayswindmax" style=" color: var(--body-text-dark);font-size:11px;position:absolute;margin-left:60px;
margin-top:-77px;-webkit-line-clamp: 2;line-clamp: 2;">
Avg Today <br><?php 
echo $weather["wind_direction_avgday"]."&deg; ";
if($weather["wind_direction_avgday"]<=11.25){echo "N";}
else if($weather["wind_direction_avgday"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avgday"]<=56.25){echo "NE";}
else if($weather["wind_direction_avgday"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avgday"]<=101.25){echo "East";}
else if($weather["wind_direction_avgday"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avgday"]<=146.25){echo "SE";}
else if($weather["wind_direction_avgday"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avgday"]<=191.25){echo "South";}
else if($weather["wind_direction_avgday"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avgday"]<=236.25){echo "SW";}
else if($weather["wind_direction_avgday"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avgday"]<=281.25){echo "West";}
else if($weather["wind_direction_avgday"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avgday"]<=326.25){echo "NW";}
else if($weather["wind_direction_avgday"]<=348.75){echo "NNW";}
else{echo "N";}?></div>

</div>


                           

</div>




<div class="compassposition" style="margin-left:0px;margin-top:0px;">
<div class="weather34compassring2" style="background:hsla(208, 26%, 40%, 0);background-image: 0;"></div>
<div class="weather34compassgrid2" style=" background-image: 0; background-size: 0" ></div>
<div class="homeweathercompass2" style=" background-image: 0;" >

<div class="weather34north">N</div>
        <div class="weather34-0deg">0&deg;</div>
        <div class="weather34-45deg">45&deg;</div>
        <div class="weather34-ne">NE</div>

        <div class="weather34east">E</div>
        <div class="weather34-90deg">90&deg;</div>
        <div class="weather34-135deg">135&deg;</div>
        <div class="weather34-se">SE</div>

        <div class="weather34south">S</div>
        <div class="weather34-180deg">180&deg;</div>
        <div class="weather34-225deg">225&deg;</div>
        <div class="weather34-sw">SW</div>

        <div class="weather34west">W</div>
        <div class="weather34-270deg">270&deg;</div>
        <div class="weather34-315deg">315&deg;</div>
        <div class="weather34-nw">NW</div>

<div class="homeweathercompass-line2" >

<div class="thearrow1a" style="opacity:1"></div>

<div class="thearrow6"></div>
<div class="weather34windbezew" style="opacity:1">

<div class="weather34windbezel2" style="opacity:1"> 
<div class="thearrow2a"></div>

 </div></div></div>


 <div class="windirectiontext2" style="font-size:20px;color: var(--body-text-dark);font-family:verb;
 margin-left:15px;margin-top:60px;">
<?php //wind speed actual

if($weather["wind_direction"]<=11.25){echo "North<br>";}
else if($weather["wind_direction"]<=33.75){echo "NNE<br>";}
else if($weather["wind_direction"]<=56.25){echo "NE<br>";}
else if($weather["wind_direction"]<=78.75){echo "ENE<br>";}
else if($weather["wind_direction"]<=101.25){echo "East<br>";}
else if($weather["wind_direction"]<=123.75){echo "ESE<br>";}
else if($weather["wind_direction"]<=146.25){echo "SE<br>";}
else if($weather["wind_direction"]<=168.75){echo "SSE<br>";}
else if($weather["wind_direction"]<=191.25){echo "South<br>";}
else if($weather["wind_direction"]<=213.75){echo "SSW<br>";}
else if($weather["wind_direction"]<=236.25){echo "SW<br>";}
else if($weather["wind_direction"]<=258.75){echo "WSW<br>";}
else if($weather["wind_direction"]<=281.25){echo "West<br>";}
else if($weather["wind_direction"]<=303.75){echo "WNW<br>";}
else if($weather["wind_direction"]<=326.25){echo "NW<br>";}
else if($weather["wind_direction"]<=348.75){echo "NNW";}
else{echo "North<br>";}
echo "</div>";

echo "<windunittablet style='font-size:22px;font-family:verb;color: var(--body-text-dark);margin-left:-10px;top:-0px'>".$weather["wind_direction"]."&deg;</windunittablet>";      
?> 
</div>




</div></div></div>



<div style="position:absolute">
<div class=winddirectiontrend style="background:0;box-shadow:0;font-size:11px;color:white">
<a data-winddir="Average Today <?php 
echo $weather["wind_direction_avgday"]."&deg; ";
if($weather["wind_direction_avgday"]<=11.25){echo "North";}
else if($weather["wind_direction_avgday"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avgday"]<=56.25){echo "NE";}
else if($weather["wind_direction_avgday"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avgday"]<=101.25){echo "East";}
else if($weather["wind_direction_avgday"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avgday"]<=146.25){echo "SE";}
else if($weather["wind_direction_avgday"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avgday"]<=191.25){echo "South";}
else if($weather["wind_direction_avgday"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avgday"]<=236.25){echo "SW";}
else if($weather["wind_direction_avgday"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avgday"]<=281.25){echo "West";}
else if($weather["wind_direction_avgday"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avgday"]<=326.25){echo "NW";}
else if($weather["wind_direction_avgday"]<=348.75){echo "NNW";}
else{echo "North";}?> ">


</div></div></div>

</div>    </div>  </div>
  
  
