<?php include_once('livedata.php');
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: April 2023	                                           
########################################################
$weather["wind_direction"] = number_format($weather["wind_direction"], 0);
$weather["wind_direction_avg"] = number_format($weather["wind_direction_avg"], 0);
$weather["wind_direction_avgday"] = number_format($weather["wind_direction_avgday"], 0);
$weather["wind_direction_avgmonth"] = number_format($weather["wind_direction_avgmonth"], 0);
if ($windunitatc == 'yes') {
    $weather["wind_direction"] = str_pad($weather["wind_direction"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avg"] = str_pad($weather["wind_direction_avg"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgmonth"] = str_pad($weather["wind_direction_avgmonth"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgday"] = str_pad($weather["wind_direction_avgday"], 3, "0", STR_PAD_LEFT);
}
if ($weather["wind_direction"] > $weather['winddir_avg5min']) {
    $windtrend = "1";
}
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
?> 

<meta http-equiv="Content-Type: text/html; charset=UTF-8" />
<head>
<style>
    
.thearrow2 {
        -webkit-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -moz-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -o-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -ms-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);       
    }

    .thearrow2:after {
    content: "";
    position: absolute;
    z-index: 300;
    left: 35%;
    font-size:0;
    top: -10px;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 24px solid #e74a33;
    -webkit-transform: translate(-50%, -45%);
    -moz-transform: translate(-50%, -45%);
    -o-transform: translate(-50%, -45%);
    -ms-transform: translate(-50%, -45%);
    transform: translate(-50%, -45%);

    
}
    
    

.thearrow1 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            font-size:0;
        }

        .thearrow1:after {
            content: " <?php echo "   ". number_format($directionchange, 0) ?>°";
        


        }

.thearrow5 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: #34495b; padding:0;
        }

    .thearrow5:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -24px;           
            font-size: 0;
            background: none;          
            color: #34495B;            
            transform: rotatez(2deg);
            -webkit-transform: rotatez(2deg);
            -moz-transform: rotatez(2deg);
            -ms-transform: rotatez(2deg);
            margin-left: -5px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }
        


spancalm {
        position: relative;
        font-family: headingtext;
        font-size: 26px;
    }
lidir{background:rgba(255, 255, 255, .9);
        
      
        color:#34495b;
       

}


 

 


.weather34windbezel {
    background:  rgba(255,255,255,.4);
} 

.weather34windbezel1 {
    border: 9px solid rgba(255,255,255,.2);
}

.homeweathercompass1>.homeweathercompass-line1 {
    border: 20px solid #34495B;
}

.weather34compassring {
    border: 20px solid rgba(255,255,255,.5);
    box-shadow: inset 0 1px rgba(255, 255, 255, .8), 
}

.windirectiontext2 {
    position    : relative;
    z-index     : 10;
    display     : block;
    margin      : 65px 0 auto;
    padding-top : 3px;
    padding-left: 3px;
    margin-left : 18px;
    text-align  : center;
    font-family : verb;
    font-size   : 32px;
    line-height : 1;
    color       : var(--windbody2);
    margin-left : -15px;
}
        
       
.chartdatadirectionicondirfull {
    position   : absolute;
    display    : inline;
    margin-top : -20px;
    float      : left;
    margin-left: -9%;
} 

    
    </style> 
</head>



<div class="todayswindmaxdir">
    
<div class='chartdatadirectionicondirfull'><a href='wind-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfullwind?></a></div> 
    
    
    
    
    Max Today <?php  //max Today
echo number_format($weather["wind_gust_speed_max"],0);
echo "<windunittabletmax> ".$weather["wind_units"]."</windunittabletmax>";
?></div>


<div class="todayswindmaxdir2">
10" Avg <?php echo $weather["wind_direction_avg"]."&deg; ";
if($weather["wind_direction_avg"]<=11.25){echo "North";}
else if($weather["wind_direction_avg"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avg"]<=56.25){echo "NE";}
else if($weather["wind_direction_avg"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avg"]<=101.25){echo "East";}
else if($weather["wind_direction_avg"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avg"]<=146.25){echo "SE";}
else if($weather["wind_direction_avg"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avg"]<=191.25){echo "South";}
else if($weather["wind_direction_avg"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avg"]<=236.25){echo "SW";}
else if($weather["wind_direction_avg"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avg"]<=281.25){echo "West";}
else if($weather["wind_direction_avg"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avg"]<=326.25){echo "NW";}
else if($weather["wind_direction_avg"]<=348.75){echo "NNW";}
else{echo "North";}?></div>

</div>




<div class="compassposition" style="margin-left:0px;margin-top:-10px;">
<div class="weather34compassring" style="background:hsla(208, 26%, 40%, 0);background-image: 0;"></div>
<div class="weather34compassgrid" style=" background-image: 0; background-size: 0" ></div>
<div class="homeweathercompass1" style=" background-image: 0;" >

<div class="weather34north">N</div>
        <div class="weather34-0deg">0&deg;</div>
        <div class="weather34-45deg">45&deg;</div>
        <div class="weather34-ne">NE</div>

        <div class="weather34east">E</div>
        <div class="weather34-90deg">90&deg;</div>
        <div class="weather34-135deg">135&deg;</div>
        <div class="weather34-se">SE</div>

        <div class="weather34south">S</div>
        <div class="weather34-180deg">180&deg;</div>
        <div class="weather34-225deg">225&deg;</div>
        <div class="weather34-sw">SW</div>

        <div class="weather34west">W</div>
        <div class="weather34-270deg">270&deg;</div>
        <div class="weather34-315deg">315&deg;</div>
        <div class="weather34-nw">NW</div>

<div class="homeweathercompass-line1">
<div class="thearrow1"></div>
<div class="thearrow2"></div>
<div class="thearrow5"></div>
<div class="weather34windbezew" >
<div class="weather34windbezel1"> 
<div class="circleborder4" > </div>
 </div></div></div>


<div class="windirectiontext2">
<?php //wind speed actual
if ($meteobridgeapi[6]*1.25 >11){echo "".number_format($weather["wind_gust_speed"]*1.25,0)."";}
else if ($weather["wind_gust_speed"]>=10){echo "".number_format($weather["wind_gust_speed"],0)."";}
else echo "".number_format($weather["wind_gust_speed"],1)."";   
echo "<windunittablet style='font-size:10px;color: var(--windbody2);'>".$weather["wind_units"]."</windunittablet>";      
?></div>
</div></div></div>

<div class="windirectionphrases" ><?php 
if($weather["wind_direction"]<=11.25){echo "Due North<br>";}
else if($weather["wind_direction"]<=33.75){echo "North North<br>East";}
else if($weather["wind_direction"]<=56.25){echo "North East<br>";}
else if($weather["wind_direction"]<=78.75){echo "East North<br>East";}
else if($weather["wind_direction"]<=101.25){echo "Due East<br>";}
else if($weather["wind_direction"]<=123.75){echo "East South<br>East";}
else if($weather["wind_direction"]<=146.25){echo "South East<br>";}
else if($weather["wind_direction"]<=168.75){echo "South South<br>East";}
else if($weather["wind_direction"]<=191.25){echo "Due South<br>";}
else if($weather["wind_direction"]<=213.75){echo "South South<br>West";}
else if($weather["wind_direction"]<=236.25){echo "South West<br>";}
else if($weather["wind_direction"]<=258.75){echo "West South<br>West";}
else if($weather["wind_direction"]<=281.25){echo "Due West<br>";}
else if($weather["wind_direction"]<=303.75){echo "West North<br>West";}
else if($weather["wind_direction"]<=326.25){echo "North West<br>";}
else if($weather["wind_direction"]<=348.75){echo "North  North<br>West";}
else{echo "Due North<br>";}
echo " ".$weather["wind_direction"]."&deg;";?>
</div></div>





</div></div></div>




<a data-winddir="<?php echo "Average Today ";
echo  $weather["wind_speed_avgday"]." ".$weather["wind_units"];?>">




<div class="windspeedposition" style="font-size:18px;max-width:50px;line-height:.9; margin-top: 4pt;">  
<?php  

//bft phrase
if ( $weather['wind_speed_bft']>=12){echo "Alert Hurricane";}
else if ($weather['wind_speed_bft']>=11){echo "Violent Storm";}
else if ($weather['wind_speed_bft']>=10){echo "Storm Force ";}
else if ($weather['wind_speed_bft']>=8){echo "Gale Force";}
else if ($weather['wind_speed_bft']>=7){echo "Near Gale Force ";}
else if ($weather['wind_speed_bft']>=6){echo "Strong Breeze";}
else if ($weather['wind_speed_bft']>=5){echo "Fresh Breeze";}
else if ($weather['wind_speed_bft']>=4){echo "Moderate Breeze";}
else if ($weather['wind_speed_bft']>=3){echo "Gentle Breeze";}
else if ($weather['wind_speed_bft']>=1){echo "Light Breeze";}
else if ($weather['wind_speed_bft']>=0){echo "Dead Calm ";}   
;
?></div>




<div class="heatcirclewind1">
<div class=sunratebar style=" width: 120px;">
<div class="weather34sunratebar" 
style="width:<?php echo ($weather['wind_speed_bft'])*10;?>px;
background:<?php 
if ($weather['wind_speed_bft']>=6 ){echo '#cc504c';}
elseif ($weather['wind_speed_bft']>=5 ){echo '#d87040';}
elseif ($weather['wind_speed_bft']>=3 ){echo '#e6a241';}
elseif ($weather['wind_speed_bft']>=0){echo '#9bbc2f';}
?>;">


<div class=directionbft style="color:var(--windbody2)">
<?php echo $weather['wind_speed_bft']." (BFT)";?>
</div></div></div></div>


<div class="directionwindrun">

<?php  //Wind Run
echo " Wind Run ";
if ($distanceunit=='km'){echo '&nbsp;'.number_format($weather["windrun341"]*1.60934, 1).'';echo '<smalltempunit2>&nbsp;km</smalltempunit2>';}
if ($distanceunit=='mi'){echo '&nbsp;'.number_format($weather["windrun341"], 1).'';echo '<smalltempunit2>&nbsp;mi</smalltempunit2>';}?>
</div>


<span style="position:absolute;width:500px">
<div class='chartdatadirectionicondir1' ><a href='winddir-almanac2.php' data-lity data-chartdata="Chart Data">
<?php echo $weather34chartzoomtabletfullwind?></a></div></span>


