<?php 
    ###################################################### 
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 		     
	# 		
	# 	Release: July 2021		Revised September 2021
	# 	                           
	#   weather34 	    
	######################################################

include('livedata.php');date_default_timezone_set($TZ);
if ($weather["rain_units"]=='in'){$rainformat=2;}if ($weather["rain_units"]=='mm'){$rainformat=1;}

$weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
$weather34purpleair_json = json_decode($weather34purpleairfile, true);
//echo $weather34purpleair_json['pm2.5_atm_a'];
$aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
$sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];
$sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
$aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 0);
    $aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
//wood smoke
$aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
$aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 0);

  $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,0);
?>


<div class="todayswindmax" style="padding-top:0px;color:#9498A1">
<?php //rain time ago or rate
$raintimeago=$originalDate124;$seconds_ago = (time() - strtotime($raintimeago));
//rain rate if greater than zero
if ($weather["rain_rate"]>0){
echo "<alternativeblue style='font-size:12px'>
Raining</alternativeblue>";
echo $umbrellatabletblue;}
 
  // less than an hour ago 
else if ($seconds_ago >119 && $seconds_ago <3600) {
  echo $umbrellatabletblue .'<span style="position:absolute;margin-top:5px;font-size:10px;width:max-content;color:#9498A1">'.intval($seconds_ago / 60) .'</alternativeblue>&nbsp;Minutes Ago</span>'; } 
  
  // less than 2 hours ago
else if ($seconds_ago >=3600 && $seconds_ago <7200) {
  echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;font-size:10px;width:max-content;color:#9498A1">
  '.intval($seconds_ago / 3600) .'</alternativeblue>&nbsp;Hour Ago</span>'; }  
 
  // less than 48 hours ago
else if ($seconds_ago >3600 && $seconds_ago <=172800) {
  echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;font-size:10px;
  width:max-content;color:#9498A1"> Last Rainfall 
  '.intval($seconds_ago / 3600) .'</alternativeblue>&nbsp;Hours Ago</span>'; }   

  // if greater than 1 month
else if ($seconds_ago >= 5.256e+6) {echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;
    font-size:10px;width:max-content;color:#9498A1">
  '.intval($seconds_ago / 2.628e+6) .'</alternativeblue>&nbsp;Months Ago</span>'; }  

  // if 1 month
else if ($seconds_ago >= 2.628e+6) {echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;
    font-size:10px;width:max-content;color:#9498A1">
  '.intval($seconds_ago / 2.628e+6) .'</alternativeblue>&nbsp;Month Ago</span>'; }  

  // days ago if greater than 1
else if ($seconds_ago >172800) {echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;
    font-size:10px;width:max-content;color:#9498A1">
    '.intval($seconds_ago / 86400) .'</alternativeblue>&nbsp;Days Ago</span>'; }  
  // day ago if greater than 24 hours
else if ($seconds_ago >= 86400) {echo $umbrellatabletblue. '<span style="position:absolute;margin-top:5px;
    font-size:10px;width:max-content;color:#9498A1">'.intval($seconds_ago / 86400) .'</alternativeblue>&nbsp;Day Ago</span>'; }  
else echo "0<windunittabletmax style='text-transform:lowercase;color:white'> p/hr</windunittabletmax>";
?> </div>


<div class="rainlast24" style="margin-left:230px;margin-top:20pt">
<?php //rain icon

if ($meteobridgeapi[8]>0){echo $umbrellatabletbluebig2;}

?></div>

<div class="rainlast24" style="margin-top:-7pt;color:#9498A1;font-size:11px;margin-left:150px">


<?php //no current rain icon
if ($meteobridgeapi[8]==0 & $weather["rain_24hrs"]==0){;?>
<span style="margin-left:15px;margin-top:-15pt;font-size:11px;color:#9498A1;">
<?php echo ""?></span>
<?php ;}?>
</div>

<div class=extrainfotablet></div>

<div class="weather34caption" style="padding-top:2pt;">Rainfall (<?php echo $weather["rain_units"]?>)</div>

<div class="button-dial-label-tablet"  ;> 
<?php  echo "".number_format($weather["rain_today"],$rainformat). 
"<smallunittablet4 style='color:white;opacity:.7'>".$weather["rain_units"]."</smallunittablet4>";
?>
</div></div><div></div>

<?php if ($meteobridgeapi[8]>0){;?>
<?php //weather34 rain rate phrase/ else rain month
echo "<tempman-tablet style='font-size:10px;color:#9498A1;margin-left:80px'>";
if ($meteobridgeapi[8]>=100){echo "Torrential";}  
  else if ($meteobridgeapi[8]>=40){echo "Heavy";}
  else if ($meteobridgeapi[8]>=10){echo "Moderate";}
  else if ($meteobridgeapi[8]>=2.5){echo "Steady";}
  else if ($meteobridgeapi[8]>0){echo "Light";}
  echo "<blue> ".$meteobridgeapi[8]."</blue> ".$weather["rain_units"]." p/hr";
?><?php ;}?>
</div></tempman-tablet>



<?php if ($meteobridgeapi[8]==0){;?>
<tempman-tablet style="color:#9498A1;margin-left:60px;top:-9px">

<f style="color:#9498A1;font-size:10px;">
 <?php  //month rain
echo date('M')."</f> ";
echo '<f style="color:#9498A1;font-size:10px;">';
echo $weather["rainmmax"]."<smallunittablet9 style='color:#9498A1;'>".$weather["rain_units"]."
 </smallunittablet9>"; ?>

<tempseperator>|</tempseperator>


<f style="color:#9498A1;font-size:10px;">
<?php  //year rain
echo date('Y')."</f> ";
echo '<f style="color:#9498A1;font-size:10px;">';
echo $weather["rainymax"]."
<smallunittablet9 style='color:#9498A1;'>".$weather["rain_units"]."</smallunittablet9>";?>
</tempman-tablet>
<?php ;}?>

<div class="heatcirclerain1" style="<?php if ($meteobridgeapi[8]>0){echo 'margin-top:13px';}if ($meteobridgeapi[8]==0){echo 'margin-top:0px';};?>">

<valuetextheading5 style="word-spacing:125px;">
<?php // weather34 simple css scale 
if ($weather["rain_units"]=='in'){echo 'rate per/hr';}else if ($weather["rain_units"]=='mm'){	echo "rate per/hr ";}	?>
</valuetextheading5>

<div class=sunratebar>
<div class="weather34sunratebar" 
style="width:
<?php echo $meteobridgeapi[8]*1.8;?>px;
<?php 
if ($weather["rain_units"]=='in' && $weather["rain_rate"]>1.4){echo 'background:var(--therainrategrad);';}
else if ($weather["rain_units"]=='mm' && $weather["rain_rate"]>40){echo 'background:var(--therainrategrad);';}
else echo 'background:var(--blue);'?>">
</div></div></div>




<div class='chartdataicon'>
  <a href='rain-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>


<?php //weather34 clean notifications 
$file_live2=file_get_contents($livedata);
$weather34lightning=explode(" ", $file_live2);    
//weather34 sensor lightning
$weather["lightning"]          = $weather34lightning[76];
$weather["lightningkm"]        = $weather34lightning[75];
$weather["lightningmi"]        = $weather34lightning[75];
$weather["lightningmax"]       = $weather34lightning[77];
$weather["lightningmaxdist"]   = $weather34lightning[75];
$weather["lightningtimeago"]   = $weather34lightning[76];
$weather["lightningmonth"]     = $weather34lightning[78];
$weather["lightningyear"]      = $weather34lightning[79];




if ($notifications=='yes') {
//offline
if(file_exists($livedata)&&time()- filemtime($livedata)>300){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Weather Station </weather34-alertmessage> <br>
  <weather34-alertvalue>Offline</weather34-alertunit>
  </weather34-alertvalue></div></div>";}



//woodsmoke
else if ($woodsmoke>=150 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Woodsmoke Risk High $heatindexwu2</weather34-alertmessage> <br>
  <weather34-alertvalue>".$woodsmoke."</orange><weather34-alertunit>". "</weather34-alertunit>
  </weather34-alertvalue></div></div>";}




      //temperature rising rapidly 15 minute
      else if ($weather["temp_units"]=='C' && $weather["temp_trend"]>5 ){echo "
        <div class='weather34alert' id='weather34message'> 
        <div class='weather34-notification'> 
        <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
        <weather34-alertmessage>Temp Rising Rapidly <icon-26-30>".$weather34_temp_icon."</icon-26-30></weather34-alertmessage> <br>
        <weather34-alertvalue>+".$weather['temp_trend']."<weather34-alertunit>&deg; Last 15 Minutes</weather34-alertunit>
        </weather34-alertvalue></div></div>";}
      
      //temperature rising rapidly F 15 minute
      else if ($weather["temp_units"]=='F' && $weather["temp_trend"]>5 ){echo "
        <div class='weather34alert' id='weather34message'> 
        <div class='weather34-notification'> 
        <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
        <weather34-alertmessage>Temp Rising Rapidly <icon-26-30>".$weather34_temp_icon."</icon-26-30></weather34-alertmessage> <br>
        <weather34-alertvalue>+".$weather['temp_trend']."<weather34-alertunit>&deg; Last 15 Minutes</weather34-alertunit>
        </weather34-alertvalue></div></div>";}
      
      
      //temperature falling rapidly 15 minute
      else if ($weather["temp_units"]=='C' && $weather["temp_trend"]<-5 ){echo "
        <div class='weather34alert' id='weather34message'> 
        <div class='weather34-notification'> 
        <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
        <weather34-alertmessage>Temp Falling Rapidly <icon-zero>".$weather34_temp_icon."</icon-zero></weather34-alertmessage> <br>
        <weather34-alertvalue>".$weather['temp_trend']."<weather34-alertunit>&deg;Last 15 Minutes</weather34-alertunit>
        </weather34-alertvalue></div></div>";}
      
      //temperature falling rapidly F 15 minute
      else if ($weather["temp_units"]=='F' && $weather["temp_trend"]<=-5 ){echo "
        <div class='weather34alert' id='weather34message'> 
        <div class='weather34-notification'> 
        <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
        <weather34-alertmessage>Temp Falling Rapidly <icon-zero>".$weather34_temp_icon."</icon-zero></weather34-alertmessage> <br>
        <weather34-alertvalue>".$weather['temp_trend']."<weather34-alertunit>&deg;Last 15 Minutes</weather34-alertunit>
        </weather34-alertvalue></div></div>";}    

//snowfall
else if ($weather["temp_units"]=='C' &&  $weather["rain"]>0 && $weather["temp"]<2){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Caution $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>Sleet/Snowfall</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//snowfall F
else if ($weather["temp_units"]=='F' &&  $weather["rain"]>0 && $weather["temp"]<35){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Caution $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>Sleet/Snowfall</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

  //wind chill
else if ($weather["temp_units"]=='C' && $weather["windchill"]<=0 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Wind Chill Caution $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['windchill']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

  //wind chill F 
  else if ($weather["temp_units"]=='F' && $weather["windchill"]<=32 ){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Windchill Caution $snowflakesvg</weather34-alertmessage> <br>
    <weather34-alertvalue>".$weather['windchill']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
    </weather34-alertvalue></div></div>";}


//pressure falling rapidly
  else if ($weather["temp_units"]=='C' && $weather["barometer_trend"]<=-1.2 ){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Pressure Falling</weather34-alertmessage> <br>
    <weather34-alertvalue> Rapidly </weather34-alertunit>
    </weather34-alertvalue></div></div>";}
    
//pressure falling rapidly inches
else if ($weather["temp_units"]=='F' && $weather["barometer_trend"]<=-0.04 ){echo  "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Pressure Falling</weather34-alertmessage> <br>
  <weather34-alertvalue> Rapidly </weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//freezing dewpoint
else if ($weather["temp_units"]=='C' && $weather["dewpoint"]<=0 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Dewpoint Freezing $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['dewpoint']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//freezing dewpoint F
else if ($weather["temp_units"]=='F' && $weather["dewpoint"]<=32 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Dewpoint Freezing $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['dewpoint']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//feels Cold
  else if ($weather["temp_units"]=='C' && $weather["realfeel"]<0){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Feels Cold $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather["realfeel"]."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

 //feels Cold F
else if ($weather["temp_units"]=='F' && $weather["realfeel"]<=32 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Feels Cold $snowflakesvg</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather["realfeel"]."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//heat index
else if ($weather["temp_units"]=='C' && $weather["heat_index"]>=32 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Heat Index Caution $heatindexwu2</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['heat_index']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}  

//heat index F
  else if ($weather["temp_units"]=='F' && $weather["heat_index"]>=92 ){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Heat Index Caution $heatindexwu2</weather34-alertmessage> <br>
    <weather34-alertvalue>".$weather['heat_index']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
    </weather34-alertvalue></div></div>";}


//rain rate mm
else if ($weather["rain_units"]=='mm' && $weather["rain_rate"]>=20){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Heavy Rainfall <img rel='prefetch' src='wuicons/rainvp.svg' width='20px' height='20px'></weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather["rain_rate"]."<weather34-alertunit>mm per h/r</weather34-alertunit>
  </weather34-alertvalue></div></div>";} 
  
//rain rate inches
else if ($weather["rain_units"]=='in' && $weather["rain_rate"]>=0.7){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $coldalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Heavy Rainfall <img rel='prefetch' src='wuicons/rainvp.svg' width='20px' height='20px'></weather34-alertmessage> <br>
    <weather34-alertvalue>".$weather["rain_rate"]."<weather34-alertunit>in per h/r</weather34-alertunit>
    </weather34-alertvalue></div></div>";}  



//temperature high
else if ($weather["temp_units"]=='C' && $weather["temp"]>=34 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Temperature High $heatindexwu2</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['temp']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//temperature high F
else if ($weather["temp_units"]=='F' && $weather["temp"]>=89.6 ){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Temperature High $heatindexwu2</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['temp']."<weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}


//wind speed +60 kmh
else if ($weather["wind_units"]=='km/h' && $weather["wind_speed_max"]>60){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Caution Strong Gusts $weather34_wind_icon</weather34-alertmessage> <br>
  <weather34-alertvalue>".number_format($weather['wind_speed_max'],1)."<weather34-alertunit>".$weather['wind_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//wind speed +45 kmh
  else if ($weather["wind_units"]=='km/h' && $weather["wind_speed_max"]>45){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Caution Gusty Winds $weather34_wind_icon</weather34-alertmessage> <br>
    <weather34-alertvalue><icon-21-25>".number_format($weather['wind_speed_max'],1)."</icon-21-25><weather34-alertunit>".$weather['wind_units']."</weather34-alertunit>
    </weather34-alertvalue></div></div>";}

    //wind speed +37 mph
else if ($weather["wind_units"]=='mph' && $weather["wind_speed_max"]>37){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Caution Strong Gusts  $weather34_wind_icon</weather34-alertmessage> <br>
  <weather34-alertvalue>".number_format($weather['wind_speed_max'],1)."<weather34-alertunit>".$weather['wind_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

  //wind speed +27 mph
  else if ($weather["wind_units"]=='mph' && $weather["wind_speed_max"]>27.9){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Caution Gusty Winds $weather34_wind_icon</weather34-alertmessage> <br>
    <weather34-alertvalue><icon-21-25>".number_format($weather['wind_speed_max'],1)."</icon-21-25><weather34-alertunit>".$weather['wind_units']."</weather34-alertunit>
    </weather34-alertvalue></div></div>";}



//dewpoint high
else if ($weather["temp_units"]=='C' && $weather["dewpoint"]>=22 && $weather["dewpoint_trend"]>0){echo "
  <div class='weather34alert' id='weather34message'> 
  <div class='weather34-notification'> 
  <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
  <weather34-alertmessage>Dewpoint Caution $heatindexwu2</weather34-alertmessage> <br>
  <weather34-alertvalue>".$weather['dewpoint']."</orange><weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
  </weather34-alertvalue></div></div>";}

//dewpoint high F
else if ($weather["temp_units"]=='C' && $weather["dewpoint"]>=68 && $weather["dewpoint_trend"]>0){echo "
    <div class='weather34alert' id='weather34message'> 
    <div class='weather34-notification'> 
    <weather34-alertheader><h2>Awareness $warmalertnotif</h2> <span class='weather34-timestamp'>".$maxclock." ". date('H:i')."</span> </weather34-alertheader>  
    <weather34-alertmessage>Dewpoint High $heatindexwu2</weather34-alertmessage> <br>
    <weather34-alertvalue>".$weather['dewpoint']."</orange><weather34-alertunit>&deg;".$weather['temp_units']."</weather34-alertunit>
    </weather34-alertvalue></div></div>";}


}
    //add more if required
?>
<script> //fire the weather34 notification
function closeweather34alert(el) { el.addClass('weather34alert-hide');}
$('.js-messageClose').on('click', function(e) { closeweather34alert($(this).closest('.weather34alert'));});
$(document).ready(function() {  setTimeout(function() { closeweather34alert($('#weather34message')); }, 10000);});
</script>
