<?php include('livedata.php');
 $firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
 if ($firerisk<0){$firerisk=0;}?>

<style>
  .solarcontainer .percent .number, .solarcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.solarcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.solarcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.solarcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.solarcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.solarcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.solarcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.solarcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.solarcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.solarcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php //solar color
if ($weather["solar"]>1000 ){echo '#cd504c';}
elseif ($weather["solar"]>=700 ){echo 'var(--orange)';}
elseif ($weather["solar"]>=0 ){echo 'var(--yellow)';}

?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.solarcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.solarcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.solarcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.solarcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.solarcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.solarcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather["solar"] *0.3;?>)/ 440);
  stroke: 
<?php //solar  color
if ($weather["solar"]>1000 ){echo '#cd504c';}
elseif ($weather["solar"]>=700 ){echo 'var(--orange)';}
elseif ($weather["solar"]>=0 ){echo 'var(--yellow)';}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}

</style>



<div class="todaysair">SOLAR </div>
<div class="moduletrendair" style="margin-left:200px">Lux</div>

<div class="solarcontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-15px"></hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <?php echo number_format($weather["solar"],0).""?><unit> W/m&#178;</unit>
          <span></span>
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"> 
<?php 
if($weather["solar"]>=1300){echo 'Extreme';}
else if($weather["solar"]>=1000){echo 'Very High';}
else if($weather["solar"]>=800){echo 'High';}
else if($weather["solar"]>=300){echo 'Moderate';}
else if($weather["solar"]>=0){echo 'Low';}

             
		//END
?></smalltrainunittabletair>
        </div>     

       
      <wsvalue> Luminance <?php //Lux
if ($weather["lux"]>0) {echo "<icon-16-20>".$weather["lux"]."</icon-16-20>";}
else if ($weather["lux"]==0) {echo "<grey style='opacity:0.7;'>".$weather["lux"]."</grey>";};
?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='solar-almanac2.php' data-lity data-chartdata="Solar Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>