<?php 
    #######################################################
	#	CREATED FOR Meteobridge Aurora MKII TEMPLATE 		     
	# 		Soil Humidity
	# 	Release: March 2025	
	# 	                 
	#  Brian Underdown      
	######################################################
include('livedata.php');



//ICON COLOR


if ($weather["soilhum"]  >=75 ){$soilhumcolor= " hsl(201, 79%, 47%)";}
else if ($weather["soilhum"]  <75 ){$soilhumcolor= "hsl(74, 60%, 46%)";}
else if ($weather["soilhum"]  <=45){$soilhumcolor= "hsl(35, 77%, 58%)";}

else if ($weather["soilhum"]  <=27 ){$soilhumcolor= "hsl(19, 66%, 55%)";}
else if ($weather["soilhum"]  <=30 ){$soilhumcolor= "hsl(12, 80%, 52%)";}


// soil phrase
 if ($weather["soilhum"]  >=75 ){$soilhumphrase= "Wet";}
else if ($weather["soilhum"]  >=45){$soilhumphrase= "Moist";}
else if ($weather["soilhum"]  >=30 ){$soilhumphrase= "Dry";}
else if ($weather["soilhum"]  >=0 ){$soilhumphrase= "Extremely Dry";}

//Soil Icon
$soilhumicon="<?xml version='1.0' encoding='utf-8'?>

<svg fill='green' width='60px' height='60px' viewBox='0 0 32 32' id='Layer_1' data-name='Layer 1' 
xmlns='http://www.w3.org/2000/svg'>
  <defs>
    <style>
      .cls-1 {
        fill: none;
      }
    </style>
  </defs>
  <path fill ='$soilhumcolor' d='M24.5,30a5.202,5.202,0,0,1-4.626-8.08L23.49,16.5382a1.217,1.217,0,0,1,2.02,0L29.06,21.8154A5.4921,5.4921,0,0,1,30,24.751,5.385,5.385,0,0,1,24.5,30Zm0-11.38-2.9356,4.3672A3.2079,3.2079,0,0,0,24.5,28,3.3855,3.3855,0,0,0,28,24.751a3.4354,3.4354,0,0,0-.63-1.867Z' transform='translate(0 0)'/>
  <path d='M11,16V11h1a4.0045,4.0045,0,0,0,4-4V4H13a3.9779,3.9779,0,0,0-2.7468,1.1067A6.0034,6.0034,0,0,0,5,2H2V5a6.0066,6.0066,0,0,0,6,6H9v5H2v2H16V16ZM13,6h1V7a2.002,2.002,0,0,1-2,2H11V8A2.002,2.002,0,0,1,13,6ZM8,9A4.0045,4.0045,0,0,1,4,5V4H5A4.0045,4.0045,0,0,1,9,8V9Z' transform='translate(0 0)'/>
  <rect x='2' y='21' width='14' height='2'/>
  <rect x='2' y='26' width='14' height='2'/>
  <rect id='_Transparent_Rectangle_' data-name='&lt;Transparent Rectangle&gt;' class='cls-1' width='32' height='32'/>
</svg>
";
?>



<style>
.module {display: grid; 
position: absolute;
font-size:14px;
font-family:verb;
color: var(--body-text-dark);
}

.indoorenvirocaution{position:absolute;
font-size:10px;
font-family:verb;
color: var(--body-text-dark);
display: inline;
margin-left:-110px;
margin-top:-40px;
background:var(--hilomodule);
width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.indoorenvirovalue{
    position: absolute;
    font-size:38px;
    font-family:verb;
    background:var(--hilomodule);
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:var(--body-text-dark);opacity:.8

}


.indoorenvirodescription{
position: absolute;
font-size:10px;
font-family:verb;
background:var(--hilomodule);
width:180px;
margin-left:-110px;
border-radius: 5px;
margin-top:-10px;
display: block;
padding:3px;
color:var(--body-text-dark);opacity:.9

}


.indoorenvirodescription span{
    color:<?php echo $feelindoorcolor;?>;}

.indoorenvirovalue span2{
font-size:10px;
display: block;


}

.indoorenviroicon{position: absolute;
margin-left:50px;
margin-top:-80px}


.charticonindoor { position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:90px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);
z-index:10;}

.sensorINDcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);
 opacity: 0.64;
 width:max-content;
 font-family:verb;
 }
symbol{
    position:absolute;
    vertical-align:top;
    font-size:14px;
    top:5px;
    color:var(--body-text-dark);
    font-family:verb;
}

</style>

<div class=module>
<div class=sensorINDcaption>Soil Humidty </div>
<div class="indoorenvirovalue"><?php 
//forecast soil humidity
echo " ".mynumberformat($weather["soilhum"],0)."<symbol>".$soilhumunit."</symbol>";
?>


<span2>
<?php //Phrase
echo "Condition = ";
if ($weather["soilhum"]  >=75 ){echo "$soilhumphrase";}
else if ($weather["soilhum"]  >=45){echo "$soilhumphrase";}
else if ($weather["soilhum"]  >=30 ){echo "$soilhumphrase";}
else if ($weather["soilhum"]  >=0 ){echo "$soilhumphrase";}?>


</span2>
</div>


<div class=indoorenviroicon>
<?php //icon 
echo $soilhumicon
;?>
</div>



<div class="indoorenvirodescription"> 

<?php echo "Last 24 hours Avg: ";
if ($weather["soilhum_davg"]    >= 75) {
    echo '<blue>' . $weather["soilhum_davg"]   . '</blue>';
} else if ($weather["soilhum_dmax"]    >= 30) {
    echo '<yellow>' . $weather["soilhum_davg"]  . '</yellow>';
} elseif ($weather["soilhum_davg"]    >= 45) {
    echo '<green>' . $weather["soilhum_davg"]   . '</green>';
} elseif ($weather["soilhum_dmax"]    >= 0) {
    echo '<red>' . $weather["soilhum_davg"]. '</red>';
}
echo "<smallunittablet3> ".$soilhumunit."</smallunittablet3>"  ."
<br> ";





echo date('D jS'); echo " Hi: "; 
//soil max day temp
if ($weather["soilhum_dmax"]    >= 30) {
    echo '<blue>' . $weather["soilhum_dmax"]  . '</blue>';
} else if ($weather["soilhum_dmax"]    >= 10) {
    echo '<yellow>' . $weather["soilhum_dmax"]   . '</yellow>';
} elseif ($weather["soilhum_dmax"]    >= 5) {
    echo '<green>' . $weather["soilhum_dmax"]  . '</green>';
} elseif ($weather["soilhum_dmax"]    >= -50) {
    echo '<blue>' . mynumberformat((anytoC($weather["soilhum_dmax"],1))). '</blue>';
}
echo "<smallunittablet3> ".$soilhumunit."</smallunittablet3>" ;
echo " @". $weather["soilhum_dmaxtime"] ."
<br> ";




echo date('D jS'); echo " Lo: "; 
//soil low day temp
if ($weather["soilhum_dmin"]  >= 30) {
    echo '<blue>' .mynumberformat((anytoC($weather["soilhum_dmin"],1)))  . '</blue>';
} else if ($weather["soilhum_dmin"]  >= 10) {
    echo '<yellow>' .mynumberformat((anytoC($weather["soilhum_dmin"],1)))  . '</yellow>';
} elseif ($weather["soilhum_dmin"]  >= 5) {
    echo '<green>' .mynumberformat((anytoC($weather["soilhum_dmin"],1)))  . '</green>';
} elseif ($weather["soilhum_dmin"]  >= -50) {
    echo '<blue>' .mynumberformat((anytoC($weather["soilhum_dmin"],1)))  . '</blue>';
}

echo "<smallunittablet3> ".$soilhumunit."</smallunittablet3>" ;
echo " @". $weather["soilhum_dmintime"] ."
<br> ";
?>
</div>

<div class=charticonindoor> 
<a href="soil-humidity-almanac2.php" data-lity data-chartdata="Chart Data">
<?php echo $weather34chartzoomtabletfull;?></a>
</div></div>
