<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 							Solar			                        
# 	                                                                                               
# 	Release: 2024 January  	                                           
########################################################
include('livedata.php');
header('Content-type: text/html; charset=utf-8');



//solar ICON COLOR
if ($weather["solar"]>1000 ){$solarcolor= '#cd504c';}
elseif ($weather["solar"]>=700 ){$solarcolor= 'var(--orange)';}
elseif ($weather["solar"]>0 ){$solarcolor= 'var(--yellow)';}
elseif ($weather["solar"]==0 ){$solarcolor= 'rgba(66, 70, 72, 0.429)';}
;

//solar ICON
$solarradiationicon="

<svg height='80' width='80' id='weather34 basic SOLAR circle '>
<text x='23' y='45' fill='$solarcolor' font-size='12' font-family='verb'>W/m&#178</text>
  <circle cx='40' cy='40' r='25' stroke='$solarcolor' stroke-width='3' fill='none' />
</svg>


";
?>



<style>
.module {display: grid; 
position: absolute;
font-size:14px;
font-family:verb;
color: var(--body-text-dark);
}

.solarradiationcaution{position:absolute;
font-size:10px;
font-family:verb;
color: var(--body-text-dark);
display: inline;
margin-left:-110px;
margin-top:-40px;
background:var(--hilomodule);
width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.solarradiationvalue{
  position: absolute;
    font-size:38px;
    font-family:verb;
    background:var(--hilomodule);
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:var(--body-text-dark);opacity:.8
}
.solarradiationvalue span{
font-size:7px;
vertical-align: super;
text-align: center;


}

.solarradiationvalue span2{
font-size:10px;
display: block;


}

.solarradiationdescription{
position: absolute;
font-size:10px;
font-family:verb;
background:var(--hilomodule);
width:180px;
margin-left:-110px;
border-radius: 5px;
margin-top:-10px;
display: block;
padding:3px;
color:var(--body-text-dark);opacity:.9

}

.solarradiationicon{position: absolute;
margin-left:45px;
margin-top:-90px}


.charticonsolar { position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:90px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);
z-index:10;}
.sensorSOLcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);
 opacity: 0.64;
 width:max-content;
 font-family:verb;
 }

</style>

<div class=module>
<div class=sensorSOLcaption>Solar W/m&#178</div>
<div class="solarradiationvalue"><?php 
//forecast temperature
echo " ".mynumberformat($weather["solar"] ,0)." <span>W/m&#178</span> ";
?>
<span2>
<?php 
if($weather["solar"]>=1300){echo 'Extreme Radiation';}
else if($weather["solar"]>=1000){echo 'Very High Radiation';}
else if($weather["solar"]>=800){echo 'High Radiation';}
else if($weather["solar"]>=300){echo 'Moderate Radiation';}
else if($weather["solar"]>=0){echo 'Low Radiation';}?>

</span2>

</div>


<div class=solarradiationicon>
<?php //icon forecast
echo $solarradiationicon
;?>
</div>



<div class="solarradiationdescription"> 
<?php 
//day solar max
echo "Max Solar: " .$weather["solardmax"]. " (W/m&#178)<br>";

//month solar  max
echo date('M')." Solar Max: ".$weather["solarmmax"]." (W/m&#178)<br>";

//lux
echo "Luminance: " .$weather["lux"]. " (Lux)<br>";

?>

</div>

<div class=charticonsolar> 
<a href='solar-almanac2.php' 
data-lity data-chartdata="Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a>
</div></div>