<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 							uvindex			                        
# 	                                                                                               
# 	Release: 2024 January  	                                           
########################################################
include('livedata.php');
header('Content-type: text/html; charset=utf-8');



//uvindex ICON COLOR

if ($weather['uv']>=11 ){$uvindexcolor= 'var(--purple)';}
elseif ($weather['uv']>8 ){$uvindexcolor= '#cd504c';}
elseif ($weather['uv']>=6 ){$uvindexcolor= 'var(--orange)';}
elseif ($weather['uv']>=3 ){$uvindexcolor= 'var(--yellow)';}
elseif ($weather['uv']>0 ){$uvindexcolor= 'var(--green)';}
elseif ($weather['uv']==0 ){$uvindexcolor= 'rgba(66, 70, 72, 0.429)';}
;

//uvindex ICON
$uvindexradiationicon="
<svg height='80' width='80' id='weather34 basic UV circle '>
<text x='28' y='45' fill='$uvindexcolor' font-size='12' font-family='verb'>UVI</text>
  <circle cx='40' cy='40' r='25' stroke='$uvindexcolor' stroke-width='3' fill='none' />
</svg>

";
?>



<style>
.module {display: grid; 
position: absolute;
font-size:14px;
font-family:verb;
color: var(--body-text-dark);
}

.uvindexradiationcaution{position:absolute;
font-size:10px;
font-family:verb;
color: var(--body-text-dark);
display: inline;
margin-left:-110px;
margin-top:-40px;
background:var(--hilomodule);
width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.uvindexradiationvalue{
  position: absolute;
    font-size:38px;
    font-family:verb;
    background:var(--hilomodule);
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:var(--body-text-dark);opacity:.8

}
.uvindexradiationvalue span{
font-size:7px;
vertical-align: super;
text-align: center;


}

.uvindexradiationvalue span2{
font-size:10px;
display: block;


}

.uvindexradiationdescription{
position: absolute;
font-size:10px;
font-family:verb;
background:var(--hilomodule);
width:180px;
margin-left:-110px;
border-radius: 5px;
margin-top:-10px;
display: block;
padding:3px;
color:var(--body-text-dark);opacity:.9

}

.uvindexradiationicon{position: absolute;
margin-left:45px;
margin-top:-90px}


.charticonuvindex { position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:90px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);
z-index:10;}
.sensorUVcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);
 opacity: 0.64;
 width:max-content;
 font-family:verb;
 }

</style>

<div class=module>
<div class=sensorUVcaption>UVINDEX</div>
<div class="uvindexradiationvalue"><?php 
//forecast temperature
echo " ".mynumberformat($weather["uv"] ,1)." <span>UVI</span> ";
?>
<span2>
<?php //uv description caution
if($weather["uv"]>=10){echo 'Extreme UV';}
else if($weather["uv"]>=8){echo 'Very High UV';}
else if($weather["uv"]>=5){echo 'High UV';}
else if($weather["uv"]>=3){echo 'Moderate UV';}
else if($weather["uv"]>=0){echo 'Low UV';}
else echo "<grey>No Risk</grey>";?>


</span2>
</div>


<div class=uvindexradiationicon>
<?php //icon forecast
echo $uvindexradiationicon
;?>
</div>


<div class="uvindexradiationdescription"> 
<?php 
// max uv day
echo "Max UVI: " .$weather["uvdmax"]. " (UVI)<br>";

//month solar  max
echo date('M'). " UVI Max: ".$weather["uvmmax"]." (UVI)<br>";

//current solar 
echo "Solar: " .$weather["solar"]. " (W/m&#178)<br>";

?>
</div>

<div class=charticonuvindex> 
<a href='uv-almanac2.php' 
data-lity data-chartdata="Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a>
</div></div>