<?php
//ini_set('display_errors', 1);
//error_reporting(E_ALL);
include('livedata.php');

  ###############################################################
	#	WEATHER34 Aurora MKII TEMPLATE by BRIAN UNDERDOWN                                
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 												   		  
	#   										    
	# 	       compiled by Torsten https://wetter.de.cool
  #                       April 2023                                                                   
	################################################################
?>

  <style>
         .icons {width:27px;}

	 .forecastwrapper {	
display: grid;
grid-gap: 5px;
grid-template-columns: 185px 185px 185px 185px 185px;    
  background-color:transparent;    
  margin-top:0px;
  margin-left:0px;
  margin-bottom:0px
}

.forecastbox {
	background: var(--chartforecastmodules);
	border: 1px solid var(--modulesborderside); 
  border-radius: 5px;
  padding: 4px; 
  padding-bottom:14px;
  padding-top:4px;
  font-size:10px;
  height:16px;
  font-family:verb;
}



.forecastbox a{
	
  font-size:10px;
  font-family:verb;
  background:0;
  box-shadow: none;
}

.forecastrain{position:relative;margin-top:-7px;font-size:8px;left:0px;margin-bottom:-8px
}

  @media screen and (max-width:960px) {
		 
	.forecastwrapper {	
display: grid;
grid-gap: 10px;
grid-template-columns: 180px 180px 180px ;    
  background-color:transparent;    
  margin-top:-15px;  
  margin-bottom:-20px;
  margin-left:30px
}

.forecastbox {
	background: var(--chartforecastmodules);
	border: 1px solid var(--modulesborderside); 
  border-radius: 5px;
  padding: 4px; 
  padding-bottom:20px;
  padding-top:0px;
  font-size:11px;
  height:25px;
  font-family:verb;
  }}

  @media screen and (max-width:640px) {
		 
		 .forecastwrapper {	
	 display: grid;
	 grid-gap: 5px;
	 grid-template-columns: 160px 160px;    
	   background-color:transparent;    
	   margin-top:5px;
	   margin-bottom:10px;
	   margin-left:-7px
	 }
	 
	 .forecastbox {
		background: var(--chartforecastmodules);
	border: 1px solid var(--modulesborderside); 
  border-radius: 5px;
  padding: 4px; 
  padding-bottom:20px;
  padding-top:0px;
  font-size:9px;
  height:30px;
  font-family:verb;
	   }
	
	   .forecastrain{font-size:8px;}


.forecastbox a{
font-size:8px;
}
	}
		 
		 </style>


<div class="forecastwrapper">
  <div class="forecastbox a">
   
<?php 

$yearscript = substr(basename($_SERVER['PHP_SELF'], ".php"), -4); # letzten 4 Zeichen des Scriptnamens = Jahr
$filename ='weather34charts/'.$yearscript.'.csv';

$f = fopen($filename, 'r');

$tempmax = [];
$tempmin = [];
$dewmax = [];
$dewmin = [];
$hummax = [];
$hummin = [];
$barmax = [];
$barmin = [];
$windmax = [];
$rainmax = [];
$raintotal = [];
$winddir = [];
$uvmax= [];
$solarmax= [];
$paqmax= [];
$daqmax= [];

while(!feof($f)) {
    $row = fgetcsv($f);
	if (!empty($row)) {
		$tempmax += [str_replace(' ', '-', $row[0]) => $row[1]];
		$tempmin += [str_replace(' ', '-', $row[0]) => $row[2]];
		$dewmax += [str_replace(' ', '-', $row[0]) => $row[3]];
		$dewmin += [str_replace(' ', '-', $row[0]) => $row[4]];
		$rainmax += [str_replace(' ', '-', $row[0]) => $row[5]];
    $raintotal += [str_replace(' ', '-', $row[0]) => $row[5]];
		$windmax += [str_replace(' ', '-', $row[0]) => $row[6]];
		$barmax += [str_replace(' ', '-', $row[0]) => $row[9]];
		$barmin += [str_replace(' ', '-', $row[0]) => $row[10]];
		$winddir += [str_replace(' ', '-', $row[0]) => $row[15]];
		$hummax += [str_replace(' ', '-', $row[0]) => $row[16]];
		$hummin += [str_replace(' ', '-', $row[0]) => $row[17]];
    $uvmax += [str_replace(' ', '-', $row[0]) => $row[11]];
    $solarmax += [str_replace(' ', '-', $row[0]) => $row[12]];
    $paqmax += [str_replace(' ', '-', $row[0]) => $row[13]];
    $daqmax += [str_replace(' ', '-', $row[0]) => $row[14]];

	}
}
fclose($f);

//echo sizeof($winddir);

function TempToF($field)
{
  global $weather;
  if ($weather["temp_units"] === 'C') {
    return $field;
  } else {
    return cToFDirect($field);
  }
}

function baroHpaToin($field)
{
  global $weather;
  if ($weather["barometer_units"] == 'hPa') {
    return $field;
  } else {
    return round((float)(0.02952999 * $field), 3);
  }
}

function RainmmToin($field)
{
  global $weather;
  if ($weather["rain_units"] == 'mm') {
    return $field;
  } else {
    //return number_format(0.03937008 * $field, 2);
    return (0.03937008 * $field);
  }
}

function fromToWind($field)
{
  global $weather;
  if ($weather["wind_units"] == 'm/s') {
    return $field;} 
  elseif ($weather["wind_units"] == 'km/h') {
    return number_format(3.6 * $field, 1);}
  elseif ($weather["wind_units"] == 'kts') {
    return round((float)(1.943844 * $field), 0);}
  elseif ($weather["wind_units"] == 'mph') {
    return number_format(2.236936 * $field, 2);}
}


# https://thisinterestsme.com/php-get-key-highest-value/
$maxTVal = max($tempmax);
$minTVal = min($tempmin);
$maxDewVal = max($dewmax);
$minDewVal = min($dewmin);
$maxT = TempToF(max($tempmax));
$minT = TempToF(min($tempmin));
$maxDew = TempToF(max($dewmax));
$minDew = TempToF(min($dewmin));
$maxHumVal = max($hummax);
$minHumVal =  min(array_filter($hummin,'strlen'));
//$minHumVal = min($hummin);
$maxBarVal = max($barmax);
$minBarVal = min($barmin);
$maxWindVal = max($windmax);
$maxWind = max($windmax); // * 3.6; # km/h
$maxRainVal = max($rainmax);
$totRainVal = array_sum($raintotal);



$WinddirVal = round(array_sum($winddir)/count($winddir));
$maxuvVal = max($uvmax);
$maxsolarVal = max($solarmax);
$maxpaqVal = max($paqmax);//purple air
$maxdaqVal = max($daqmax);//davis airlink
// alle keys mit MaxTemp ...
$maxTValKeys = array_keys($tempmax, $maxTVal);
$minTValKeys = array_keys($tempmin, $minTVal);
$maxDewValKeys = array_keys($dewmax, $maxDewVal);
$minDewValKeys = array_keys($dewmin, $minDewVal);
$maxHumValKeys = array_keys($hummax, $maxHumVal);
$minHumValKeys = array_keys($hummin, $minHumVal);

$maxBarValKeys = array_keys($barmax, $maxBarVal);
$minBarValKeys = array_keys($barmin, $minBarVal);
$maxRainValKeys = array_keys($rainmax, $maxRainVal);
$totRainValKeys = array_keys($raintotal, $totRainVal);
$maxWindValKeys = array_keys($windmax, $maxWindVal);
$maxuvValKeys = array_keys($uvmax, $maxuvVal);
$maxsolarValKeys = array_keys($solarmax, $maxsolarVal);
$maxpaqValKeys = array_keys($paqmax, $maxpaqVal);//purple air
$maxdaqValKeys = array_keys($daqmax, $maxdaqVal);//davis airlink

echo " Temp Max &nbsp;";
//temp non metric wu
if($maxTVal<-10){ echo "<icon-minus10>".$maxT."</icon-minus10 >";}
else if($maxTVal<0){ echo "<icon-minus10>".$maxT."</icon-minus10>";}
else if($maxTVal<6){ echo "<icon-0-5>".$maxT."</icon-0-5>";}
else if($maxTVal<12){ echo "<icon-6-10>".$maxT."</icon-6-10>";}
else if($maxTVal<15){ echo "<icon-11-15>".$maxT."</icon-11-15>";}
else if($maxTVal<20){ echo "<icon-16-20>".$maxT."</icon-16-20>";}
else if($maxTVal<25){ echo "<icon-21-25>".$maxT."</icon-21-25>";}
else if($maxTVal<30){ echo "<icon-26-30>".$maxT."</icon-26-30>";}
else if($maxTVal<35){ echo "<icon-31-35>".$maxT."</icon-31-35>";}
else if($maxTVal<45){ echo "<icon-36-40>".$maxT."</icon-36-40>";}
else if($maxTVal<100){ echo "<icon-41-45>".$maxT."</icon-41-45>";}
echo "&deg;&nbsp; ";echo " ".$maxTValKeys[array_key_last($maxTValKeys)]."<br>";

echo " Temp Min &nbsp;";
//temp non metric wu
if($minTVal<-10){ echo "<icon-minus10>".$minT."</icon-minus10 >";}
else if($minTVal<0){ echo "<icon-minus10>".$minT."</icon-minus10>";}
else if($minTVal<6){ echo "<icon-0-5>".$minT."</icon-0-5>";}
else if($minTVal<12){ echo "<icon-6-10>".$minT."</icon-6-10>";}
else if($minTVal<15){ echo "<icon-11-15>".$minT."</icon-11-15>";}
else if($minTVal<20){ echo "<icon-16-20>".$minT."</icon-16-20>";}
else if($minTVal<25){ echo "<icon-21-25>".$minT."</icon-21-25>";}
else if($minTVal<30){ echo "<icon-26-30>".$minT."</icon-26-30>";}
else if($minTVal<35){ echo "<icon-31-35>".$minT."</icon-31-35>";}
else if($minTVal<45){ echo "<icon-36-40>".$minT."</icon-36-40>";}
else if($minTVal<100){ echo "<icon-41-45>".$minT."</icon-41-45>";}
echo "&deg;&nbsp;";echo " ".$minTValKeys[array_key_last($minTValKeys)];
	?>
	
	</div>

    <div class="forecastbox b">
    <?php 
echo " Humidity Max &nbsp;";
//humidity max
$maxHumVal=number_format($maxHumVal,0);
if($maxHumVal>=90){ echo "<alternativeblue>".$maxHumVal."</alternativeblue>";}
else if($maxHumVal>=80){ echo "<blue>".$maxHumVal."</blue>";}
else if($maxHumVal>=60){ echo "<icon-11-15>".$maxHumVal."</icon-11-15>";}
else if($maxHumVal>=40){ echo "<icon-6-10>".$maxHumVal."</icon-6-10>";}
else if($maxHumVal>=0){ echo "<icon-31-35>".$maxHumVal."</icon-31-35>";}
echo "<smalltempunit2> %</smalltempunit2>&nbsp;";echo $maxHumValKeys[array_key_last($maxHumValKeys)]."<br>";

echo " Humidity Min &nbsp;";
$minHumVal=number_format($minHumVal,0);
//Humidity min
if($minHumVal>=90){ echo "<alternativeblue>".$minHumVal."</alternativeblue>";}
else if($minHumVal>=80){ echo "<blue>".$minHumVal."</blue>";}
else if($minHumVal>=60){ echo "<icon-11-15>".$minHumVal."</icon-11-15>";}
else if($minHumVal>=40){ echo "<icon-6-10>".$minHumVal."</icon-6-10>";}
else if($minHumVal>=0){ echo "<icon-31-35>".$minHumVal."</icon-31-35>";}
echo "<smalltempunit2> %</smalltempunit2>&nbsp;";echo " ".$minHumValKeys[array_key_last($minHumValKeys)]."<br>";
	?>
	</div>

    <div class="forecastbox c">
    <?php 
echo " Dewpoint Max &nbsp;";
//dewpoint max
if($maxDewVal<-10){ echo "<icon-minus10>".$maxDew."</icon-minus10 >";}
else if($maxDewVal<0){ echo "<icon-minus10>".$maxDew."</icon-minus10>";}
else if($maxDewVal<6){ echo "<icon-0-5>".$maxDew."</icon-0-5>";}
else if($maxDewVal<12){ echo "<icon-6-10>".$maxDew."</icon-6-10>";}
else if($maxDewVal<15){ echo "<icon-11-15>".$maxDew."</icon-11-15>";}
else if($maxDewVal<20){ echo "<icon-16-20>".$maxDew."</icon-16-20>";}
else if($maxDewVal<25){ echo "<icon-21-25>".$maxDew."</icon-21-25>";}
else if($maxDewVal<30){ echo "<icon-26-30>".$maxDew."</icon-26-30>";}
else if($maxDewVal<35){ echo "<icon-31-35>".$maxDew."</icon-31-35>";}
else if($maxDewVal<40){ echo "<icon-36-40>".$maxDew."</icon-36-40>";}
else if($maxDewVal<100){ echo "<icon-41-45>".$maxDew."</icon-41-45>";}
echo "&deg;&nbsp;";echo " ".$maxDewValKeys[array_key_last($maxDewValKeys)]."<br>";

echo " Dewpoint Min &nbsp;";
//dewpoint min
if($minDewVal<-10){ echo "<icon-minus10>".$minDew."</icon-minus10 >";}
else if($minDewVal<0){ echo "<icon-minus10>".$minDew."</icon-minus10>";}
else if($minDewVal<6){ echo "<icon-0-5>".$minDew."</icon-0-5>";}
else if($minDewVal<12){ echo "<icon-6-10>".$minDew."</icon-6-10>";}
else if($minDewVal<15){ echo "<icon-11-15>".$minDew."</icon-11-15>";}
else if($minDewVal<20){ echo "<icon-16-20>".$minDew."</icon-16-20>";}
else if($minDewVal<25){ echo "<icon-21-25>".$minDew."</icon-21-25>";}
else if($minDewVal<30){ echo "<icon-26-30>".$minDew."</icon-26-30>";}
else if($minDewVal<35){ echo "<icon-31-35>".$minDewVal."</icon-31-35>";}
else if($minDewVal<40){ echo "<icon-36-40>".$minDew."</icon-36-40>";}
else if($minDewVal<100){ echo "<icon-41-45>".$minDew."</icon-41-45>";}
echo "&deg;&nbsp;";echo " ".$minDewValKeys[array_key_last($minDewValKeys)];
	?>
	</div>

    <div class="forecastbox d">

    <?php 
echo " Wind Speed Max &nbsp;";
//wind speed max
if($maxWind>=16.66){echo "<red>" .fromToWind(number_format($maxWind,1))."</red>&nbsp;<smalltempunit2> ".$weather["wind_units"];}
else if($maxWind>=11.11){echo "<orange>" .fromToWind(number_format($maxWind,1))."</orange>&nbsp;<smalltempunit2>".$weather["wind_units"];}
else if($maxWind>=3){echo "<yellow>" .fromToWind(number_format($maxWind,1))."</yellow>&nbsp;<smalltempunit2>".$weather["wind_units"];}
else if($maxWind>=0){echo "<green>" .fromToWind(number_format($maxWind,1))."</green>&nbsp;<smalltempunit2>".$weather["wind_units"];}

//var_dump($maxWindValKeys);
echo "</smalltempunit2><br>";
$countWindValKeys = count($maxWindValKeys);
if (count($maxWindValKeys)>3) {
echo " ".$maxWindValKeys[$countWindValKeys-4];
echo ", ".$maxWindValKeys[$countWindValKeys-3];
echo ", ".$maxWindValKeys[$countWindValKeys-2];
echo ", ".$maxWindValKeys[$countWindValKeys-1];
}
if (count($maxWindValKeys)>2) {
echo " ".$maxWindValKeys[$countWindValKeys-3];
echo ", ".$maxWindValKeys[$countWindValKeys-2];
echo ", ".$maxWindValKeys[$countWindValKeys-1];
}
else if (count($maxWindValKeys)>1) {
echo " ".$maxWindValKeys[$countWindValKeys-2];
echo ", ".$maxWindValKeys[$countWindValKeys-1];
}
else if (count($maxWindValKeys)==1) {echo " ".$maxWindValKeys[0];}


	?>
	</div>


<div class="forecastbox e">
<?php 
echo $yearscript." Wind Direction Average &nbsp;";
//wind direction average
if( $WinddirVal<=11.25){echo "<br><alternativeblue>North ".$WinddirVal."</alternativeblue>&deg; ";}
else if( $WinddirVal<=33.75){echo "<br><alternativeblue>NNE ".$WinddirVal."</alternativeblue>&deg; ";}
else if( $WinddirVal<=56.25){echo "<br><alternativeblue>North East ".$WinddirVal."</alternativeblue>&deg; ";}
else if( $WinddirVal<=78.75){echo "<br><alternativeblue>ENE ".$WinddirVal."</alternativeblue>&deg; ";}
else if( $WinddirVal<=101.25){echo "<br><blue>East ".$WinddirVal."</blue>&deg; ";}
else if( $WinddirVal<=123.75){echo "<br><icon-21-25>ESE ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=146.25){echo "<br><icon-21-25>South East ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=168.75){echo "<br><icon-21-25>SSE ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=191.25){echo "<br><icon-21-25>South ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=213.75){echo "<br><icon-21-25>SSW ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=236.25){echo "<br><icon-21-25>South West ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=258.75){echo "<br><icon-21-25>WSW ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=281.25){echo "<br><icon-21-25>West ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=303.75){echo "<br><icon-21-25>WNW ".$WinddirVal."</icon-21-25>&deg; ";}
else if( $WinddirVal<=326.25){echo "<br><blue>North West ".$WinddirVal."</blue>&deg; ";}
else if( $WinddirVal<=348.75){echo "<br><blue>NNW ".$WinddirVal."</blue>&deg; ";}
else if( $WinddirVal<=360){echo "<br><alternativeblue>North ".$WinddirVal."</alternativeblue>&deg; ";}
?>
</div>


<div class="forecastbox e">
<?php
if ($weather["rain_units"]=='in'){$rainformat=2;}if ($weather["rain_units"]=='mm'){$rainformat=1;} 
//rain max daily accum
echo " Max Day Rain&nbsp;<alternativeblue>";
$maxRainVal= number_format(RainmmToin(str_replace(',', '', $maxRainVal)),$rainformat);
echo str_replace(',', '', $maxRainVal);
echo "</alternativeblue> <smalltempunit2>";
echo $weather["rain_units"]."</smalltempunit2>";
echo " ".$maxRainValKeys[array_key_last($maxRainValKeys)]."<br>";

// rain year total
echo $yearscript;
echo " Total Rainfall &nbsp;<alternativeblue>";
$totRainVal= number_format(RainmmToin(str_replace(',', '', $totRainVal)),$rainformat);
echo str_replace(',', '', $totRainVal);
echo "</alternativeblue> <smalltempunit2>";
echo $weather["rain_units"]."</smalltempunit2>";
?>
</div>


    <div class="forecastbox f">
    <?php 
echo " Pressure + &nbsp;";
//pressure max
echo "<orange>".baroHpaToin($maxBarVal)."</orange> <smalltempunit2> ";echo $weather["barometer_units"]."</smalltempunit2> ";
echo "&nbsp;".$maxBarValKeys[array_key_last($maxBarValKeys)]."<br>";

echo " Pressure - &nbsp;";
//pressure min 
echo "<alternativeblue>".baroHpaToin($minBarVal)."</alternativeblue> <smalltempunit2> ";
echo $weather["barometer_units"]."</smalltempunit2> ";echo "&nbsp;".$minBarValKeys[array_key_last($minBarValKeys)];
	?>
	</div>

 
<div class="forecastbox g">
<?php 
if ($uvsensor=='yes'){
//uv year max
//echo $maxuvVal;
echo " UV INDEX Max &nbsp;";
if ($maxuvVal>=10) {echo "<purple>".$maxuvVal."</purple>";}
else if ($maxuvVal>=8) {echo "<red>".$maxuvVal."</red> ";}
else if ($maxuvVal>=5) {echo "<orange>".$maxuvVal."</orange>";}
else if ($maxuvVal>=3) {echo "<yellow>".$maxuvVal."</yellow>";}
else if ($maxuvVal>0) {echo "<green>".$maxuvVal."</green>";}
echo "&nbsp;";echo " ".$maxuvValKeys[array_key_last($maxuvValKeys)]."<br>";
//solar year max
echo " Solar Max &nbsp;";
//echo $maxsolarVal;
if ( $maxsolarVal>=800) {echo "<red>". $maxsolarVal."</red> ";}
else if ( $maxsolarVal>=500) {echo "<orange>". $maxsolarVal."</orange> ";}
else if ( $maxsolarVal>0) {echo "<yellow>". $maxsolarVal."</yellow> ";}
echo "&nbsp;";echo " ".$maxsolarValKeys[array_key_last($maxsolarValKeys)]."";
}
else if ($position9 == 'weather34-solar.php') {
//solar year max
echo " Solar Max &nbsp;";
//echo $maxsolarVal;
if ( $maxsolarVal>=800) {echo "<red>". $maxsolarVal."</red> ";}
else if ( $maxsolarVal>=500) {echo "<orange>". $maxsolarVal."</orange> ";}
else if ( $maxsolarVal>0) {echo "<yellow>". $maxsolarVal."</yellow> ";}
echo "&nbsp;";echo " ".$maxsolarValKeys[array_key_last($maxsolarValKeys)]."";}

else echo '<div style="font-size:8.5px;text-align:center;margin-top:-10px"><br>UV SOLAR<br>No Data Available</div>';	
?>
</div>





<div class="forecastbox last" >
<?php 

if ($purpleairhardware=='yes'){
//aq year max
//echo $paqVal;
echo " Purple Air  Max &nbsp;";
if ($maxpaqVal>=300) {echo "<purple>".$maxpaqVal."</purple>";}
else if ($maxpaqVal>=150) {echo "<red>".$maxpaqVal."</red> ";}
else if ($maxpaqVal>=100) {echo "<orange>".$maxpaqVal."</orange> ";}
else if ($maxpaqVal>=50) {echo "<yellow>".$maxpaqVal."</yellow> ";}
else if ($maxpaqVal>=0) {echo "<green>".$maxpaqVal."</green>";}
echo "&nbsp;";echo " ".$maxpaqValKeys[array_key_last($maxpaqValKeys)]."<br>";
}

if ($davisairquality=='yes'){
//davis airlinkaq year max
//echo $daqVal;
echo " Airlink  Max &nbsp;";
if ($maxdaqVal>=300) {echo "<purple>".$maxdaqVal."</purple>";}
else if ($maxdaqVal>=150) {echo "<red>".$maxdaqVal."</red> ";}
else if ($maxdaqVal>=100) {echo "<orange>".$maxdaqVal."</orange> ";}
else if ($maxdaqVal>=50) {echo "<yellow>".$maxdaqVal."</yellow> ";}
else if ($maxdaqVal>=0) {echo "<green>".$maxdaqVal."</green>";}
echo "&nbsp;";echo " ".$maxdaqValKeys[array_key_last($maxdaqValKeys)]."<br>";
}
if ($purpleairhardware=='no' && $davisairquality=='no' ){echo 'No Data<br>';}

?>
</div>


<div class="forecastbox last" style="font-size:7.5px;">

<?php echo '<div style="font-size:7.5px;text-align:center;margin-top:-10px">
<br>Almanac Data '.$yearscript.'</div>';?>
</div>
