<?php include('livedata.php');
$firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
if ($firerisk<0){$firerisk=0;}
?>

<style>
  .fireriskcontainer .percent .number, .fireriskcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.fireriskcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.fireriskcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.fireriskcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.fireriskcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.fireriskcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.fireriskcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.fireriskcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.fireriskcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.fireriskcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
 //fire risk color
 if ($firerisk>=90){ echo "var(--red)";}
 else if ($firerisk>=80){ echo "var(--orange)";}
 else if ($firerisk>=50){ echo "var(--yellow)";}
 else if ($firerisk>=0){ echo "var(--green)";}  
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}

.fireriskcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.fireriskcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.fireriskcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  z-index:100
  
  
}
.fireriskcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.fireriskcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo number_format($firerisk,1)*3.5;?>)/ 440);
  stroke: <?php 
  //fire risk color
  if ($firerisk>=90){ echo "var(--red)";}
  else if ($firerisk>=80){ echo "var(--orange)";}
  else if ($firerisk>=50){ echo "var(--yellow)";}
  else if ($firerisk>=0){ echo "var(--green)";} 
?>;
z-index:100
}

wsvalue{font-size: 10px;font-family: verb;max-width: max-content;}

</style>



<div class="todaysair">Fire Risk</div>
<div class="moduletrendair">RH <?php echo $weather["humidity"]."%"?>
</div>

<div class="fireriskcontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-40px"> </hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <span>
          <?php echo $firerisk.""?> </span>     
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure">  
          <?php //FIRERISK color        
          if ($firerisk>=90){ echo "Very High";}
          else if ($firerisk>=80){ echo "High";}
          else if ($firerisk>=50){ echo "Moderate";}
          else if ($firerisk>=0){ echo "Low";}
          else echo "<grey>No Risk</grey>";
          ?></smalltrainunittabletair>
        </div>     

       
      <wsvalue>
	 Chandler Burning Index
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='heat-chill-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>