<?php include('livedata.php');$numberformat=1;if ($weather["wind_units"]=='kts')
{$numberformat=0;}
  //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
         //wood smoke
      $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
      $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
      $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
      $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 1);//EPA
      $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 1);//EPA
      $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 1);//EPA
  
        $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);
      //alternative wood smoke formulas
    //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
     //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
      //use humidity formula with average pm2.5 pa_cf1 a/b
      //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
      //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
      //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
$a=""; 
//last hour trend
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
//echo $weather34purpleair_json['pm2.5_atm_a'];
if ($woodsmoke >= 400) { $aqicaution=' Hazordous';} 
     else if ($woodsmoke >= 300) {$aqicaution='&nbsp; Very Unhealthy';} 
     else if ($woodsmoke >= 200) {$aqicaution='&nbsp; Unhealthy ';} 
     else if ($woodsmoke >= 150) {$aqicaution='Poor';} 
     else if ($woodsmoke >= 100) {$aqicaution=' Caution';} 
     else if ($woodsmoke >= 50) {$aqicaution=' &nbsp; Moderate';} 
     else if ($woodsmoke >= 0) {$aqicaution='&nbsp; Satisfactory';} 
?>

<style>
  .indoorcontainer .percent .number, .indoorcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.indoorcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.indoorcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.indoorcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.indoorcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.indoorcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.indoorcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.indoorcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.indoorcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.indoorcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
  //C
  if ($weather["temp_units"]=='C') { 	
  if ($weather["temp_indoor"]<-10){ echo "var(--temp-0-5)";}
  else if ($weather["temp_indoor"]<0){ echo "var(--temp-0-5)";}
  else if ($weather["temp_indoor"]<10){ echo "var(--temp5-10)";}
  else if ($weather["temp_indoor"]<12){ echo "var(--temp15-20)";}
  else if ($weather["temp_indoor"]<15){ echo "var(--temp15-20)";}
  else if ($weather["temp_indoor"]<20){ echo "var(--temp20-25)";}
  else if ($weather["temp_indoor"]<25){ echo "var(--temp25-30)";}
  else if ($weather["temp_indoor"]<30){ echo "var(--temp30-35)";}
  else if ($weather["temp_indoor"]<35){ echo "var(--temp35-40)";}
  else if ($weather["temp_indoor"]<45){ echo "var(--temp40-45)";}
  else if ($weather["temp_indoor"]<100){ echo "var(--temp45-50)";} 
    }
    //F
    if ($weather["temp_units"]=='F') { 	
    if ($weather["temp_indoor"]<14){ echo "var(--temp-0-5)";}
    else if ($weather["temp_indoor"]<32){ echo "var(--temp-0-5)";}
    else if ($weather["temp_indoor"]<50){ echo "var(--temp5-10)";}
    else if ($weather["temp_indoor"]<53.6){ echo "var(--temp15-20)";}
    else if ($weather["temp_indoor"]<59){ echo "var(--temp15-20)";}
    else if ($weather["temp_indoor"]<68){ echo "var(--temp20-25)";}
    else if ($weather["temp_indoor"]<77){ echo "var(--temp25-30)";}
    else if ($weather["temp_indoor"]<86){ echo "var(--temp30-35)";}
    else if ($weather["temp_indoor"]<95){ echo "var(--temp35-40)";}
    else if ($weather["temp_indoor"]<113){ echo "var(--temp40-45)";}
    else if ($weather["temp_indoor"]<200){ echo "var(--temp45-50)";} 
      }
  
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.indoorcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.indoorcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left:0px;  
  margin-top:-35px;
  margin-left:-2px;
  text-transform: uppercase;
  
}
.indoorcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.indoorcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.indoorcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.indoorcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php  echo number_format(anytoC($weather["temp_indoor"],1)*9);
  ?>) / 440);
  stroke: <?php 
  //C
  if ($weather["temp_units"]=='C') { 	
  if ($weather["temp_indoor"]<-10){ echo "var(--temp-0-5)";}
  else if ($weather["temp_indoor"]<0){ echo "var(--temp-0-5)";}
  else if ($weather["temp_indoor"]<10){ echo "var(--temp5-10)";}
  else if ($weather["temp_indoor"]<12){ echo "var(--temp15-20)";}
  else if ($weather["temp_indoor"]<15){ echo "var(--temp15-20)";}
  else if ($weather["temp_indoor"]<20){ echo "var(--temp20-25)";}
  else if ($weather["temp_indoor"]<25){ echo "var(--temp25-30)";}
  else if ($weather["temp_indoor"]<30){ echo "var(--temp30-35)";}
  else if ($weather["temp_indoor"]<35){ echo "var(--temp35-40)";}
  else if ($weather["temp_indoor"]<45){ echo "var(--temp40-45)";}
  else if ($weather["temp_indoor"]<100){ echo "var(--temp45-50)";} 
    }
    //F
    if ($weather["temp_units"]=='F') { 	
    if ($weather["temp_indoor"]<14){ echo "var(--temp-0-5)";}
    else if ($weather["temp_indoor"]<32){ echo "var(--temp-0-5)";}
    else if ($weather["temp_indoor"]<50){ echo "var(--temp5-10)";}
    else if ($weather["temp_indoor"]<53.6){ echo "var(--temp15-20)";}
    else if ($weather["temp_indoor"]<59){ echo "var(--temp15-20)";}
    else if ($weather["temp_indoor"]<68){ echo "var(--temp20-25)";}
    else if ($weather["temp_indoor"]<77){ echo "var(--temp25-30)";}
    else if ($weather["temp_indoor"]<86){ echo "var(--temp30-35)";}
    else if ($weather["temp_indoor"]<95){ echo "var(--temp35-40)";}
    else if ($weather["temp_indoor"]<113){ echo "var(--temp40-45)";}
    else if ($weather["temp_indoor"]<200){ echo "var(--temp45-50)";} 
      }
  
?>;
}

wsvalue{font-size: 11px;font-family: verb;}



</style>



<div class="todaysair">Indoor</div>
<div class="moduletrendair">

<?php if($weather["temp_indoor_trend"] >0){echo "Rising";}
else if($weather["temp_indoor_trend"]<0){echo "Falling";}
//steady
else echo "Steady";?>
</div>

<div class="indoorcontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-40px">Temperature </hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <?php echo number_format($weather["temp_indoor"],1)."&deg"?>
          <unit>Temperature</unit>
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"> RH <?php echo $weather["humidity_indoor"]."%";?></smalltrainunittabletair>
        </div>     

       
      <wsvalue> Feels
<?php 

if(anytoC($weather["temp_indoor_feel"]) >=30){ echo "<deepred>".$weather["temp_indoor_feel"] ."</deepred>";}
else if(anytoC($weather["temp_indoor_feel"]) >=25){ echo "<red>".$weather["temp_indoor_feel"] ."</red>";}
else if(anytoC($weather["temp_indoor_feel"]) >=20){ echo "<orange>".$weather["temp_indoor_feel"] ."</orange>";}
else if(anytoC($weather["temp_indoor_feel"]) >=18){ echo "<yellow>".$weather["temp_indoor_feel"] ."</yellow>";}
else if(anytoC($weather["temp_indoor_feel"]) >=10){ echo "<green>".$weather["temp_indoor_feel"]."</green>";}
else if(anytoC($weather["temp_indoor_feel"]) >-50){ echo "<blue>".$weather["temp_indoor_feel"] ."</blue>";}
echo "&deg;";?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='weather34-indoor-info-ev.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>