<?php include('livedata.php');
 $firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
 if ($firerisk<0){$firerisk=0;}
 $numberformat=1;if ($weather["wind_units"]=='kts'){$numberformat=0;}
 
 ?>




<style>
  .windgustcontainer .percent .number, .windgustcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:0px
}

.windgustcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.windgustcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.windgustcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.windgustcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.windgustcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.windgustcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.windgustcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.windgustcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.windgustcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: 
<?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.windgustcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.windgustcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.windgustcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.windgustcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.windgustcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.windgustcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['wind_speed_bft'] *30;?>)/ 440);
  stroke: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}




.windspeed {
	--windspeed-value: .3243;
	--color: hsl(calc(240 * (1 - var(--windspeed-value))), 100%, calc(30% + 20% * var(--windspeed-value)));

	width: 120px;
	height: 120px;
    position:absolute;
    margin-left:-120px;
    margin-top:-30px;
}


.windspeed-value {
	stroke-width: 6px;
	stroke: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	  transition: stroke .4s;
	stroke-dasharray:1 2;       }      

.windspeed-circle {
	stroke-width: 6px;
	stroke: var(--modulesborderside);
}

.windspeed-text {
	display:none
	
}



input[type=range] {
	
	display:none

}

.weather34-windvalue {
	position:absolute;
	
	color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	font-family:verb;
	margin-top:20px;
	margin-left:-80px;
	
	font-size:26px
	
}

windsensor{
    position   : absolute;
    font-size  : 11px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : -0px;
    margin-left:-95px;

}

feelslike-tablet2024{ position:absolute;color: var(--body-text-dark);font-size:10px;font-family:verb;margin-left:20px;margin-top:5px}







.bftspeed {
	--bftspeed-value: .3243;
	--color: hsl(calc(240 * (1 - var(--bftspeed-value))), 100%, calc(30% + 20% * var(--bftspeed-value)));

	width: 120px;
	height: 120px;
    position:absolute;
    margin-left:60px;
    margin-top:-30px;
}


.bftspeed-value {
	stroke-width: 6px;
	stroke: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	  transition: stroke .4s;
	stroke-dasharray:1 2;       }      

.bftspeed-circle {
	stroke-width: 6px;
	stroke: var(--modulesborderside);
}

.bftspeed-text {
	display:none
	
}



input[type=range] {
	
	display:none

}

.weather34-bftvalue {
	position:absolute;
	
	color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	font-family:verb;
	margin-top:20px;
	margin-left:100px;
	
	font-size:26px
	
}
bftsensor{
    position   : absolute;
    font-size  : 11px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : -0px;
    margin-left:80px;
    width:200px

}

feelslike-tablet2024{ position:absolute;color: var(--body-text-dark);font-size:10px;font-family:verb;margin-left:20px;margin-top:5px}

windchart{

    position   : absolute;
    font-size  : 11px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : 65px;
    margin-left:-140px;
    width:200px


}

directionchart{

position   : absolute;
font-size  : 11px;
color      : var(--body-text-dark);
font-family: verb;
margin-top        : 65px;
margin-left:120px;
width:200px


}




maxwindtoday,maxbfttoday{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);

    width:max-content;
 margin-left:-10px;
border-radius: 5px;
 margin-top:0px;
 display: block;
 padding:2px;

    color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;

}
maxbfttoday{
    display: block;
    margin-left:-10px;
    margin-top:0px;
    width:max-content;
    padding:2px;
    color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}





.todaywindrun{position   : absolute;
    margin-left: -220px;
    margin-top : -65pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}

.todayaveragewind{position   : absolute;
    margin-left: 170px;
    margin-top : -65pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}


</style>

<div class="todaywindrun"><?php //Wind Run
//kilometers
if  ($distanceunit=='km'){
if ($weather["windrun341"]*1.60934>300){echo '&nbsp;<icon-36-40>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-36-40><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>200){echo '&nbsp;<icon-31-35>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-31-35><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>150){echo '&nbsp;<icon-21-25>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-21-25><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>100){echo '&nbsp;<icon-16-20>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-16-20><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>50){echo '&nbsp;<icon-11-15>'.number_format($weather["windrun341"]*1.60934, 1).'</icon-11-15><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>=0){echo '&nbsp;'.number_format($weather["windrun341"]*1.60934, 1).'<windunittabletaverage>km</windunittabletaverage>';}
}
//miles
if  ($distanceunit=='mi'){
if ($weather["windrun341"]>125){echo '&nbsp;<icon-31-35>'.number_format($weather["windrun341"],0).'</icon-31-35><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>93){echo '&nbsp;<icon-21-25>'.number_format($weather["windrun341"],1).'</icon-21-25><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>60){echo '&nbsp;<icon-16-20>'.number_format($weather["windrun341"], 1).'</icon-16-20><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>30){echo '&nbsp;<icon-11-15>'.number_format($weather["windrun341"], 1).'</icon-11-15><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>=0){echo '&nbsp;'.number_format($weather["windrun341"],1).'<windunittabletaverage>mi</windunittabletaverage>';}
}
echo "</barometervalue><windunittabletdavg2>Wind Run</windunittabletdavg2>";
?>
</div>


<div class="todayaveragewind"><?php //Average Today
if($meteobridgeapi[158]>=16.66 ){echo "<red>" .number_format($weather['wind_speed_avgday'],1)."</red>";}
else if($meteobridgeapi[158]>=11.11 ){echo "<orange>" .number_format($weather['wind_speed_avgday'],1)."</orange>";}
else if($meteobridgeapi[158]>=3 ){echo "<yellow>" .number_format($weather['wind_speed_avgday'],1)."</yellow>";}
else if($meteobridgeapi[158]>=0 ){echo "<green>" .number_format($weather['wind_speed_avgday'],1)."</green>";}
echo "<windunittabletaverage>".$windunit."</windunittabletaverage><windunittabletdavg2>Avg Today</windunittabletdavg2>";
?>
</div>





<div class="windspeed"><windsensor>Wind Speed </windsensor>
<div class="weather34-windvalue">
    


<?php 
if ($weather['wind_units']=='kts'){echo "<span style='margin-left:25px'>".number_format($weather["wind_gust_speed"],0), "</span><smallunittablet7 
    style='position:absolute;font-size:8px;margin-left:-30px;margin-bottom:5px;margin-top:-5px'> 
    ".$weather['wind_units']."</smallunittablet7>";}

    else if ($weather["wind_gust_speed"]>=10){echo "<span style='margin-left:5px'>".number_format($weather["wind_gust_speed"],0), "</span><smallunittablet7 
        style='position:absolute;font-size:8px;margin-left:-30px;margin-bottom:5px;margin-top:-5px'> 
        ".$weather['wind_units']."</smallunittablet7>";}

else echo number_format($weather["wind_gust_speed"],1), "<smallunittablet7 style='position:absolute;font-size:8px;margin-left:-30px;margin-bottom:5px;margin-top:-5px'> 
".$weather['wind_units']."</smallunittablet7>";?>

<maxwindtoday>
<max2024>Max</max2024>  <?php  //max Today
echo number_format($weather["wind_gust_speed_max"],0);echo "<windunittabletmax> ".$weather["wind_units"]."</windunittabletmax>";
?>
</maxwindtoday>

</div>
 </div>     

 



        <div class="compassposition" style="margin-left:8px;margin-top:-5px;">
<div class="weather34compassring2" style="background:hsla(208, 26%, 40%, 0);background-image: 0;"></div>
<div class="weather34compassgrid2" style="background:var(--compasscenter)"></div>
<div class="homeweathercompass2" style=" background-image: 0;background-size:0" >

<div class="weather34north">N</div>
        <div class="weather34-0deg">0&deg;</div>
        <div class="weather34-45deg">45&deg;</div>
        <div class="weather34-ne">NE</div>

        <div class="weather34east">E</div>
        <div class="weather34-90deg">90&deg;</div>
        <div class="weather34-135deg">135&deg;</div>
        <div class="weather34-se">SE</div>

        <div class="weather34south">S</div>
        <div class="weather34-180deg">180&deg;</div>
        <div class="weather34-225deg">225&deg;</div>
        <div class="weather34-sw">SW</div>

        <div class="weather34west">W</div>
        <div class="weather34-270deg">270&deg;</div>
        <div class="weather34-315deg">315&deg;</div>
        <div class="weather34-nw">NW</div>

<div class="homeweathercompass-line2" >

<div class="thearrow1a" style="opacity:1"></div>

<div class="thearrow6"></div>
<div class="weather34windbezew" style="opacity:1">

<div class="weather34windbezel2" style="opacity:1"> 
<div class="thearrow2a"></div>

 </div></div></div>


<div class="windirectiontext2" style="font-size:20px;color: var(--body-text-dark);font-family:verb;margin-left:15px;margin-top:60px;">
<?php //wind  actual

if($weather["wind_direction"]<=11.25){echo "North<br>";}
else if($weather["wind_direction"]<=33.75){echo "NNE<br>";}
else if($weather["wind_direction"]<=56.25){echo "NE<br>";}
else if($weather["wind_direction"]<=78.75){echo "ENE<br>";}
else if($weather["wind_direction"]<=101.25){echo "East<br>";}
else if($weather["wind_direction"]<=123.75){echo "ESE<br>";}
else if($weather["wind_direction"]<=146.25){echo "SE<br>";}
else if($weather["wind_direction"]<=168.75){echo "SSE<br>";}
else if($weather["wind_direction"]<=191.25){echo "South<br>";}
else if($weather["wind_direction"]<=213.75){echo "SSW<br>";}
else if($weather["wind_direction"]<=236.25){echo "SW<br>";}
else if($weather["wind_direction"]<=258.75){echo "WSW<br>";}
else if($weather["wind_direction"]<=281.25){echo "West<br>";}
else if($weather["wind_direction"]<=303.75){echo "WNW<br>";}
else if($weather["wind_direction"]<=326.25){echo "NW<br>";}
else if($weather["wind_direction"]<=348.75){echo "NNW";}
else{echo "North<br>";}
echo "</div>";

echo "<windunittablet style='font-size:22px;font-family:verb;color: var(--body-text-dark);margin-left:-10px;top:-0px'>".$weather["wind_direction"]."&deg;</windunittablet>";      
?> 
</div>

</div></div></div></div></div>





<div class="bftspeed"><bftsensor><?php 
if ( $weather['wind_speed_bft']>=12){echo "Hurricane";}
else if ($weather['wind_speed_bft']>=11){echo "Violent Storm";}
else if ($weather['wind_speed_bft']>=10){echo "Storm Force ";}
else if ($weather['wind_speed_bft']>=8){echo "Gale Force";}
else if ($weather['wind_speed_bft']>=7){echo "Near Gale ";}
else if ($weather['wind_speed_bft']>=6){echo "Strong Breeze";}
else if ($weather['wind_speed_bft']>=5){echo "Fresh Breeze";}
else if ($weather['wind_speed_bft']>=4){echo "Moderate Breeze";}
else if ($weather['wind_speed_bft']>=3){echo "Gentle Breeze";}
else if ($weather['wind_speed_bft']>=1){echo "Light Breeze";}
else if ($weather['wind_speed_bft']>=0){echo "Dead Calm ";}?> </bftsensor>
<div class="weather34-bftvalue"><?php echo $weather["wind_speed_bft"], "<smallunittablet7 style='position:absolute;font-size:10px;margin-left:10px;margin-bottom:5px;margin-top:5px'>
 BFT</smallunittablet7>";?>


<maxbfttoday>
 <?php echo "<max2024>Max</max2024> ";echo $weather['bft-daymax'];echo "<windunittabletmax> BFT</windunittabletmax>";?> 
</maxbfttoday>

</div>
 </div>    
 
 





<windchart>
 <a href='wind-almanac2.php' 
data-lity data-chartdata="Wind Speed Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a></windchart>

<directionchart>
 <a href='winddir-almanac2.php' 
data-lity data-chartdata="Wind Direction Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a></directionchart>
