<?php
	
	####################################################################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	compiled with CanvasJs v3.12.4 GA (licensed)  	                                                                           #
	#                                 #
	# 	                                                                                               #
	# 	Release March 2025				  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	
	include('preload.php');
	$conv = 1;	
	$max = 200;
	$int= '0';
	


	
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR TEMPERATURE DATABASE CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
		
	';
	date_default_timezone_set($TZ);
	$date= date('D jS Y');$weatherfile =date('Y')."/".date('jMY');?>
    <br>
    	<script type="text/javascript">

function WEATHER34CHARTCOLORS(weather34value) {
	if (weather34value>=0 && weather34value<40) {thecolor='#d35f50';}
else if (weather34value>=40 && weather34value<60) {thecolor='hsl(74, 60%, 46%)';}
else if (weather34value>=60 && weather34value<80){thecolor=' hsl(35, 77%, 58%)';} 
else if (weather34value>=80 && weather34value<90){thecolor='hsla(185, 100%, 37%, 1)';}  
else if (weather34value>=90 && weather34value<=100){thecolor='hsl(201, 79%, 47%)';}  
else if (weather34value>=90 && weather34value<=200){thecolor='hsl(201, 87.10%, 18.20%)';}  
else {thecolor='hsl(35, 77%, 58%)';}
return thecolor;}

		// today soil humidity
        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)			
					dataPoints1.push({label: rowData[1],y:parseFloat(rowData[20]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[20]))});
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)
					//dataPoints2.push({label: rowData[1],y:parseFloat(rowData[15])});
					dataPoints2.push({label: rowData[1],y:parseFloat(rowData[20]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[20]))});
				
			}
			drawChart(dataPoints1 );
		}
	}

		function drawChart( dataPoints1 , dataPoints2 ) {
		var chart = new CanvasJS.Chart("chartContainer2", {
			backgroundColor: "transparent",
		 animationEnabled: false,
		 margin: 0,
		
		title: {
            text: "From 00:00 - <?php echo date('H:i')?>",
			fontSize: 0,
			fontColor:' #777',
			fontFamily: "verb",
			margin: -25,
        },
		
		zoomEnabled: false,		
		
		toolTip:{
			   fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",	
               		   borderThickness: 3,	
			   fontSize: 11,	   	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
	},
 axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",	
			interval:"auto",
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			labelAutoFit: true , 
			
			},
			
		axisY:{
		margin: 0,
		interval:1,		
		lineThickness: 0,		
		gridThickness: 0,
        tickThickness: 0,	
		gridDashType: "dot",	
        includeZero: false,		
		labelFontSize: 0,	
      },
	  
	  legend:{
		enabled: false,  
 },
		
		
 data: [
		
		{
			type: "column",	
			markerSize:1,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 0,			
			markerType: "circle",
			name:"Soil Humidity",
			dataPoints: dataPoints1,
			yValueFormatString: "# '<?php echo $soilhumunit; ?>'",		
		}
		]
		});
		

		setTimeout(function(){
		chart.render();
	},500);
	}
});</script>
<body>

<div id="chartContainer2" class="charthome"></div></div>



</body></html>
