<?php
	
	####################################################################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	compiled with CanvasJs v3.12.4 GA (licensed)  	                                                                           #
	#                                 #
	# 	                                                                                               #
	# 	Release April 2025				  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	include('preload.php');
	
	$conv = 1;
	$interval = 1;
	
	date_default_timezone_set($TZ);
	$weatherfile = date('Y');	
	

	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>Month Soil Temp CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';	
	?>
    <br>
    <script type="text/javascript">


function WEATHER34CHARTCOLORS(weather34value) {
if (weather34value>=0 && weather34value<40) {thecolor='#d35f50';}
else if (weather34value>=40 && weather34value<60) {thecolor='hsl(74, 60%, 46%)';}
else if (weather34value>=60 && weather34value<80){thecolor=' hsl(35, 77%, 58%)';} 
else if (weather34value>=80 && weather34value<90){thecolor='hsla(185, 100%, 37%, 1)';}  
else if (weather34value>=90 && weather34value<=100){thecolor='hsl(201, 79%, 47%)';}  
else if (weather34value>=90 && weather34value<=200){thecolor='hsl(201, 87.10%, 18.20%)';}  

else {thecolor='hsl(35, 77%, 58%)';}
return thecolor;}

        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "2025.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)
					//dataPoints1.push({label:rowData[0],y:parseFloat(rowData[1]*<?php echo $conv ?>)});
					dataPoints1.push({label: rowData[0],y:parseFloat(rowData[21]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[21]))});
					
					
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)
					dataPoints2.push({label: rowData[0],y:parseFloat(rowData[22]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[22]))});
					//dataPoints2.push({label: rowData[0],y:parseFloat(rowData[2]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[2]))});
					
					//parseFloat(rowData[13])});
				
			}
			drawChart(dataPoints1,dataPoints2 );
		}
	}

	
	function drawChart( dataPoints1) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		backgroundColor: "<?php echo $bcolor;?>",
		animationEnabled: false,
		 
		title: {
            text: " ",
			fontSize: 0,
			fontColor:' #aaa',
			fontFamily: "verb",
        },
		toolTip:{
			   fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",					   	
               borderThickness: 3,	
			   fontSize: 11,	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
			   fontFamily: "verb",  
 },
		axisX: {
			gridColor: "rgba(82, 92, 97, 0.39)",
		    labelFontSize: 8,
			labelFontColor:'<?php echo $ccolor?>',
			lineThickness: 1,
			gridThickness: 1,
			gridDashType: "dot",	
			titleFontFamily: "verb",	
			labelFontFamily: "verb",	
			interval:<?php echo $thedayinterval?>, 	
   			minimum:-0.5,  	
			intervalType:"day",
			xValueType: "dateTime",	
			
			
			},
			
		axisY:{
		margin: 0,
		interval:'auto',			
		lineThickness: 1,		
		gridThickness: 1,	
		gridDashType: "dot",	
        includeZero: false,
		gridColor: "rgba(82, 92, 97, 0.39)",
		labelFontSize: 8,
		labelFontColor:'<?php echo $ccolor?>',
		labelFontFamily: "verb",
		
		labelFormatter: function ( e ) {
        return e.value .toFixed(0) + "°" ;  
         },	
			 
		
      },
	  
	  legend:{
      fontFamily: "verb",
      fontColor:"#555",
	  margin: 0,
  
 },
		
		
 data: [
		{
			//hum hi
			type: "column",		
			showInLegend:false,
			fillOpacity: 1,
			name:"Soil Hi Hum",
			dataPoints: dataPoints1,
			yValueFormatString: "# '<?php echo $soilhumunit; ?>'",
		},
		{
			//lo 
			type: "stackedColumn",			
			color:"#1994D7",	
						
			showInLegend:false,		
			markerSize:0,									
			name:"Soil Lo Hum",
			markerType: "none",
			dataPoints: dataPoints2,
			yValueFormatString: "# '<?php echo $soilhumunit; ?>'",
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>
</script>
<div class="modulecaptionchartlarge">Soil Humidity (<?php echo $soilhumunit; ?>) <?php echo date('Y')?></div>
<div class="modulecaptionprevious"><?php $previous = "javascript:history.go(-1)";if(isset($_SERVER['HTTP_REFERER'])) {$previous = $_SERVER['HTTP_REFERER'];}?>
<a href="<?= $previous ?>" ><?php echo $weather34chartreturn?> Back To Almanac</a> 
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;


&nbsp;&nbsp;
<a href="todaysoilhumiditymodulechartp.php" style="margin-left:260px;"><?php echo $weather34chart2?> Today</a>
&nbsp;&nbsp;
<a href="monthsoilhumiditymodulechart2p.php" style="margin-left:330px;"><?php echo $weather34chart2?> <?php echo date('F')?></a>


</div> 

<div id="chartContainer2" class="chartba"></div></div>
</body></html>
