<?php include_once('livedata.php');
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: July 2021		  	                                           
########################################################
$weather["wind_direction"] = number_format($weather["wind_direction"], 0);
$weather["wind_direction_avg"] = number_format($weather["wind_direction_avg"], 0);
$weather["wind_direction_avgday"] = number_format($weather["wind_direction_avgday"], 0);
$weather["wind_direction_avgmonth"] = number_format($weather["wind_direction_avgmonth"], 0);
if ($windunitatc == 'yes') {
    $weather["wind_direction"] = str_pad($weather["wind_direction"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avg"] = str_pad($weather["wind_direction_avg"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgmonth"] = str_pad($weather["wind_direction_avgmonth"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgday"] = str_pad($weather["wind_direction_avgday"], 3, "0", STR_PAD_LEFT);
}
if ($weather["wind_direction"] > $weather['winddir_avg5min']) {
    $windtrend = "1";
}
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
?> 

<meta http-equiv="Content-Type: text/html; charset=UTF-8" />
<head>
<style>
    
.thearrow2 {
        -webkit-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -moz-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -o-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -ms-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);       
    }

    .thearrow2:after {
    content: "";
    position: absolute;
    z-index: 300;
    left: 35%;
    top: -2px;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 24px solid #fff;
    -webkit-transform: translate(-50%, -45%);
    -moz-transform: translate(-50%, -45%);
    -o-transform: translate(-50%, -45%);
    -ms-transform: translate(-50%, -45%);
    transform: translate(-50%, -45%);

    
}
    
    

.thearrow1 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
        }

        .thearrow1:after {
            content: " <?php echo "   ". number_format($directionchange, 0) ?>°";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -28px;
            font-size: 8px;
            background: none;
            font-family: verb;
            width: 0;
            height: 0;
            color: white;
            -webkit-transform: rotatez(0deg);
            transform: rotatez(0deg);
            margin-left: -3px;


        }

.thearrow5 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: white;
        }

    .thearrow5:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -27px;
            font-size: 8px;
            background: none;
            width: 0;
            height: 0;
            color: #ccc;
            -webkit-transform: rotatez(2deg);
            transform: rotatez(2deg);
            margin-left: -5px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }
        


spancalm {
        position: relative;
        font-family: headingtext;
        font-size: 26px;
    }
lidir{background:
    <?php //direction
    if ($weather["wind_direction"] <= 101.25) {
        echo "hsla(208, 26%, 40%, 0.937);";
    } 
    if ($weather["wind_direction"] <= 191.25) {
        echo "#f78d02;";
    } 
    
    if ($weather["wind_direction"] <= 303.75) {
        echo "#FB631D;";
    } 
    
    else {
        echo "hsla(208, 26%, 40%, 0.937);";
    } 
    
    ?>;
    color:white;

}
.weather34windbezel {
    background:  rgba(255,255,255,.4);
} 

.weather34windbezel1 {
    border: 9px solid rgba(255,255,255,.2);
}

.homeweathercompass1>.homeweathercompass-line1 {
    border: 20px solid rgba(255,255,255,.1);
}

.weather34compassring {
    border: 20px solid rgba(255,255,255,.5);
    box-shadow: inset 0 1px rgba(255, 255, 255, .8), 
}

        
        
        

    
    </style> 
</head>


<div class='bftdirectionicon' style=color:white;>
<?php 
if ($weather['wind_speed_bft']>=12) {echo " &nbsp; $beaufort12w";}
else if ($weather['wind_speed_bft']>=11){echo " &nbsp; $beaufort11w";}
else if ($weather['wind_speed_bft']>=10){echo " &nbsp;$beaufort10w";}
else if ($weather['wind_speed_bft']>=9) {echo " &nbsp;$beaufort9w";}
else if ($weather['wind_speed_bft']>=8) {echo " &nbsp;$beaufort8w";}    
else if ($weather['wind_speed_bft']>=7) {echo " &nbsp;$beaufort7w";}
else if ($weather['wind_speed_bft']>=6) {echo " &nbsp;$beaufort6w";}
else if ($weather['wind_speed_bft']>=5) {echo " &nbsp;$beaufort5w";} 
else if ($weather['wind_speed_bft']>=4) {echo " &nbsp;$beaufort4w";}        
else if ($weather['wind_speed_bft']>=3) {echo " &nbsp;$beaufort3w";}
else if ($weather['wind_speed_bft']>=2) {echo " &nbsp;$beaufort2w";}
else if ($weather['wind_speed_bft']>=1) {echo " &nbsp;$beaufort1w";} 
else if ($weather['wind_speed_bft']>=0) {echo " &nbsp;$beaufort0w";} 
?>
</div>

<div class="compassposition" style="margin-left:50px;margin-top:-3px;">

<div class="weather34compassring" style="background:hsla(208, 26%, 40%, 0);background-image: 0;"></div>
<div class="weather34compassgrid" style=" background-image: 0; background-size: 0" ></div>
<div class="homeweathercompass1" style=" background-image: 0;" >

<div class="weather34north">N</div>
        <div class="weather34-0deg">0&deg;</div>
        <div class="weather34-45deg">45&deg;</div>
        <div class="weather34-ne">NE</div>

        <div class="weather34east">E</div>
        <div class="weather34-90deg">90&deg;</div>
        <div class="weather34-135deg">135&deg;</div>
        <div class="weather34-se">SE</div>

        <div class="weather34south">S</div>
        <div class="weather34-180deg">180&deg;</div>
        <div class="weather34-225deg">225&deg;</div>
        <div class="weather34-sw">SW</div>

        <div class="weather34west">W</div>
        <div class="weather34-270deg">270&deg;</div>
        <div class="weather34-315deg">315&deg;</div>
        <div class="weather34-nw">NW</div>

<div class="homeweathercompass-line1">
<div class="thearrow1"></div>
<div class="thearrow2"></div>
<div class="thearrow5"></div>
<div class="weather34windbezew" >
<div class="weather34windbezel1"> 
<div class="circleborder4" > </div>
 </div></div></div>


<div class="windirectiontext2" style="color:white;font-size:26px">
<?php echo $weather["wind_direction"],"&deg;";?></div>
</div></div></div>

<div class="windirectionphrases"><?php 
if($weather["wind_direction"]<=11.25){echo "Due<br>North<br>";}
else if($weather["wind_direction"]<=33.75){echo "North<br>North<br>East";}
else if($weather["wind_direction"]<=56.25){echo "North<br>East<br>";}
else if($weather["wind_direction"]<=78.75){echo "East<br>North<br>East";}
else if($weather["wind_direction"]<=101.25){echo "Due<br>East<br>";}
else if($weather["wind_direction"]<=123.75){echo "East<br>South<br>East";}
else if($weather["wind_direction"]<=146.25){echo "South<br>East";}
else if($weather["wind_direction"]<=168.75){echo "South<br>South<br>East";}
else if($weather["wind_direction"]<=191.25){echo "Due<br>South";}
else if($weather["wind_direction"]<=213.75){echo "South<br>South<br>West";}
else if($weather["wind_direction"]<=236.25){echo "South<br>West";}
else if($weather["wind_direction"]<=258.75){echo "West<br>South<br>West";}
else if($weather["wind_direction"]<=281.25){echo "Due<br>West";}
else if($weather["wind_direction"]<=303.75){echo "West<br>North<br>West";}
else if($weather["wind_direction"]<=326.25){echo "North<br>West";}
else if($weather["wind_direction"]<=348.75){echo "North<br>North<br>West";}
else{echo "Due<br>North";}?>
</div></div>


<div class=windtabletdirectionten style="color:white;background:0;box-shadow:none">
10" Avg <?php echo $weather["wind_direction_avg"]."&deg; ";
if($weather["wind_direction_avg"]<=11.25){echo "North";}
else if($weather["wind_direction_avg"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avg"]<=56.25){echo "NE";}
else if($weather["wind_direction_avg"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avg"]<=101.25){echo "East";}
else if($weather["wind_direction_avg"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avg"]<=146.25){echo "SE";}
else if($weather["wind_direction_avg"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avg"]<=191.25){echo "South";}
else if($weather["wind_direction_avg"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avg"]<=236.25){echo "SW";}
else if($weather["wind_direction_avg"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avg"]<=281.25){echo "West";}
else if($weather["wind_direction_avg"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avg"]<=326.25){echo "NW";}
else if($weather["wind_direction_avg"]<=348.75){echo "NNW";}
else{echo "North";}?></div>


</div></div></div>



<div style="position:absolute">
<div class=winddirectiontrend style="color:white;background:0;box-shadow:0;font-size:11px;color:white">
<a data-winddir="Average Today <?php 
echo $weather["wind_direction_avgday"]."&deg; ";
if($weather["wind_direction_avgday"]<=11.25){echo "North";}
else if($weather["wind_direction_avgday"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avgday"]<=56.25){echo "NE";}
else if($weather["wind_direction_avgday"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avgday"]<=101.25){echo "East";}
else if($weather["wind_direction_avgday"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avgday"]<=146.25){echo "SE";}
else if($weather["wind_direction_avgday"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avgday"]<=191.25){echo "South";}
else if($weather["wind_direction_avgday"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avgday"]<=236.25){echo "SW";}
else if($weather["wind_direction_avgday"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avgday"]<=281.25){echo "West";}
else if($weather["wind_direction_avgday"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avgday"]<=326.25){echo "NW";}
else if($weather["wind_direction_avgday"]<=348.75){echo "NNW";}
else{echo "North";}?> ">
<span style="color:white;background:0;box-shadow:0;font-size:11px;">
AVG
<?php //day average
echo "<alternativeblue style='color:white;background:0;box-shadow:0;background:0;font-size:11px;'>";
echo " ".$weather["wind_direction_avgday"]."&deg; ";
if($weather["wind_direction_avgday"]<=11.25){echo "North";}
else if($weather["wind_direction_avgday"]<=33.75){echo "NNE";}
else if($weather["wind_direction_avgday"]<=56.25){echo "NE";}
else if($weather["wind_direction_avgday"]<=78.75){echo "ENE";}
else if($weather["wind_direction_avgday"]<=101.25){echo "East";}
else if($weather["wind_direction_avgday"]<=123.75){echo "ESE";}
else if($weather["wind_direction_avgday"]<=146.25){echo "SE";}
else if($weather["wind_direction_avgday"]<=168.75){echo "SSE";}
else if($weather["wind_direction_avgday"]<=191.25){echo "South";}
else if($weather["wind_direction_avgday"]<=213.75){echo "SSW";}
else if($weather["wind_direction_avgday"]<=236.25){echo "SW";}
else if($weather["wind_direction_avgday"]<=258.75){echo "WSW";}
else if($weather["wind_direction_avgday"]<=281.25){echo "West";}
else if($weather["wind_direction_avgday"]<=303.75){echo "WNW";}
else if($weather["wind_direction_avgday"]<=326.25){echo "NW";}
else if($weather["wind_direction_avgday"]<=348.75){echo "NNW";}
else{echo "North";}

echo "</alternativeblue>";
?> </a>


</div></div>


<div class='chartdatadirectionicon'><a href='winddir-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtablet3?></a></div>

