<?php include_once('livedata.php');
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII   
#   Revised: July 2021		  	                                           
########################################################
$numberformat=1;if ($weather["wind_units"]=='kts'){$numberformat=0;}
$weather["wind_direction"] = number_format($weather["wind_direction"], 0);
$weather["wind_direction_avg"] = number_format($weather["wind_direction_avg"], 0);
$weather["wind_direction_avgday"] = number_format($weather["wind_direction_avgday"], 0);
$weather["wind_direction_avgmonth"] = number_format($weather["wind_direction_avgmonth"], 0);
if ($windunitatc == 'yes') {
    $weather["wind_direction"] = str_pad($weather["wind_direction"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avg"] = str_pad($weather["wind_direction_avg"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgmonth"] = str_pad($weather["wind_direction_avgmonth"], 3, "0", STR_PAD_LEFT);
    $weather["wind_direction_avgday"] = str_pad($weather["wind_direction_avgday"], 3, "0", STR_PAD_LEFT);
}
if ($weather["wind_direction"] > $weather['winddir_avg5min']) {
    $windtrend = "1";
}
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];
$directionchange = $weather["wind_direction"] - $weather['winddir_avg5min'];

?> 

<meta http-equiv="Content-Type: text/html; charset=UTF-8" />
<head>
<style>
    
.thearrow2a {
        -webkit-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -moz-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -o-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        -ms-transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);
        transform: rotatez(<?php echo $weather["wind_direction"]+45; ?>deg);   
        opacity:1    
    }

    .thearrow2a:after {
    content: "";
    position: absolute;
    z-index: 10;
    left: 50%;
    top: 8px;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 24px solid <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}

?>;
    -webkit-transform: translate(-50%, -45%);
    -moz-transform: translate(-50%, -45%);
    -o-transform: translate(-50%, -45%);
    -ms-transform: translate(-50%, -45%);
    transform: translate(-50%, -45%);
 

    
}
    
    

.thearrow1a {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 52; ?>deg);
        }

        .thearrow1a:after {
            content: " <?php echo "   ". number_format($directionchange, 0) ?>°";
            font-size:0;
            color:var(--body-text-dark)


        }

.thearrow5a {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: var(--body-text-dark); padding:0;
        }

    .thearrow5a:after {
            content: "";
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -24px;           
            font-size: 0;
            background: none;          
             color: var(--body-text-dark);       
            transform: rotatez(2deg);
            -webkit-transform: rotatez(2deg);
            -moz-transform: rotatez(2deg);
            -ms-transform: rotatez(2deg);
            margin-left: -5px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }

        .thearrow6 {
            -webkit-transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            transform: translate(-50%, 5%) rotatez(<?php echo $weather['wind_direction'] + 36; ?>deg);
            color: var(--body-text-dark); padding:0;
        }

    .thearrow6:after {           
            position: absolute;
            z-index: 300;
            left: 50%;
            top: -24px;           
            font-size: 7px;
            background: none;          
             color: whitesmoke;       
            transform: rotatez(10deg);
            -webkit-transform: rotatez(10deg);
            -moz-transform: rotatez(10deg);
            -ms-transform: rotatez(10deg);
            margin-left: -0px;
            content: "<?php if ($windtrend > 0) {
                            echo '\25B6 \25B6 \25B6';
                        } else echo '\25C0 \25C0 \25C0'; ?>";
        }


        .homeweathercompass2>.homeweathercompass-line2 {
    position: absolute;
    bottom: 25px;
    left: 30px;
    width: 95px;
    height: 95px;
    margin: 0 auto;
    border: 20px solid rgba(36,38,45,0.7);
    border-radius: 50%;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    margin-top: 40px;
    
 
}
        
        


spancalm {
        position: relative;
        font-family: verb;
        font-size: 26px;
    }
litemp{color: var(--body-text-dark);
    background-color: var(--modules);
    background-image: var(--grid-wind);
    background-size: 5px 5px;
}


 

 


.weather34windbezel {
    background:  rgba(255,255,255,1);
} 

.weather34windbezel2 {
    border: 0 ;
}

.homeweathercompass2>.homeweathercompass-line2 {
    border: 20px solid <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}

?>;
opacity:0.7
}

.weather34compassring {
    border: 20px solid #41464F;
    box-shadow: inset 0 1px rgba(255, 255, 255, 1);
    opacity:var(--compassopacity);
}



.dewpointcontainer  .percent .number, .dewpointcontainer  .card{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  margin-top:-12px;
  margin-left:240px;

}

.dewpointcontainer  * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.dewpointcontainer  hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.dewpointcontainer  {
  position: relative;
  width: 400px;
  display: flex;
  justify-content: space-around;
}
.dewpointcontainer  .card {
  position: relative;
  width: 150px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.dewpointcontainer  .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.dewpointcontainer  .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.dewpointcontainer  .percent { 
  color: whitesmoke;
  font-size: 8px;
  vertical-align: text-top;
  
}
.dewpointcontainer  .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.dewpointcontainer  .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php  //Dewpoint
if (anytoc($weather["dewpoint"])>=40 ){echo 'var(--purple)';}
else if (anytoc($weather["dewpoint"])>=30 ){echo 'var(--red)';}
else if (anytoc($weather["dewpoint"])>=25 ){echo 'var(--red)';}
else if (anytoc($weather["dewpoint"])>=20 ){echo 'var(--orange)';}
else if (anytoc($weather["dewpoint"])>=15 ){echo 'var(--yellow)';}
else if (anytoc($weather["dewpoint"])>12 ){echo 'var(--yellow)';}
else if (anytoc($weather["dewpoint"])>=6 ){echo 'var(--green)';}
else if (anytoc($weather["dewpoint"])>=2 ){echo 'var(--blue)';}
else if (anytoc($weather["dewpoint"])>=0 ){echo 'var(--blue)';}
else if (anytoc($weather["dewpoint"])>=-10 ){echo 'var(--temp-5-10)';}
else if (anytoc($weather["dewpoint"])>=-50 ){echo 'var(--temp-5-10)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:whitesmoke;
z-index:-1 ;

}

.dewpointcontainer  .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.dewpointcontainer  .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}

.dewpointcontainer  .percent .number unit {
  position: absolute;
  font-size: 7.5px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}

.dewpointcontainer  .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.dewpointcontainer  .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.dewpointcontainer  .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo (anytoc($weather["dewpoint"]))*9?>) / 440);
  stroke: <?php  //Dewpoint
if (anytoc($weather["dewpoint"])>=40 ){echo 'var(--purple)';}
else if (anytoc($weather["dewpoint"])>=30 ){echo 'var(--red)';}
else if (anytoc($weather["dewpoint"])>=25 ){echo 'var(--red)';}
else if (anytoc($weather["dewpoint"])>=20 ){echo 'var(--orange)';}
else if (anytoc($weather["dewpoint"])>=15 ){echo 'var(--yellow)';}
else if (anytoc($weather["dewpoint"])>12 ){echo 'var(--yellow)';}
else if (anytoc($weather["dewpoint"])>=6 ){echo 'var(--green)';}
else if (anytoc($weather["dewpoint"])>=2 ){echo 'var(--blue)';}
else if (anytoc($weather["dewpoint"])>=0 ){echo 'var(--blue)';}
else if (anytoc($weather["dewpoint"])>=-10 ){echo 'var(--temp-5-10)';}
else if (anytoc($weather["dewpoint"])>=-50 ){echo 'var(--temp-5-10)';}
?>;
}




























.feelslikecontainer   .percent .number, .feelslikecontainer   .card{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  margin-top:0px;
  margin-left:-55px;
  display:none
}

.feelslikecontainer   * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.feelslikecontainer   hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.feelslikecontainer   {
  position: relative;
  width: 100px;
  display: flex;
  justify-content: space-around;
}
.feelslikecontainer   .card {
  position: relative;  
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.feelslikecontainer   .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 80%;
  height: 80%;
  background-color: none;
  pointer-events: none;
  
}
.feelslikecontainer   .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.feelslikecontainer   .percent { 
  color: whitesmoke;
  font-size: 8px;
  vertical-align: text-top;
  
}
.feelslikecontainer   .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.feelslikecontainer   .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
  //real feel
if (anytoC($weather["realfeel"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["realfeel"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["realfeel"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["realfeel"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["realfeel"])<100){ echo "var(--temp45-50)";} ?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:whitesmoke;
z-index:-1  
}

.feelslikecontainer   .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.feelslikecontainer   .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}

.feelslikecontainer   .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}

.feelslikecontainer   .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.feelslikecontainer   .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.feelslikecontainer   .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo (anytoC($weather["realfeel"]))*9?>) / 440);
  stroke: <?php 
  //real feel
if (anytoC($weather["realfeel"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["realfeel"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["realfeel"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["realfeel"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["realfeel"])<100){ echo "var(--temp45-50)";} 
?>;}









.temperaturecontainer   .percent .number, .temperaturecontainer   .card{
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:-20px;

}

.temperaturecontainer   * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.temperaturecontainer   hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-52px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.temperaturecontainer   {
  position: relative;
  width: 160px;
  display: flex;
  justify-content: space-around;
}
.temperaturecontainer   .card {
  position: relative;  
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.temperaturecontainer   .card:before {
  content: "";
  position: absolute;
  top: -75px;
  left: -60%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.temperaturecontainer   .percent {
  position: relative;
  width: 180px;
  height: 180px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.temperaturecontainer   .percent { 
  color: whitesmoke;
  font-size: 8px;
  vertical-align: text-top;
  
}
.temperaturecontainer   .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.temperaturecontainer   .percent .number {
  font-size: 30px;
  line-height:1;
  background-color: <?php 
  //real feel
if (anytoC($weather["temp"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["temp"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["temp"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["temp"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["temp"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["temp"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["temp"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["temp"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["temp"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["temp"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["temp"])<100){ echo "var(--temp45-50)";} ?>;
  border-radius: 100%;
  background-size: contain;
  width:120px;
  height:120px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:whitesmoke;
z-index:-1;
opacity:.8
}

.temperaturecontainer   .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.temperaturecontainer   .percent svg {
  position: relative;
  width: 180px;
  height: 180px;
  transform: rotate(-85deg);
  margin-top:-20px;
  margin-left:20px;
 
  
}

.temperaturecontainer   .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-40px;
  text-transform: uppercase;
  
}

.temperaturecontainer   .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: transparent;
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.temperaturecontainer   .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.temperaturecontainer   .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo (anytoC($weather["temp"]))*9?>) / 440);
  stroke: <?php 
  //real feel
if (anytoC($weather["temp"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["temp"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["temp"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["temp"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["temp"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["temp"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["temp"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["temp"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["temp"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["temp"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["temp"])<100){ echo "var(--temp45-50)";} 
?>}








   
    </style> 
</head>





<div class="dewpointcontainer">
  <div class="card">
    <div class="box">      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
<div class="number">
<?php echo number_format($weather["dewpoint"],1)."&deg"?> <unit>Dewpoint</unit>
<smalltrainunittabletair style="margin-left:2px;margin-top:-35px;color:whitesmoke;font-size:9px">
Max <?php  //max Today
echo number_format($weather["dewmax"],1)."&deg";
?>
</smalltrainunittabletair>
</div>      </div>    </div>  </div>  </div>  </div> 



<div class="temperaturecontainer" style='position:absolute;margin-top:-165px;margin-left:35px;'>
  <div class="card">
    <div class="box">      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
<div class="number">
<?php echo $weather["temp"]."&deg"?> <unit>Temperature</unit>
<smalltrainunittabletair style="margin-left:0px;margin-top:-7px;color:whitesmoke;font-size:11px;font-family:verb;line-height:1.2">
Max 
<?php echo $weather["temp_today_high"]."&deg";?>
</smalltrainunittabletair>
</div></div></div></div></div></div> 






<div class="feelslikecontainer" style='position:absolute;margin-top:-165px;margin-left:210px;'>
  <div class="card">
    <div class="box">      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
<div class="number">
<?php echo $weather["realfeel"]."&deg"?> <unit>Feels</unit>
<smalltrainunittabletair style="margin-left:0px;margin-top:-37px;color:whitesmoke;font-size:9px;font-family:verb;line-height:1.2">
<?php 
          if ($weather["realfeel"]>$weather["temp"]) {echo "Warmer";}
          if ($weather["realfeel"]<$weather["temp"]) {echo "Cooler";}
          ?>
</smalltrainunittabletair>
</div></div></div></div></div></div> 





<div class="directionwindrun" style="position:absolute;width:max-content;margin-left:-150px;margin-top:-15px;color: var(--body-text-dark);font-size:10px">
<?php // wind speed day average
echo "Average Today ";echo  $weather["wind_speed_avgday"]." ".$weather["wind_units"];?>
</div>


<div class="directionwindrun" style="position:absolute;width:max-content;margin-left:120px;margin-top:-15px;color: var(--body-text-dark);font-size:10px">
<?php // wind direction day average
echo "Today Avg Dir " .$weather['wind_direction_avgday']."&deg; ";
if( $weather['wind_direction_avgday']<=11.25){echo "North";}else if( $weather['wind_direction_avgday']<=33.75){echo "NNE";}else if( $weather['wind_direction_avgday']<=56.25){echo "NE";}
else if( $weather['wind_direction_avgday']<=78.75){echo "ENE";}else if( $weather['wind_direction_avgday']<=101.25){echo "East";}else if( $weather['wind_direction_avgday']<=123.75){echo "ESE";}
else if( $weather['wind_direction_avgday']<=146.25){echo "SE";}else if( $weather['wind_direction_avgday']<=168.75){echo "SSE";}else if( $weather['wind_direction_avgday']<=191.25){echo "South";}
else if( $weather['wind_direction_avgday']<=213.75){echo "SSW";}else if( $weather['wind_direction_avgday']<=236.25){echo "SW";}else if( $weather['wind_direction_avgday']<=258.75){echo "WSW";}
else if( $weather['wind_direction_avgday']<=281.25){echo "West";}else if( $weather['wind_direction_avgday']<=303.75){echo "WNW";}else if( $weather['wind_direction_avgday']<=326.25){echo "NW";}
else if( $weather['wind_direction_avgday']<=348.75){echo "NNW";}else if( $weather['wind_direction_avgday']<=360){echo "North";}
?>
</div>


<span style="position:absolute;width:0px;margin-left:-190px;margin-top:-20px">
<a href='wind-almanac2.php' data-lity data-chartdata="Wind Data">
<?php echo $weather34chartzoomtabletfullwind?></a></span>


<span style="position:absolute;width:0px;margin-left:265px;margin-top:-20px;z-index:10">
<a href='winddir-almanac2.php' data-lity data-chartdata="Dir Data">
<?php echo $weather34chartzoomtabletfullwind?></a></span>


