<?php include('livedata.php');

   //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    //$aqiweather["voc"]=number_format($aqiweather["voc"],0);
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
      //wood smoke
      $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
      $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
      $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
      $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 0);//EPA
      $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 0);//EPA
      $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 0);//EPA
  
        $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,0);
      //alternative wood smoke formulas
    //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
     //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
      //use humidity formula with average pm2.5 pa_cf1 a/b
      //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
      //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
      //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
    
    
    $a=""; 
    //last hour trend
    $aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
if ($aqiweather["aqi"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqi"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqi"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqi"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqi"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

?>

<div class="weather34-boxescontainer" style="margin-top:-0.3rem">
    <div class="weather34-maxminboxes">
        <weather34-list style="width:max-content">
            <?php  //PM10 EPA
            if ($aqiweather["aqipm10"] >= 300) {
                echo '<purple>' . number_format($aqiweather["aqipm10"], 0) . '</purple><windunittabletmax>PM10</windunittabletmax>';
            } else if ($aqiweather["aqipm10"] >= 150) {
                echo '<red>' . number_format($aqiweather["aqipm10"], 0) . '</red><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 100) {
                echo '<orange>' . number_format($aqiweather["aqipm10"], 0) . '</orange><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 50) {
                echo '<yellow>' . $aqiweather["aqipm10"] . '</yellow><windunittabletmax>PM10</windunittabletmax>';
            } elseif ($aqiweather["aqipm10"] >= 0) {
                echo '<green>' . $aqiweather["aqipm10"] . '</green><windunittabletmax>PM10</windunittabletmax>';
            }
            echo "<windunittabletdavg2>AQI EPA</windunittabletdavg2>";
            ?>
        </weather34-list>
    </div>

    <div class="weather34-maxminboxes">
        <weather34-list style="width:max-content;">
            <?php
            //24 hour Average PM2.5 EPA
            if ($aqiweather["aqi24h"] >= 300) {
                echo '<purple>' . number_format($aqiweather["aqi24h"], 0) . '</purple><windunittabletmax>PM2.5</windunittabletmax>';
            } else if ($aqiweather["aqi24h"] >= 150) {
                echo '<red>' . number_format($aqiweather["aqi24h"], 0) . '</red><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 100) {
                echo '<orange>' . number_format($aqiweather["aqi24h"], 0) . '</orange><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 50) {
                echo '<yellow>' . $aqiweather["aqi24h"] . '</yellow><windunittabletmax>PM2.5</windunittabletmax>';
            } elseif ($aqiweather["aqi24h"] >= 0) {
                echo '<green>' . $aqiweather["aqi24h"] . '</green><windunittabletmax>PM2.5</windunittabletmax>';
            }
            echo "<windunittabletdavg2> 24 Hour Avg</windunittabletdavg2>";
            ?>
        </weather34-list>
    </div>

<div class="weather34-maxminboxes" style="width:max-content;font-size:12px;">
<?php //updated layout Mar 2023 air quality warnings
if ($aqiweather["aqi"] >= 300) {echo "<weather34-list style='background:var(--purple);color:#fff'>Hazordous";}
else if ($aqiweather["aqi"] >= 200) {echo "<weather34-list style='background:var(--red);color:#fff;font-size:9px'>Very Unhealthy";}
else if ($aqiweather["aqi"] >= 150) {echo "<weather34-list style='background:var(--red);color:#fff'>Unhealthy";}
else if ($aqiweather["aqi"] >= 100) {echo "<weather34-list style='background:var(--orange);color:#fff'>Caution";}
else if ($aqiweather["aqi"] >= 50) {echo "<weather34-list style='background:var(--yellow);color:#fff'>Moderate";}
else if ($aqiweather["aqi"] >= 0) {echo "<weather34-list style='background:var(--green);color:#fff;font-size:14px'>Good";}
echo "<windunittabletdavg2>Air Quality</windunittabletdavg2></alternative-blue>";
?></weather34-list>
</div></div></div>


<div class="todayssolarmax" style='position:relative;top:7px;left:55px'>
    <?php //trend
    if ($aqiweather["aqi"] < $aqiweather["aqi1h"]) {
        echo '<a data-tempsteady="Last Hour Improved';
    } else if ($aqiweather["aqi"] > $aqiweather["aqi1h"]) {
        echo '<a data-temprising="Last Hour Rising';
    } else echo '<a data-tempsteady="No Change';
    echo '">';
    //falling
    if ($aqiweather["aqi"] < $aqiweather["aqi1h"]) {
        echo $fallingtablet;
    }
    //rising
    else if ($aqiweather["aqi"] > $aqiweather["aqi1h"]) {
        echo $risingtablet;
    }
    //steady
    else echo $steadytablet;

    ?></a></div>



<div class="weather34caption" style="position:relative;top:-50px">Air Quality (EPA)</div>
</div>

<div class=sunratebar>
    <div class="weather34sunratebar" style="width:<?php
                                                    if ($aqiweather["aqi"] >= 300) {
                                                        echo $aqiweather["aqi"] * 0.3;
                                                    } else if ($aqiweather["aqi"] >= 200) {
                                                        echo $aqiweather["aqi"] * 0.35;
                                                    } else if ($aqiweather["aqi"] >= 100) {
                                                        echo $aqiweather["aqi"] * 0.45;
                                                    } else if ($aqiweather["aqi"] >= 50) {
                                                        echo $aqiweather["aqi"] * 0.6;
                                                    } else echo $aqiweather["aqi"] * 0.9; ?>
px;
background:<?php
            if ($aqiweather["aqi"] >= 300) {
                echo 'var(--purple)';
            } elseif ($aqiweather["aqi"] >= 250) {
                echo 'var(--red)';
            } elseif ($aqiweather["aqi"] >= 150) {
                echo 'var(--red)';
            } elseif ($aqiweather["aqi"] >= 100) {
                echo 'var(--orange)';
            } elseif ($aqiweather["aqi"] >= 50) {
                echo 'var(--yellow)';
            } elseif ($aqiweather["aqi"] > 0) {
                echo 'var(--green)';
            }
            ?>
;">
    </div>
</div>


<div class="button-dial-label-tablet" style="position:relative;top:-40px;margin-left:48px">   
<?php 
if ($aqiweather["aqi"]>=300 ){echo '<purple>'. number_format($aqiweather["aqi"],0).'</purple>';}
else if ($aqiweather["aqi"]>=200 ){echo '<red>'. number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=150 ){echo '<red>'.  number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=100 ){echo '<orange>'.  number_format($aqiweather["aqi"],0).'</orange>';}
else if ($aqiweather["aqi"]>=50 ){echo '<yellow>'. $aqiweather["aqi"].'</yellow>';}
else if ($aqiweather["aqi"]>=0 ){echo '<green>'. $aqiweather["aqi"].'</green>';}
echo "<smallunittablet4><windunittablet>PM 2.5</windunittablet></smallunittablet4></div>"; 
?>
</div></div></div>


<div class='chartdataicon' style="position:relative;margin-top:-40px;z-index:100">
    <a href='purple-air-almanac2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtablet ?></a>
</div>