<?php
	
	####################################################################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	compiled with CanvasJs v3.12.4 GA (licensed)  	                                                                           #
	#                                 #
	# 	                                                                                               #
	# 	Release March 2025				  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	
	include('preload.php');
	if ($tempunit == 'F') {$conv= '(1.8) +32';}	
	else $conv = 1;	
	$max = 50;
	if ($tempunit  == 'F') {$max= '120';}	

	$int= '0';
	if ($tempunit  == 'F') {$int= '5';} 


	
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR TEMPERATURE DATABASE CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
		
	';
	date_default_timezone_set($TZ);
	$date= date('D jS Y');$weatherfile =date('Y')."/".date('jMY');?>
    <br>
    	<script type="text/javascript">

//  --temp-5-10: hsl(205, 69%, 63%);
//  --temp-0-5: hsla(185, 100%, 37%, 1);
//  --temp0-5: hsla(185, 100%, 37%, 1);
//  --temp5-10: hsl(74, 60%, 46%);
//  --temp10-15: hsl(35, 77%, 58%);
//  --temp15-20: hsl(34, 98%, 49%);
//  --temp20-25: hsl(19, 66%, 55%);
//  --temp25-30: hsl(12, 80%, 52%);
//  --temp30-35: hsl(2, 56%, 55%);
//  --temp35-40: hsl(4, 40%, 48%);
//  --temp40-45: hsl(332, 45%, 53%);
//  --temp45-50: hsl(323, 40%, 54%);}


function WEATHER34CHARTCOLORS(weather34value) {
if (weather34value>=-50 && weather34value<=-10) {thecolor='hsl(216, 88%, 61%)';}
else if (weather34value>-10 && weather34value<=0) {thecolor='hsl(205, 69%, 63%)';}
else if (weather34value>0 && weather34value<6) {thecolor='hsla(185, 100%, 37%, 1)';} 
else if (weather34value>=6 && weather34value<=12) {thecolor='hsl(74, 60%, 46%)';}
else if (weather34value>12 && weather34value<=15){thecolor='hsl(35, 77%, 58%)';}  
else if (weather34value>15 && weather34value<=20){thecolor='hsl(34, 98%, 49%)';}  
else if (weather34value>20 && weather34value<=25){thecolor=' hsl(19, 66%, 55%)';}  
else if (weather34value>25 && weather34value<=30){thecolor=' hsl(12, 80%, 52%)';}  
else if (weather34value>30 && weather34value<=35){thecolor='hsl(2, 56%, 55%)';}  
else if (weather34value>35 && weather34value<=40){thecolor=' hsl(4, 40%, 48%)';}     
else if (weather34value>40 && weather34value<=45){thecolor='hsl(332, 45%, 53%)';} 
else if (weather34value>55 && weather34value<=50){thecolor='hsl(323, 40%, 54%)';}         
else {thecolor='hsl(35, 77%, 58%)';}
return thecolor;}

		// today temperature
        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)			
					dataPoints1.push({label: rowData[1],y:parseFloat(rowData[19]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[19]))});
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)
					//dataPoints2.push({label: rowData[1],y:parseFloat(rowData[15])});
					dataPoints2.push({label: rowData[1],y:parseFloat(rowData[19]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[19]))});
				
			}
			drawChart(dataPoints1 );
		}
	}

		function drawChart( dataPoints1 , dataPoints2 ) {
		var chart = new CanvasJS.Chart("chartContainer2", {
			backgroundColor: "transparent",
		 animationEnabled: false,
		 margin: 0,
		
		title: {
            text: "From 00:00 - <?php echo date('H:i')?>",
			fontSize: 0,
			fontColor:' #777',
			fontFamily: "verb",
			margin: -25,
        },
		
		zoomEnabled: false,		
		
		toolTip:{
			   fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",	
               borderThickness: 3,	
			   fontSize: 11,	   	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
 },
 axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",	
			interval:"auto",
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			labelAutoFit: true , 
			
			},
			
		axisY:{
		margin: 0,
		interval:1,		
		lineThickness: 0,		
		gridThickness: 0,
        tickThickness: 0,	
		gridDashType: "dot",	
        includeZero: false,		
		labelFontSize: 0,	
      },
	  
	  legend:{
		enabled: false,  
 },
		
		
 data: [
		
		{
			type: "column",	
			markerSize:1,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 0,			
			markerType: "circle",
			name:"Soil Temperature",
			dataPoints: dataPoints1,
			yValueFormatString: "#0.# °",			
		}
		]
		});
		

		setTimeout(function(){
		chart.render();
	},500);
	}
});</script>
<body>

<div id="chartContainer2" class="chartb"></div></div>
<div class="modulecaptionchart3">Soil Temperature (°<?php echo $tempunit;?>) <?php echo date('l');?></div> 
</body></html>



</body></html>