<?php include('livedata.php');?>

<style>
  .uvindexcontainer .percent .number, .uvindexcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.uvindexcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.uvindexcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.uvindexcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.uvindexcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.uvindexcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.uvindexcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.uvindexcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.uvindexcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.uvindexcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php //uv color
if ($weather['uv']>=11 ){echo 'var(--purple)';}
elseif ($weather['uv']>8 ){echo '#cd504c';}
elseif ($weather['uv']>=6 ){echo 'var(--orange)';}
elseif ($weather['uv']>=3 ){echo 'var(--yellow)';}
elseif ($weather['uv']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.uvindexcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.uvindexcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.uvindexcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.uvindexcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.uvindexcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.uvindexcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['uv'] *30;?>)/ 440);
  stroke: <?php //uv color
if ($weather['uv']>=11 ){echo 'var(--purple)';}
elseif ($weather['uv']>8 ){echo '#cd504c';}
elseif ($weather['uv']>=6 ){echo 'var(--orange)';}
elseif ($weather['uv']>=3 ){echo 'var(--yellow)';}
elseif ($weather['uv']>=0 ){echo 'var(--green)';}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}

</style>



<div class="todaysair">UVINDEX </div>
<div class="moduletrendair" style="margin-left:160px">SOLAR W/m&#178;</div>

<div class="uvindexcontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-15px"></hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <?php echo number_format($weather["uv"],1).""?><unit>UVI</unit>
          <span></span>
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"> 
<?php 
if($weather["uv"]>=10){echo 'Extreme';}
else if($weather["uv"]>=8){echo 'Very High';}
else if($weather["uv"]>=5){echo 'High';}
else if($weather["uv"]>=3){echo 'Moderate';}
else if($weather["uv"]>=0){echo 'Low';}
else echo "<grey>No Risk</grey>";
             
		//END
?></smalltrainunittabletair>
        </div>     

       
      <wsvalue> Solar <?php 
if ($weather['solar']>=1000 ){echo '<red>'.$weather['solar'].'</red>';}
elseif ($weather['solar']>=600 ){echo '<orange>'.$weather['solar'].'</orange>';}
elseif ($weather['solar']>0 ){echo '<icon-16-20>'.$weather['solar'].'</icon-16-20>';}
elseif ($weather['solar']==0 ){echo "<grey style='opacity:0.7'>".$weather['solar'].'</grey>';}
echo " W/m&#178;";?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='uv-almanac2.php' data-lity data-chartdata="UV Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>