<?php 
	########################################################
	#	CREATED FOR WEATHER34 Aurora MKII       											   		   
	#                  			 								                       									
	# 	Cloudbase Version Revised March 2024  			 								               
	#   weather34 	                                                                   
	########################################################

include('livedata.php');header('Content-type: text/html; charset=utf-8');
// temp color
// temp color
if ($cloudtempc<-10){ $cloudtempcolor= " hsl(216, 88%, 61%)";}
else if ($cloudtempc<0){ $cloudtempcolor= " hsl(205, 69%, 63%)";}
else if ($cloudtempc<6){ $cloudtempcolor= " hsla(185, 100%, 37%, 1)";}
else if ($cloudtempc<12){ $cloudtempcolor= "hsl(74, 60%, 46%)";}
else if ($cloudtempc<15){ $cloudtempcolor= " hsl(35, 77%, 58%)";}
else if ($cloudtempc<20){ $cloudtempcolor= " hsl(34, 98%, 49%)";}
else if ($cloudtempc<25){ $cloudtempcolor= " hsl(19, 66%, 55%)";}
else if ($cloudtempc<30){ $cloudtempcolor= " hsl(12, 80%, 52%)";}
else if ($cloudtempc<35){ $cloudtempcolor= " hsl(2, 56%, 55%)";}
else if ($cloudtempc<45){ $cloudtempcolor= " hsl(332, 45%, 53%)";}
else if ($cloudtempc<100){ $cloudtempcolor= "hsl(323, 40%, 54%)";} 

//Cloudbase ICON
$cloudbaseicon="
<svg enable-background='new 0 0 128 128' viewBox='0 0 128 128' xmlns='http://www.w3.org/2000/svg' width=40pt>
     <path d='M76,80.34V16.29C76,9.77,70.82,4,64.3,4h-1.55C56.24,4,51,9.77,51,16.29v64.04 c-7,4.2-11.24,11.68-11.24,20.2c0,13.14,10.64,23.8,23.79,23.8s23.74-10.65,23.74-23.8
C87.28,92.01,83,84.54,76,80.34z' fill='none' stroke='#717F8C' stroke-width='2'/>

<linearGradient id='a' x1='67.014' x2='63.285' y1='38.588' y2='104.92' gradientUnits='userSpaceOnUse'>
    <stop stop-color='$cloudtempcolor' offset='.5974'/>
    <stop stop-color='var(--darkblue)' offset='1'/></linearGradient>
    <path d='m69.92 85.89v-62.07c0-3.53-2.86-6.39-6.39-6.39s-6.39 2.86-6.39 6.39v62.08
    c-5.82 2.54-9.83 8.44-9.58 15.25 0.3 8.19 6.99 14.96 15.18 15.36 9.19 0.44 16.78-6.87 16.78-15.96-0.01-6.57-3.95-12.19-9.6-14.66z' fill='url(#a)'/>

    <path stroke='#717F8C' stroke-width='2' d='m62.87 39.76h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.66-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 58.32h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 76.88h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    </svg>

";
?>




<style>
.module {display: grid; 
  font-size:14px;
  font-family:verb;
  color: var(--body-text-dark);
}

.cloudtemptitle{position:absolute;
    font-size:10px;
  font-family:verb;
  color: var(--body-text-dark);
  display: inline;
  margin-left:-110px;
  margin-top:-40px;
  background:var(--hilomodule);
  width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.cloudtempvalue{
  position: absolute;
    font-size:38px;
    font-family:verb;
    background:var(--hilomodule);
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:var(--body-text-dark);opacity:.8

}
.cloudtempvalue span{
    font-size:7px;
    vertical-align: super;
    text-align: center;


  }

  .cloudtempvalue span1{
    font-size:8px;
    vertical-align: super;
    text-align: center;


  }

  .cloudtempvalue span2{
    font-size:10px;
    display: block;


  }

.sunmoondescription{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);
    width:180px;
 margin-left:-110px;
border-radius: 5px;
 margin-top:-10px;
 display: block;
 padding:3px;
 color:var(--body-text-dark);opacity:.9

}

.sunmoonicon{position: absolute;
margin-left:60px;
margin-top:-80px}


.sunmoonicon  img{width:200px}

.sunmooncharticon { position: absolute;

  position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:88px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);}

.sunposition-block-sun3 {
    margin-top           : -80px;
    margin-left          : 80px;
    background           : #e1e7e7;
    border-radius        : 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius   : 50%;
    -ms-border-radius    : 50%;
    -o-border-radius     : 50%;
    display              : block;
    position             : absolute;
    opacity              : 0.5;
    
}
.cloudbaseicon{position: absolute;
margin-left:60px;
margin-top:-80px}

.sensorCBcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);
 opacity: 0.64;
 width:max-content;
 font-family:verb;
 }
</style>



<div class=module>
<div class=sensorCBcaption>Cloudbase</div>
<div class="cloudtempvalue">

<?php 
//celsius cloudbase
if ($weather["temp_units"]=='C'){ 
echo $cloudtempc;
echo "&deg;";}
//fahrenheit cloudbase
if ($weather["temp_units"]=='F'){ 
echo $cloudtempf;
echo "&deg;";}   
?>  



<span2>
Cloud Base:
<?php 
if ($cloudbaseunit=='feet'){ //feet
echo $weather["cloudbase1"];
echo " &nbsp;ft";}
if ($cloudbaseunit=='mt'){ //meters  
 echo round($weather["cloudbase1"]*0.3048,0);
echo "&nbsp;meters</smalltempunit2>";}
?>
</span2></div>



<div class=cloudbaseicon>
<?php //icon forecast
echo $cloudbaseicon
;?>
</div>

<div class="sunmoondescription"> 
Cloud base is the lowest altitude of the visible portion of a cloud. It is traditionally expressed either 
in metres or feet above mean sea level surface.Temperature measured at the base of the cloud.
</div></div>


<div class=sunmooncharticon> 
<a href="heat-chill-almanac2.php" data-lity data-chartdata="Heat/Chill Data">
<?php echo $infoicon2024forecast?></a>
</div>