
<?php 
    ########################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
	# 											                        
	# 	        Feels Like                                                                                       
	# 	Release: January 2024 Version Aurora MKII 				  	                                           
	########################################################


include('livedata.php');

$realfeeltoday = mynumberformat((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["dewpoint"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
if ($dewpoint<=0){$dewpoint=0;}
  
// feels color
if (anytoC($weather["dewpoint"])<-10){ $dewpointcolor= " hsl(216, 88%, 61%)";}
else if (anytoC($weather["dewpoint"])<0){ $dewpointcolor= " hsl(205, 69%, 63%)";}
else if (anytoC($weather["dewpoint"])<6){ $dewpointcolor= " hsla(185, 100%, 37%, 1)";}
else if (anytoC($weather["dewpoint"])<12){ $dewpointcolor= "hsl(74, 60%, 46%)";}
else if (anytoC($weather["dewpoint"])<15){ $dewpointcolor= " hsl(35, 77%, 58%)";}
else if (anytoC($weather["dewpoint"])<20){ $dewpointcolor= " hsl(34, 98%, 49%)";}
else if (anytoC($weather["dewpoint"])<25){ $dewpointcolor= " hsl(19, 66%, 55%)";}
else if (anytoC($weather["dewpoint"])<30){ $dewpointcolor= " hsl(12, 80%, 52%)";}
else if (anytoC($weather["dewpoint"])<35){ $dewpointcolor= " hsl(2, 56%, 55%)";}
else if (anytoC($weather["dewpoint"])<45){ $dewpointcolor= " hsl(332, 45%, 53%)";}
else if (anytoC($weather["dewpoint"])<100){ $dewpointcolor= "hsl(323, 40%, 54%)";} 
;





//risk icon svg
     $dewpointicon="<svg enable-background='new 0 0 128 128' viewBox='0 0 128 128' xmlns='http://www.w3.org/2000/svg' width=40pt>
     <path d='M76,80.34V16.29C76,9.77,70.82,4,64.3,4h-1.55C56.24,4,51,9.77,51,16.29v64.04 c-7,4.2-11.24,11.68-11.24,20.2c0,13.14,10.64,23.8,23.79,23.8s23.74-10.65,23.74-23.8
C87.28,92.01,83,84.54,76,80.34z' fill='none' stroke='#717F8C' stroke-width='2'/>

<linearGradient id='a' x1='67.014' x2='63.285' y1='38.588' y2='104.92' gradientUnits='userSpaceOnUse'>
    <stop stop-color='$dewpointcolor' offset='.5974'/>
    <stop stop-color='var(--darkblue)' offset='1'/></linearGradient>
    <path d='m69.92 85.89v-62.07c0-3.53-2.86-6.39-6.39-6.39s-6.39 2.86-6.39 6.39v62.08
    c-5.82 2.54-9.83 8.44-9.58 15.25 0.3 8.19 6.99 14.96 15.18 15.36 9.19 0.44 16.78-6.87 16.78-15.96-0.01-6.57-3.95-12.19-9.6-14.66z' fill='url(#a)'/>

    <path stroke='#717F8C' stroke-width='2' d='m62.87 39.76h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.66-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 58.32h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 76.88h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    </svg>";

?>



<style>
.module {display: grid; 
  font-size:14px;
  font-family:verb;
  color: var(--body-text-dark);
}

.dewpointtitle{position:absolute;
    font-size:10px;
  font-family:verb;
  color: var(--body-text-dark);
  display: inline;
  margin-left:-100px;
  margin-top:-40px;
  background:var(--hilomodule);
  width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.dewpointvalue{
  position: absolute;
    font-size:38px;
    font-family:verb;
    background:<?php echo $dewpointcolor?>;
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:whitesmoke;opacity:.8

}
.dewpointvalue span{
    font-size:7px;
    vertical-align: super;
    text-align: center;


  }

  .dewpointvalue span1{
    font-size:9px;
    vertical-align: super;
    text-align: center;


  }


  .dewpointvalue span2{
    font-size:10px;
   display: block;


  }

.dewpointdescription{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);
    width:170px;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-7px;
 display: block;
 padding:3px;
 color:var(--body-text-dark);opacity:.9

}

.dewpointicon{position: absolute;
margin-left:60px;
margin-top:-80px}


.dewpointcharticon { position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:90px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);
z-index:10;}
.sensorDcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);

 width:max-content;
 font-family:verb;
 }

</style>

<div class=module>
<div class=sensorDcaption>Dewpoint</div>
<div class="dewpointvalue"><?php 
//forecast dewpoint
echo " ".$weather["dewpoint"]."&deg";
?>
<span2>
<?php  if (anytoC($weather["dewpoint"])<5) {echo "Cold | ";}
       else if (anytoC($weather["dewpoint"])<10) {echo "Mild | ";}
       else if (anytoC($weather["dewpoint"])<=20) {echo "Comfortable | ";}
       else if (anytoC($weather["dewpoint"])<=27) {echo "Uncomfortable | ";}
       else if (anytoC($weather["dewpoint"])<35) {echo "Unbearable | ";}
        if($weather["dewpoint_trend"] >0){echo " Rising ".$risingtabletsmall;}
        else if($weather["dewpoint_trend"]<0){echo "Falling ".$fallingtabletsmall;}
        //steady
        else echo "Steady ".$steadytabletsmall;
?>
</span2>
</div>


<div class=dewpointicon>
<?php //icon forecast
echo $dewpointicon
;?>

</div>




<div class="dewpointdescription"> 


<?php 
echo "Max: ".$weather["dewmax"].'&deg @'.$weather["dewmaxtime"].'<br>';
echo "Min: ".$weather["dewmin"].'&deg @'.$weather["dewmintime"].'<br>';

?>

</div></div>

<div class=dewpointcharticon> 
<a href="dewpoint-almanac2.php" data-lity data-chartdata="Chart Data">
<?php echo $weather34chartzoomtabletfull?></a>
</div>
