<?php 
    ########################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
	# 											                        
	# 	                                                                                               
	# 	Release: January 2024 Version Aurora MKII 				  	                                           
	########################################################

include('livedata.php');


 ?>





<style>
  



.windspeedsmall {
	--windspeedsmall-value: .3243;
	--color: hsl(calc(240 * (1 - var(--windspeedsmall-value))), 100%, calc(30% + 20% * var(--windspeedsmall-value)));
    position: inherit;
   margin-top:-10px;
	width: 100px;
	height: 100px;
}


.windspeedsmall-value {
	stroke-width: 6px;
	stroke: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	  transition: stroke .4s;
	stroke-dasharray:1 2;       }      

.windspeedsmall-circle {
	stroke-width: 6px;
	stroke: var(--modulesborderside);
}

.windspeedsmall-text {
	display:none
	
}



input[type=range] {
	
	display:none

}

.weather34-windspeedvalue {
	position:absolute;
	
	color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	font-family:verb;
	margin-top:-68px;
	margin-left:30px;
	font-size:24px;
    width: auto;
    border-radius: 5px;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    padding-left:3px;
    padding-right:3px;
	
}

windspeedsensor{
    position   : absolute;
    font-size  : 10px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : 30px;
    margin-left:35px;

}








maxwindtodaysmall{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);

    width:70px;
 margin-left:-5px;
border-radius: 5px;
 margin-top:0px;
 display: block;
 padding-right:2px;

    color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;

}


windchartsmall{

position   : absolute;
font-size  : 11px;
color      : var(--body-text-dark);
font-family: verb;
margin-top        :-10px;
margin-left:175px;
width:200px


}


.todaywindrunsmall{position   : absolute;
    margin-left: -70px;
    margin-top : -5pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}

.todayaveragewindsmall{position   : absolute;
    margin-left: 170px;
    margin-top : -5pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}



.sensorwind{
    position   : absolute;
    font-size  : 8px;
    color      : var(--body-text-dark);
    font-family: verb;
	margin-top        : -82px;
    margin-left:30px;
}

windcharticon { position:absolute;color: var(--body-text-dark);font-size:9px;font-family:verb;margin-left:140px;margin-top:-30px}

.maxW,.minW{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);

    width:auto;
 margin-left:-55px;
border-radius: 5px;
 margin-top:-40px;
 display: block;
 padding-right:3px;

 color      : var(--body-text-dark);

}
.minW{
    display: inline;
    margin-left:75px;

    color      : var(--body-text-dark);


}
.maxW span,.minW span{
    color:var(--body-text-dark);}


.wunit {position   : absolute;
    font-family: verb;
    margin-left: 40px;
    color      : var(--body-text-dark);
    font-size  : 9px;
    margin-top : -36px;}


    indoorcaution{ position: absolute;
        margin-top: 4px;
    font-size:11px;
    font-family:verb;
    background:var(--hilomodule);
max-width:100px;
text-align: center;
border-radius: 5px;}


.sensorw{
    position   : absolute;
    font-size  : 8px;
    color      : var(--body-text-dark);
    font-family: verb;
	margin-top        : -82px;
    margin-left:26px;
}




</style>

<div class="maxW">Max Today <?php  //max Today
echo mynumberformat($weather["wind_gust_speed_max"],0);echo "<windunittabletmax> ".$weather["wind_units"]."</windunittabletmax>";
?>
</div>
<div class="minW">Average <?php //Average Today
if($meteobridgeapi[158]>=16.66 ){echo "<red>" .mynumberformat($weather['wind_speed_avgday'],1)."</red>";}
else if($meteobridgeapi[158]>=11.11 ){echo "<orange>" .mynumberformat($weather['wind_speed_avgday'],1)."</orange>";}
else if($meteobridgeapi[158]>=3 ){echo "<yellow>" .mynumberformat($weather['wind_speed_avgday'],1)."</yellow>";}
else if($meteobridgeapi[158]>=0 ){echo "<green>" .mynumberformat($weather['wind_speed_avgday'],1)."</green>";}
echo $windunit;
?>
</div>



<div class="windspeedsmall"></div>
<div class=sensorw>Wind Speed</div>
<div class="weather34-windspeedvalue">
<?php 

if ($weather["wind_gust_speed"]>=10){
    echo "<formatwind>".mynumberformat($weather["wind_gust_speed"],0), "</formatwind>";}

    else echo "<formatwind>".mynumberformat($weather["wind_gust_speed"],1), "</formatwind>";
    
    
    ?>
</div>
    
<div class=wunit>
<?php echo $windunit?></div>




<windcharticon>
 <a href='wind-almanac2.php' 
data-lity data-chartdata="Wind Speed Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a></windcharticon>






       




