
<?php 
    ########################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
	# 											                        
	# 	        Feels Like                                                                                       
	# 	Release: January 2024 Version Aurora MKII 				  	                                           
	########################################################


include('livedata.php');

$realfeeltoday = mynumberformat((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["humidity"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
if ($humidity<=0){$humidity=0;}
  
// humidity color

if ($weather["humidity"]>=90 ){$humiditycolor= 'hsl(201, 79%, 47%)';}
else if ($weather["humidity"]>=80 ){$humiditycolor= 'hsla(185, 100%, 37%, 1)';}
elseif ($weather["humidity"]>=60 ){$humiditycolor= 'hsl(35, 77%, 58%)';}
elseif ($weather["humidity"]>=40 ){$humiditycolor='hsl(74, 60%, 46%)';}
elseif ($weather["humidity"]>=0 ){$humiditycolor='#d35f50';}


/*
//risk icon svg
     $humidityicon="<svg enable-background='new 0 0 128 128' viewBox='0 0 128 128' xmlns='http://www.w3.org/2000/svg' width=40pt>
     <path d='M76,80.34V16.29C76,9.77,70.82,4,64.3,4h-1.55C56.24,4,51,9.77,51,16.29v64.04 c-7,4.2-11.24,11.68-11.24,20.2c0,13.14,10.64,23.8,23.79,23.8s23.74-10.65,23.74-23.8
C87.28,92.01,83,84.54,76,80.34z' fill='none' stroke='#717F8C' stroke-width='2'/>

<linearGradient id='a' x1='67.014' x2='63.285' y1='38.588' y2='104.92' gradientUnits='userSpaceOnUse'>
    <stop stop-color='$humiditycolor' offset='.5974'/>
    <stop stop-color='var(--red)' offset='1'/></linearGradient>
    <path d='m69.92 85.89v-62.07c0-3.53-2.86-6.39-6.39-6.39s-6.39 2.86-6.39 6.39v62.08
    c-5.82 2.54-9.83 8.44-9.58 15.25 0.3 8.19 6.99 14.96 15.18 15.36 9.19 0.44 16.78-6.87 16.78-15.96-0.01-6.57-3.95-12.19-9.6-14.66z' fill='url(#a)'/>

    <path stroke='#717F8C' stroke-width='2' d='m62.87 39.76h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.66-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 58.32h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    <path stroke='#717F8C' stroke-width='2' d='m62.87 76.88h-11.92v-6.39h11.92c1.66 0 3 1.34 3 3v0.39c0 1.65-1.34 3-3 3z' fill='none'/>
    </svg>";

 */

$humidityicon="<?xml version='1.0' encoding='utf-8'?>
<svg fill='green' width='60px' height='60px' viewBox='10 5 32 32' id='Layer_1' data-name='Layer 1' 
xmlns='http://www.w3.org/2000/svg'>
  <defs>
    <style>
      .cls-1 {
        fill: none;
      }
    </style>
  </defs>
  <path fill ='$humiditycolor' d='M24.5,30a5.202,5.202,0,0,1-4.626-8.08L23.49,16.5382a1.217,1.217,0,0,1,2.02,0L29.06,21.8154A5.4921,5.4921,0,0,1,30,24.751,5.385,5.385,0,0,1,24.5,30Zm0-11.38-2.9356,4.3672A3.2079,3.2079,0,0,0,24.5,28,3.3855,3.3855,0,0,0,28,24.751a3.4354,3.4354,0,0,0-.63-1.867Z' transform='translate(0 0)'/>
</svg>";

?>



<style>
.module {display: grid; 
  font-size:14px;
  font-family:verb;
  color: var(--body-text-dark);
}

.humiditytitle{position:absolute;
    font-size:10px;
  font-family:verb;
  color: var(--body-text-dark);
  display: inline;
  margin-left:-100px;
  margin-top:-40px;
  background:var(--hilomodule);
  width: max-content;
max-width:150px; 
padding:4px;
border-radius: 5px;opacity:.8


}


.humidityvalue{
  position: absolute;
    font-size:38px;
    font-family:verb;
    background:<?php echo $humiditycolor?>;
    width:max-content;
    height:max-content;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-80px;
 display: block;
 padding-right:3px;
 padding-left:5px;
 padding-bottom:5px;
 color:whitesmoke;opacity:.8


}
.humidityvalue span{
    font-size:7px;
    vertical-align: super;
    text-align: center;


  }

  .humidityvalue span1{
    font-size:9px;
    vertical-align: super;
    text-align: center;


  }

  .humidityvalue span2{
    font-size:10px;
    display: block;


  }

.humiditydescription{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);
    width:170px;
 margin-left:-100px;
border-radius: 5px;
 margin-top:-7px;
 display: block;
 padding:3px;
 color:var(--body-text-dark);opacity:.9

}

.humidityicon{position: absolute;
margin-left:60px;
margin-top:-80px}


.humiditycharticon { position: absolute;
font-size:11px;
font-family:verb;
background:none;
width:auto;
margin-left:90px;
border-radius: 5px;
margin-top:20px;
display: block;
padding-right:3px;
color:var(--body-text-dark);
z-index:10;}

.sensorHcaption{position: absolute;
 margin-left:30px;
 margin-top:-92px;
 font-size:9px;
 color:var(--body-text-dark);

 width:max-content;
 font-family:verb;
 }

</style>

<div class=module>
<div class=sensorHcaption>Relative Humidity</div>
<div class="humidityvalue"><?php 
//forecast humidity
echo " ".$weather["humidity"]."<span>%</span>";
?>

<span2><?php  
if ($weather["humidity"]>=70 ){echo 'Wet';}
elseif ($weather["humidity"]>=40 ){echo 'Comfortable';}
elseif ($weather["humidity"]>=0 ){echo 'Dry';}
echo " | ";
     //trend
        //falling
        if($weather["humidity_trend"]<0){echo " Falling ".$fallingtabletsmall;}
        //rising
        else if($weather["humidity_trend"]>0){echo " Rising ".$risingtabletsmall;}
        //steady
        else echo " Steady ".$steadytabletsmall;
        echo"</div>";?>
</span2>

</div>


<div class=humidityicon>
<?php //icon forecast
echo $humidityicon
;?>

</div>




<div class="humiditydescription"> 


<?php 
echo "Max ".$weather["humidity_max"].'% @'.$weather["humidity_maxtime"].'<br>';
echo "Min: ".$weather["humidity_min"].'% @'.$weather["humidity_mintime"].'<br>';



?>

</div></div>

<div class=humiditycharticon> 
<a href="humidity-almanac2.php" data-lity data-chartdata="humidity Data">
<?php echo $weather34chartzoomtabletfull?></a>
</div>
