<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	      One Color Theme View                                                                                         
# 	Release: March 2023 Version Aurora MKII 				  	                                           
########################################################
include_once('livedata.php');
include_once('updater-aw-layout.php');
$firerisk = number_format((((110 - 1.373 * $weather["humidity"]) - 0.54 * (10.20 - anytoc($weather["temp"]))) * (124 * pow(10, (-0.0142 * $weather["humidity"])))) / 60, 0); ?>
<!DOCTYPE html>
<html>

<head>
  <title><?php echo $stationName; ?></title>
  <!-- Primary Meta Tags -->
  <meta name="title" content="<?php echo $stationName; ?>">
  <meta name="description" content="Providing current weather conditions for <?php echo $stationName ?>">
  <!-- Open Graph / Facebook -->
  <meta property="og:type" content="website">
  <meta property="og:url" content="">
  <meta property="og:title" content="<?php echo $stationName; ?>">
  <meta property="og:description" content="Providing current weather conditions for <?php echo $stationName ?>">
  <meta property="og:image" content="/weather34-meta-seo.png">
  <!-- Twitter -->
  <meta property="twitter:card" content="/weather34-meta-seo.png">
  <meta property="twitter:url" content="">
  <meta property="twitter:title" content="<?php echo $stationName; ?>">
  <meta property="twitter:description" content="Providing current weather conditions for <?php echo $stationName ?>">
  <meta property="twitter:image" content="/weather34-meta-seo.png">
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  
  <meta name="mobile-web-app-capable" content="yes">
  <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon.png">
 
  <link rel="manifest" href="favicon/site.webmanifest">
  <link rel="mask-icon" href="favicon/safari-pinned-tab.svg" color="#5bbad5">
  <link rel="shortcut icon" href="favicon.ico">
  <meta name="apple-mobile-web-app-title" content="Weather34">
  <meta name="application-name" content="Weather34">
  <link href="weather34-aw-theme.css?version=<?php echo filemtime('weather34-aw-theme.css') ?>" rel="stylesheet prefetch">
  <link rel="preload" href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" crossorigin>
</head>

<body>
  <!-- weather34 Aurora MKII March 2023 flex layout -->
  <div class="weather34-tablet">
    <div class="container">
      <div class="nav-top">

       
    <div class="desktoplink2"><?php //units
                              if ($units != 'us') {
                                echo '<a  href="?units=us" data-title="Imperial Units">
    ' . $weather34F . '</a>';
                              } else if ($units != 'metric') {
                                echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
                              } else if ($units != '') {
                                echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
                              } ?></div>
  </div>

  <ul class="grid-container">
    <li>
      <div id=position1></div>
    </li>


    <li>
      <div id=position9></div>
    </li>

    <li>
      <div id=positionalt></div>
    </li>

   

    
    
        
    <li>
      <div id=position7></div>
    </li>
    <li>
      <div id="rainrate"></div>
    </li>

    <li2>
      <?php //uv sensor
      if ($position9 == 'weather34-uvi.php') {
        echo '<div id="uv"></div>';
      }
      //solar
      else if ($position9 == 'weather34-solar.php') {
        echo ' <div id="solarlux"></div>';
      }
      //show clock if no uv or solar
      else echo '<div id=position10f></div>';  ?>
    </li2>
    

    <li><?php //pressure mmHg or hPa/mb/inHg
        if ($usemmhgmodule == 'yes') {
          echo '<div id="mmHG">';
        } else echo '<div id=position8>'; ?></div>
    </li>
  </ul>

  <ul class="grid-container">
    
    <li2>
      <div id=position11f></div>
    </li2>

    <li2>
      <div id=position12f></div>
    </li2>
    <li2>
      <div id=position13f></div>
    </li2>
  </ul>


  </div>
  
</body>


  

</html>