<?php include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}
$aqiweather["daqi"]      = number_format(pm25_to_aqi($weather["airquality-davispm25"]), 1);	
$aqiweather["daqi10"]       = number_format(pm25_to_aqi($weather["airquality-davispm10"]), 1);



 //wood smoke for Davis Airlink using actual current PM 2.5 EPA 
$aqiweather["aqiwoodsmoke"]=number_format(($aqiweather["daqi"]), 1);//EPA
$woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);
 $a=""; 
//last hour trend
$aqitrend =  $aqiweather["daqi"]  - $aqiweather["aqi1h"];
//echo $weather34purpleair_json['pm2.5_atm_a'];
if ($aqiweather["daqi"]  >= 400) { $aqicaution='Hazordous';} 
else if ($aqiweather["daqi"] >= 300) {$aqicaution='Very Unhealthy';} 
else if ($aqiweather["daqi"] >= 200) {$aqicaution='Unhealthy ';} 
else if ($aqiweather["daqi"] >= 150) {$aqicaution='Poor';} 
else if ($aqiweather["daqi"] >= 100) {$aqicaution='Caution';} 
else if ($aqiweather["daqi"] >= 50) {$aqicaution='Moderate';} 
else if ($aqiweather["daqi"] >= 0) {$aqicaution='Good';} 
?>

<style>
  .davisairqualitycontainer .percent .number, .davisairqualitycontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.davisairqualitycontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;

}


.davisairqualitycontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.davisairqualitycontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}

.davisairqualitycontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-37px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}


.davisairqualitycontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.davisairqualitycontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.davisairqualitycontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.davisairqualitycontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}



.davisairqualitycontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
if ($aqiweather["daqi"] >=300 ){echo "var(--purple)";}
else if ($aqiweather["daqi"] >=150 ){echo "var(--red)";}
else if ($aqiweather["daqi"] >=100 ){echo "var(--orange)";}
else if ($aqiweather["daqi"] >=50 ){echo "var(--yellow)";}
else if ($aqiweather["daqi"] >=0 ){echo "var(--green)";}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.davisairqualitycontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.davisairqualitycontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}


.davisairqualitycontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.davisairqualitycontainer .percent svg circle {
  width: 100%;
  height: 100%; 
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.davisairqualitycontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.davisairqualitycontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $aqiweather["daqi"] ?>) / 440);
  stroke: <?php 
if ($aqiweather["daqi"] >=300 ){echo "var(--purple)";}
else if ($aqiweather["daqi"] >=150 ){echo "var(--red)";}
else if ($aqiweather["daqi"] >=100 ){echo "var(--orange)";}
else if ($aqiweather["daqi"] >=50 ){echo "var(--yellow)";}
else if ($aqiweather["daqi"] >=0 ){echo "var(--green)";}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}

</style>



<div class="todaysair">Air Quality</div>
<div class="daqmoduletrendair">Davis Airlink</div></div>

<div class="davisairqualitycontainer">
  <div class="card">
    <div class="box"><hardwaretype>Davis Airlink </hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <?php echo $aqiweather["daqi"] ?><unit>PM 2.5</unit>
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"><?php echo $aqicaution;?></smalltrainunittabletair>
        </div>     

        <smalltrainunittablet3>WoodSmoke</smalltrainunittablet3> 
      <wsvalue>
<?php 
if ($woodsmoke>=300 ){echo '<purple>'.number_format($woodsmoke,0).'</purple>';}
else if ($woodsmoke>=150 ){echo '<red>'.number_format($woodsmoke,0).'</red>';}
elseif ($woodsmoke>=100 ){echo '<orange>'.number_format($woodsmoke,0).'</orange>';}
elseif ($woodsmoke>=50 ){echo '<yellow>'.number_format($woodsmoke,1).'</yellow>';}
elseif ($woodsmoke>=10 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
elseif ($woodsmoke>=0 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
echo " EPA";?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='davis-air-quality-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>