<?php
########################################################
#	CREATED FOR WEATHER34 Aurora TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: December 2020 Version Aurora MKII 				  	                                           
########################################################
include_once('livedata.php');
include_once('updater2.php'); ?>
<!DOCTYPE html>
<html>

<head>

  <title><?php echo $stationName; ?></title> 
<!-- Primary Meta Tags -->
<meta name="title" content="<?php echo $stationName; ?>">
<meta name="description" content="Providing current weather conditions for <?php echo $stationName ?>">
<!-- Open Graph / Facebook -->
<meta property="og:type" content="website">
<meta property="og:url" content="">
<meta property="og:title" content="<?php echo $stationName; ?>">
<meta property="og:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="og:image" content="/weather34-meta-seo.png">
<!-- Twitter -->
<meta property="twitter:card" content="/weather34-meta-seo.png">
<meta property="twitter:url" content="">
<meta property="twitter:title" content="<?php echo $stationName; ?>">
<meta property="twitter:description" content="Providing current weather conditions for <?php echo $stationName ?>">
<meta property="twitter:image" content="/weather34-meta-seo.png">

  <meta name="viewport" content="width=device-width, initial-scale=1,user-scalable=yes">
  <meta name="mobile-web-app-capable" content="yes">
  <link rel="apple-touch-icon" sizes="144x144" href="favicon/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="favicon/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="favicon/favicon-16x16.png">
  <link rel="manifest" href="favicon/site.webmanifest">
  <link rel="mask-icon" href="favicon/safari-pinned-tab.svg" color="#5bbad5">
  <link rel="shortcut icon" href="favicon.ico">
  <meta name="msapplication-TileColor" content="#da532c">
  <meta name="msapplication-config" content="favicon/browserconfig.xml">
  <meta name="theme-color" content="#ffffff">
  <meta name="apple-mobile-web-app-title" content="Weather34">
  <meta name="application-name" content="Weather34">
  <link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
  <link rel="preload" href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" crossorigin>
  <script src="./js/vendor/jquery-ui-1.10.3.custom.min.js"></script>
</head>

<body>
  <!-- weather34 Aurora MKII flex layout -->
  <div class="weather34-tablet">
    <div class="container">
      <div class="nav-top">
        <div class="weather34-indoor">
          <?php echo $timeicon ?><div id="weather34clock4"></div>
          <div class="sunriset-set"><?php echo $headerlocation ?> <?php echo $stationName ?></div>
        </div>

        <div class="desktoplink2">
          <div id=data-updated></div>
        </div>


       
        
      </div>

      <ul class="grid-container">
        <li>
          <div id=position1></div>
        </li>
        <li>
          <div id=position2></div>
        </li>
        <li>
          <div id=position3></div>
        </li>
        <li>
          <div id=position4></div>
        </li>
        <li>
          <div id=position5></div>
        </li>
        <li>
          <div id=position6></div>
        </li>
        <li>
          <div id=position7></div>
        </li>

        <li><?php //pressure mmHg or hPa/mb/inHg
           if ($usemmhgmodule=='yes') {echo '<div id="mmHG">'; } 
           else echo '<div id=position8>'; ?></div>
        </li>
        
        <li>
          <div id=position9></div>
        </li>
        <li2>
          <div id=position10></div>
        </li2>
        <li2>
          <div id=position11></div>
        </li2>
        <li2>
          <div id=position12></div>
        </li2>
        <li3>
          <div id=position13></div>
        </li3>
      </ul>

      <div class="nav-bottom">
      <!-- weather34 Aurora MKII menu December 2023-->
      <div id="weather34-menubutton">
     <button class="weather34-open-menu" onclick="openNav()"><?php echo $adjust ?> <icontext>Menu</icontext></button></div>
     
      <div id="weather34-menu2024" class="weather34_sidemenu"><a href="javascript:void(2)" class="closebtn" onclick="closeNav()">X</a> 
      <?php include_once('weather34-sidemenu-2024.php');?></div>

  <script>
function openNav() {
    document.getElementById("weather34-menu2024").style.width = "275px";
    document.getElementById("weather34menuopened").style.marginLeft = "275px";}
function closeNav() {
    document.getElementById("weather34-menu2024").style.width = "0";
    document.getElementById("weather34-menubutton").style.marginLeft = "0";}
  </script>
  <!-- end weather34 Aurora MKII menu December 2023-->
    
        
  <div class="weather34switcher">
 
  <a data-title="Switch Theme"><button id="weather34theme-toggle" class="weather34switch" type="button"> <?php echo $themeshadelight; ?>
   </button> </div></a>
       
        <script>
          var toggle = document.getElementById("weather34theme-toggle");
          var storedTheme = localStorage.getItem('theme');
          if (storedTheme)
            document.documentElement.setAttribute('data-theme', storedTheme)
          toggle.onclick = function() {
            var currentTheme = document.documentElement.getAttribute("data-theme");
            var targetTheme = "light";
            if (currentTheme === "light") {
              targetTheme = "dark";
            }
            document.documentElement.setAttribute('data-theme', targetTheme)
            localStorage.setItem('theme', targetTheme);
          };
        </script>

        <bottomtoolbarspace></bottomtoolbarspace>

        <?php //units
        if ($units != 'us') {
          echo '<a  href="?units=us" data-title="Imperial Units">
    ' . $weather34F . '</a>';
        } else if ($units != 'metric') {
          echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
        } else if ($units != '') {
          echo '<a  href="?units=metric" data-title="Metric Units">
    ' . $weather34C . '</a>';
        } ?>

        <a href="forecastcharts/chartforecast.php" data-title="5 day Forecast">
          <icon-forecast><?php echo $weather34fore ?></icon-forecast>
        </a>
        <a href="consolecharts.php" data-title="Daily Charts"><?php echo $weather34chart2 ?></a>     

        <a href="weather34-dashboard.php" data-title="Refresh" class="showicon2" style="background:0;box-shadow:none;"><?php echo $weather34refr ?></a>

        <weather34-rightfootericons>
        <aurora>Aurora Meteobridge (<alternativeblue><?php echo $weather["stationtype"] ?></alternativeblue>) <BR><center><?php echo $weather["licensetext"] ?></center></aurora>

          <a href="weather34-dashboard.php" data-title="Refresh" class="showicon3" style="background:0;box-shadow:none;"><?php echo $weather34refr ?></a>

          <div class="weather34-aurora"><a href="info.html" data-lity data-title="Info" class="footericons" style="background:0;box-shadow:none;">
              <img src="images/weather34-logo-small.svg" width="23px" height="23px"></a></div>
        </weather34-rightfootericons>
      </div>
      <?php //if notifications is yes weather34 rain/snow/thunder awareness every 15 minutes 
      if ($notifications == 'yes') {; ?>
        <div id=forecastalert></div>
      <?php ;} ?>
</body>




<button onclick="topFunction()" id="weather34-top" title="Go to top"><?php echo $weather34top ?></button>
<script>
  //weather34 return to top in mobile
  mybutton = document.getElementById("weather34-top");
  window.onscroll = function() {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      mybutton.style.display = "block";
    } else {
      mybutton.style.display = "none";
    }
  }

  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>

</html>


           
  <!-- Weather34 GDPR -->
<?php if ($showgdpr=='yes'){;?>
<script>
// Define gdpr.
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
 gtag('consent', 'default', {'functionality_storage': 'granted',
  'security_storage': 'granted','ad_storage': 'denied','analytics_storage': 'denied','personalization_storage': 'denied','wait_for_update': 500}); 
  </script>   
      
 <div id="cookieConsentDialog"><div class="cookieDialog"> <div class="cookieIn">  <div class="cookieBox">
<span><?php echo $gdprsvg?> <b>GDPR</b> Compliant Cookie Consent
<a href="#" class="cookieClose" title="close">&#x2716;</a>
<p>This website <?php $current_url_path = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$current_url_path = substr($current_url_path, -4) == ".php" ?
implode("/", array_slice((explode("/", $current_url_path)), 0, -1)) : $current_url_path;
echo "<blue>".$current_url_path."</blue>";?> 
uses cookies to provide necessary site functionality and improve your experience and usability .</p>
 <table> <tr> <td>
<blue>Cookies</blue> are needed to make this website usable by enabling critical & basic functions. 
 This website cannot function properly without these cookies.This website <?php $current_url_path = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$current_url_path = substr($current_url_path, -4) == ".php" ? implode("/", array_slice((explode("/", $current_url_path)), 0, -1)) : $current_url_path;
echo "<blue>".$current_url_path."</blue>";?> does not use or collect your data for marketing purposes or tracking purposes.
</td><td> <label class="switch"> 
<input type="checkbox" name="necessaryCookiesConsent" id="necessaryCookiesConsent_input" >
<span class="checkboxSlider round"></span> </label>
<span style="position:relative;font-size:11px;padding-left:5px;top:10px">ALLOW ? </span>
 </td></tr></table>
 <br>
 <div id="cookieDialog_buttonbar" class="buttonbar">
  <input type="submit" name="" value="Save preferences" id="coookieDialog_save_button" class="cookieNoticeButton gray" title=""></div>
</div></div> </div>
 <div class="cookieOverlay"></div>
</div>
 <!-- load GDPR javascript -->
<script type="text/javascript" src="js/cookieConsent.js"></script>
<?php };?>
<!-- END OF Weather34 GDPR -->  

    </body>
</html>
