<?php include('livedata.php');?>

<style>
  .feelscontainer .percent .number, .feelscontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.feelscontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.feelscontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.feelscontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.feelscontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.feelscontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.feelscontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.feelscontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.feelscontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.feelscontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
  //real feel
if (anytoC($weather["realfeel"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["realfeel"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["realfeel"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["realfeel"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["realfeel"])<100){ echo "var(--temp45-50)";}  
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}

.feelscontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}
.feelscontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.feelscontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  z-index:100
  
  
}
.feelscontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.feelscontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo number_format(anytoC($weather["realfeel"]),1)*9;?>)/ 440);
  stroke: <?php 
  //real feel
if (anytoC($weather["realfeel"])<-10){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<3){ echo "var(--temp-0-5)";}
else if (anytoC($weather["realfeel"])<10){ echo "var(--temp5-10)";}
else if (anytoC($weather["realfeel"])<12){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<15){ echo "var(--temp15-20)";}
else if (anytoC($weather["realfeel"])<20){ echo "var(--temp20-25)";}
else if (anytoC($weather["realfeel"])<25){ echo "var(--temp25-30)";}
else if (anytoC($weather["realfeel"])<30){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<35){ echo "var(--temp30-35)";}
else if (anytoC($weather["realfeel"])<45){ echo "var(--temp35-40)";}
else if (anytoC($weather["realfeel"])<100){ echo "var(--temp45-50)";} 
 
?>;
z-index:100
}

wsvalue{font-size: 10px;font-family: verb;max-width: max-content;}

</style>



<div class="todaysair">Feels Like</div>
<div class="moduletrendair">
<?php if($weather["temp_trend"] >0){echo "Rising";}
else if($weather["temp_trend"]<0){echo "Falling";}
//steady
else echo "Steady";?>
</div>

<div class="feelscontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-40px"> </hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <span>
          <?php echo $weather["realfeel"]."&deg"?> </span>     
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure">  
          <?php 
          if ($weather["realfeel"]>$weather["temp"]) {echo "Warmer";}
          if ($weather["realfeel"]<$weather["temp"]) {echo "Cooler";}
          ?></smalltrainunittabletair>
        </div>     

       
      <wsvalue>
	  <?php //cloudbase
	//celsius	
if ($cloudbaseunit=='ft'){ //feet
			echo '<smalltrainunittablet3>Cloudbase ';
		if($weather["cloudbase1"] >=5000){ echo "<orange>".$weather["cloudbase1"] ."</orange>";}
		else if($weather["cloudbase1"] >=1000){ echo "<icon-16-20>".$weather["cloudbase1"] ."</icon-16-20>";}
		else if($weather["cloudbase1"] >=0){ echo "<grey>".$weather["cloudbase1"] ."</grey>";}
		echo "<smallrainunit> ft </smallrainunit></smalltrainunittablet3>";}

if ($cloudbaseunit=='mt' ){ //meters  
	echo '<smalltrainunittablet3>Cloudbase ';
		if($weather["cloudbase1"] >=5000){ echo "<orange>".round($weather["cloudbase1"]*0.3048,0) ."</orange>";}
		else if($weather["cloudbase1"] >=1000){ echo "<icon-16-20>".round($weather["cloudbase1"]*0.3048,0)."</icon-16-20>";}
		else if($weather["cloudbase1"] >=0){ echo "<grey>".round($weather["cloudbase1"]*0.3048,0) ."</grey>";}
		echo "<smallrainunit> mt </smallrainunit></smalltrainunittablet3>";}	

//cloudbase temperature	

$fog = anytoC($weather["temp"]) - anytoC($weather["dewpoint"]);

//echo $fog;
if ($weather["temp_units"]=='C') { 	
	if($cloudtempc<-10){ echo "<icon-minus10>".$cloudtempc."</icon-minus10 >";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<0){ echo "<icon-minus10>".$cloudtempc."</icon-minus10>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<6){ echo "<icon-0-5>".$cloudtempc."</icon-0-5>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<12){ echo "<icon-6-10>".$cloudtempc."</icon-6-10>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<15){ echo "<icon-11-15>".$cloudtempc."</icon-11-15>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<20){ echo "<icon-16-20>".$cloudtempc."</icon-16-20>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<25){ echo "<icon-21-25>".$cloudtempc."</icon-21-25>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<30){ echo "<icon-26-30>".$cloudtempc."</icon-26-30>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<35){ echo "<icon-31-35>".$cloudtempc."</icon-31-35>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<45){ echo "<icon-36-40>".$cloudtempc."</icon-36-40>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempc<100){ echo "<icon-41-45>".$cloudtempc."</icon-41-45>";echo "<smalldegrees>&deg;</smalldegrees>";} 
}

if ($weather["temp_units"]=='F') { 
	if($cloudtempf<14){ echo "<icon-minus10>".$cloudtempf."</icon-minus10 >";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<32){ echo "<icon-minus10>".$cloudtempf."</icon-minus10>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<42.8){ echo "<icon-0-5>".$cloudtempf."</icon-0-5>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<52){ echo "<icon-6-10>".$cloudtempf."</icon-6-10>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<59){ echo "<icon-11-15>".$cloudtempf."</icon-11-15>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<68){ echo "<icon-16-20>".$cloudtempf."</icon-16-20>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<77){ echo "<icon-21-25>".$cloudtempf."</icon-21-25>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<86){ echo "<icon-26-30>".$cloudtempf."</icon-26-30>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<95){ echo "<icon-31-35>".$cloudtempf."</icon-31-35>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<113){ echo "<icon-36-40>".$cloudtempf."</icon-36-40>";echo "<smalldegrees>&deg;</smalldegrees>";} 
	else if($cloudtempf<200){ echo "<icon-41-45>".$cloudtempf."</icon-41-45>";echo "<smalldegrees>&deg;</smalldegrees>";} 
}
             
		//END
?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div class='chartdataiconair'><a href='heat-chill-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>