<?php include('livedata.php');
 $firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
 if ($firerisk<0){$firerisk=0;}?>



<style>
  .windgustcontainer .percent .number, .windgustcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:0px
}

.windgustcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.windgustcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.windgustcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.windgustcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.windgustcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.windgustcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.windgustcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.windgustcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.windgustcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: 
<?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.windgustcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.windgustcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.windgustcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.windgustcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.windgustcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.windgustcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['wind_speed_bft'] *30;?>)/ 440);
  stroke: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}




.windspeedsmall {
	--windspeedsmall-value: .3243;
	--color: hsl(calc(240 * (1 - var(--windspeedsmall-value))), 100%, calc(30% + 20% * var(--windspeedsmall-value)));

	width: 140px;
	height: 140px;
   
}


.windspeedsmall-value {
	stroke-width: 6px;
	stroke: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	  transition: stroke .4s;
	stroke-dasharray:1 2;       }      

.windspeedsmall-circle {
	stroke-width: 6px;
	stroke: var(--modulesborderside);
}

.windspeedsmall-text {
	display:none
	
}



input[type=range] {
	
	display:none

}

.weather34-windspeedvalue {
	position:absolute;
	
	color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
	font-family:verb;
	margin-top:55px;
	margin-left:40px;
	font-size:26px

	
}

windspeedsensor{
    position   : absolute;
    font-size  : 10px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : 30px;
    margin-left:35px;

}

feelslike-tablet2024{ position:absolute;color: var(--body-text-dark);font-size:10px;font-family:verb;margin-left:20px;margin-top:5px}













maxwindtodaysmall{
    position: absolute;
    font-size:10px;
    font-family:verb;
    background:var(--hilomodule);

    width:max-content;
 margin-left:-10px;
border-radius: 5px;
 margin-top:0px;
 display: block;
 padding:2px;

    color: <?php // indicator color
if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;

}


windchartsmall{

position   : absolute;
font-size  : 11px;
color      : var(--body-text-dark);
font-family: verb;
margin-top        :-10px;
margin-left:175px;
width:200px


}


.todaywindrunsmall{position   : absolute;
    margin-left: -70px;
    margin-top : -5pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}

.todayaveragewindsmall{position   : absolute;
    margin-left: 170px;
    margin-top : -5pt;
    font-family: verb;
    font-size  : 11px;
    color      : var(--body-text-dark);
}

</style>
<div class="todaywindrunsmall"><?php //Wind Run
//kilometers
if  ($distanceunit=='km'){
if ($weather["windrun341"]*1.60934>300){echo '&nbsp;<icon-36-40>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-36-40><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>200){echo '&nbsp;<icon-31-35>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-31-35><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>150){echo '&nbsp;<icon-21-25>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-21-25><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>100){echo '&nbsp;<icon-16-20>'.number_format($weather["windrun341"]*1.60934, 0).'</icon-16-20><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>50){echo '&nbsp;<icon-11-15>'.number_format($weather["windrun341"]*1.60934, 1).'</icon-11-15><windunittabletaverage>km</windunittabletaverage>';}
else if ($weather["windrun341"]*1.60934>=0){echo '&nbsp;'.number_format($weather["windrun341"]*1.60934, 1).'<windunittabletaverage>km</windunittabletaverage>';}
}
//miles
if  ($distanceunit=='mi'){
if ($weather["windrun341"]>125){echo '&nbsp;<icon-31-35>'.number_format($weather["windrun341"],0).'</icon-31-35><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>93){echo '&nbsp;<icon-21-25>'.number_format($weather["windrun341"],1).'</icon-21-25><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>60){echo '&nbsp;<icon-16-20>'.number_format($weather["windrun341"], 1).'</icon-16-20><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>30){echo '&nbsp;<icon-11-15>'.number_format($weather["windrun341"], 1).'</icon-11-15><windunittabletaverage>mi</windunittabletaverage>';}
else if ($weather["windrun341"]>=0){echo '&nbsp;'.number_format($weather["windrun341"],1).'<windunittabletaverage>mi</windunittabletaverage>';}
}
echo "</barometervalue><windunittabletdavg2>Wind Run</windunittabletdavg2>";
?>
</div>
<div class="todayaveragewindsmall"><?php //Average Today
if($meteobridgeapi[158]>=16.66 ){echo "<red>" .number_format($weather['wind_speed_avgday'],1)."</red>";}
else if($meteobridgeapi[158]>=11.11 ){echo "<orange>" .number_format($weather['wind_speed_avgday'],1)."</orange>";}
else if($meteobridgeapi[158]>=3 ){echo "<yellow>" .number_format($weather['wind_speed_avgday'],1)."</yellow>";}
else if($meteobridgeapi[158]>=0 ){echo "<green>" .number_format($weather['wind_speed_avgday'],1)."</green>";}
echo "<windunittabletaverage>".$windunit."</windunittabletaverage><windunittabletdavg2>Avg Today</windunittabletdavg2>";
?>
</div>



<div class="windspeedsmall"><windspeedsensor>Wind Speed </windspeedsensor>
<div class="weather34-windspeedvalue"><?php echo number_format($weather["wind_gust_speed"],1), "<smallunittablet7 style='position:absolute;font-size:8px;margin-left:-30px;margin-bottom:5px;margin-top:-5px'> ".$weather['wind_units']."</smallunittablet7>";?>

<maxwindtodaysmall>
Max <?php  //max Today
echo number_format($weather["wind_speed_max"],1);echo "<windunittabletmax> ".$weather["wind_units"]."</windunittabletmax>";
?>
</maxwindtodaysmall>


</div>
 </div>     




<windchartsmall>
 <a href='wind-almanac2.php' 
data-lity data-chartdata="Wind Speed Chart Data" style="z-index:10"><?php echo $weather34chartzoomtabletfull?></a></windchartsmall>





