<?php include('livedata.php');
 $firerisk = number_format((((110 - 1.373 * $weather["humidity"] ) - 0.54 * (10.20 - anytoc($weather["temp"]) )) * (124 * pow(10,(-0.0142 * $weather["humidity"] ))))/60,0);
 if ($firerisk<0){$firerisk=0;}?>

<style>
  .windgustcontainer .percent .number, .windgustcontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:0px
}

.windgustcontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.windgustcontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.windgustcontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.windgustcontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.windgustcontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.windgustcontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.windgustcontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.windgustcontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.windgustcontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: 
<?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.windgustcontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.windgustcontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.windgustcontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.windgustcontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.windgustcontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}


.windgustcontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $weather['wind_speed_bft'] *30;?>)/ 440);
  stroke: <?php if ($weather['wind_speed_bft']>=7 ){echo 'var(--red)';}
elseif ($weather['wind_speed_bft']>=5 ){echo 'var(--orange)';}
elseif ($weather['wind_speed_bft']>=3 ){echo 'var(--yellow)';}
elseif ($weather['wind_speed_bft']>=0 ){echo 'var(--green)';}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}

</style>



<div class="todaysair" style="margin-left:-10px">Wind Speed </div>
<div class="moduletrendair" style="margin-left:160px"><?php  //Wind Run
echo " Wind Run ";
if ($distanceunit=='km'){echo '&nbsp;'.number_format($weather["windrun341"]*1.60934, 1).'';echo '<smalltempunit2>&nbsp;km</smalltempunit2>';}
if ($distanceunit=='mi'){echo '&nbsp;'.number_format($weather["windrun341"], 1).'';echo '<smalltempunit2>&nbsp;mi</smalltempunit2>';}?></div>

<div class="windgustcontainer">
  <div class="card">
    <div class="box"><hardwaretype style="margin-left:-15px"></hardwaretype>
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
        <?php echo number_format($weather["wind_gust_speed"],$numberformat)?> <unit><?php echo $weather["wind_units"]?></unit>
          <span></span>
<smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure;font-size:10px"> 
Max <?php  //max Today
echo number_format($weather["wind_gust_speed_max"],$numberformat);
echo "<windunittabletmax style='font-size:7px;color:whitesmoke;'> ".$weather["wind_units"]."</windunittabletmax>";
?></smalltrainunittabletair>
        </div>     

       
      <wsvalue> <?php 
if ( $weather['wind_speed_bft']>=12){echo "Hurricane";}
else if ($weather['wind_speed_bft']>=11){echo "Violent Storm";}
else if ($weather['wind_speed_bft']>=10){echo "Storm Force ";}
else if ($weather['wind_speed_bft']>=8){echo "Gale Force";}
else if ($weather['wind_speed_bft']>=7){echo "Near Gale ";}
else if ($weather['wind_speed_bft']>=6){echo "Strong Breeze";}
else if ($weather['wind_speed_bft']>=5){echo "Fresh Breeze";}
else if ($weather['wind_speed_bft']>=4){echo "Moderate Breeze";}
else if ($weather['wind_speed_bft']>=3){echo "Gentle Breeze";}
else if ($weather['wind_speed_bft']>=1){echo "Light Breeze";}
else if ($weather['wind_speed_bft']>=0){echo "Dead Calm ";}?>
</wsvalue> 
            </div>    </div>  </div>
  
  
<div style="position:absolute;width:0px;margin-left:220px;margin-top:130px">
<a href='wind-almanac2.php' data-lity data-chartdata="Wind Speed Data">
<?php echo $weather34chartzoomtabletfullwind?></a></div>
