<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: 2020 Revised December 2023  	                                           
########################################################
include('livedata.php');
header('Content-type: text/html; charset=utf-8');
//luftdaten air quality	SCRIPT 
$url = 'jsondata/luftdaten.txt'; // luftdaten JSON file
$data = file_get_contents($url); // put the contents of the file into a variable
$weather34luftdaten = json_decode($data, true); // decode the JSON feed
foreach ($weather34luftdaten as $weather34luftdatenaqi) {
}
$aqiweather["aqi10"]     = $weather34luftdatenaqi['sensordatavalues'][0]['value'];
$aqiweather["aqi25"] = $weather34luftdatenaqi['sensordatavalues'][1]['value'];
$aqiweather["aqi-type"] = $weather34luftdatenaqi['sensordatavalues'][0]['value_type'];
$aqiweather["aqi-type-1"] = $weather34luftdatenaqi['sensordatavalues'][1]['value_type'];
if ($aqiweather["aqi-type"] == "P1") {
	$aqiweather["aqi-type"] = "PM 10"; 
}
if ($aqiweather["aqi-type"] == "P2") {
	$aqiweather["aqi-type"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P2") {
	$aqiweather["aqi-type-1"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P1") {
	$aqiweather["aqi-type-1"] = "PM 10";
}
$aqiweather["laqi"] = number_format(pm25_to_aqi($aqiweather["aqi25"]), 0);
$aqiweather["laqi10"] = number_format(pm25_to_aqi($aqiweather["aqi10"]), 0);


 //wood smoke for luftdateN Airlink using actual current PM 2.5 EPA 
 $aqiweather["aqiwoodsmoke"]=number_format(($aqiweather["laqi"]), 1);//EPA
 $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);
  $a=""; 
 //last hour trend
 $aqitrend =  $aqiweather["laqi"]  - $aqiweather["aqi1h"];
 //echo $weather34purpleair_json['pm2.5_atm_a'];
 if ($aqiweather["laqi"]  >= 400) { $aqicautionlaq=' Hazordous Air Quality';} 
 else if ($aqiweather["laqi"] >= 300) {$aqicautionlaq='Very Unhealthy Air Quality';} 
 else if ($aqiweather["laqi"] >= 200) {$aqicautionlaq='Unhealthy Air Quality';} 
 else if ($aqiweather["laqi"] >= 150) {$aqicautionlaq='Poor Air Quality';} 
 else if ($aqiweather["laqi"] >= 100) {$aqicautionlaq=' Air Quality Caution';} 
 else if ($aqiweather["laqi"] >= 50) {$aqicautionlaq=' Moderate Air Quality';} 
 else if ($aqiweather["laqi"] >= 0) {$aqicautionlaq='Good Air Quality';} 
 ?> 


<script>
	/*!
 * Circle luftdatenprogress- v0.2.4 - 2022-05-16
 * https://tigrr.github.io/humidity/
 * Copyright (c) Tigran Sargsyan
 * Licensed MIT
 */

"use strict";
function ownKeys(e, t) {
    var r,
        n = Object.keys(e);
    return Object.getOwnPropertySymbols && (r = Object.getOwnPropertySymbols(e), t && (r = r.filter(function(t) {
        return Object.getOwnPropertyDescriptor(e, t).enumerable
    })), n.push.apply(n, r)), n
}
function _objectSpread(e) {
    for (var t = 1; t < arguments.length; t++) {
        var r = null != arguments[t] ? arguments[t] : {};
        t % 2 ? ownKeys(Object(r), !0).forEach(function(t) {
            _defineProperty(e, t, r[t])
        }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(r)) : ownKeys(Object(r)).forEach(function(t) {
            Object.defineProperty(e, t, Object.getOwnPropertyDescriptor(r, t))
        })
    }
    return e
}
function _defineProperty(t, e, r) {
    return e in t ? Object.defineProperty(t, e, {
        value: r,
        enumerable: !0,
        configurable: !0,
        writable: !0
    }) : t[e] = r, t
}
function _classCallCheck(t, e) {
    if (!(t instanceof e))
        throw new TypeError("Cannot call a class as a function")
}
function _defineProperties(t, e) {
    for (var r = 0; r < e.length; r++) {
        var n = e[r];
        n.enumerable = n.enumerable || !1,
        n.configurable = !0,
        "value" in n && (n.writable = !0),
        Object.defineProperty(t, n.key, n)
    }
}
function _createClass(t, e, r) {
    return e && _defineProperties(t.prototype, e), r && _defineProperties(t, r), t
}
function _typeof(t) {
    return (_typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(t) {
        return typeof t
    } : function(t) {
        return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t
    })(t)
}
!function(t, e) {
    "function" == typeof define && define.amd ? define([], e) : "object" === ("undefined" == typeof module ? "undefined" : _typeof(module)) && module.exports ? module.exports = e() : t.Circleluftdatenprogress= e()
}("undefined" != typeof self ? self : void 0, function() {
    !function() {
        try {
            if ("undefined" == typeof SVGElement || Boolean(SVGElement.prototype.innerHTML))
                return
        } catch (t) {
            return
        }
        function r(t) {
            switch (t.nodeType) {
            case 1:
                return function(t) {
                    var e = "";
                    e += "<" + t.tagName,
                    t.hasAttributes() && [].forEach.call(t.attributes, function(t) {
                        e += " " + t.name + '="' + t.value + '"'
                    });
                    e += ">",
                    t.hasChildNodes() && [].forEach.call(t.childNodes, function(t) {
                        e += r(t)
                    });
                    return e += "</" + t.tagName + ">"
                }(t);
            case 3:
                return t.textContent.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
            case 8:
                return "\x3c!--" + t.nodeValue + "--\x3e"
            }
        }
        Object.defineProperty(SVGElement.prototype, "innerHTML", {
            get: function() {
                var e = "";
                return [].forEach.call(this.childNodes, function(t) {
                    e += r(t)
                }), e
            },
            set: function(t) {
                for (; this.firstChild;)
                    this.removeChild(this.firstChild);
                try {
                    var e = new DOMParser;
                    e.async = !1;
                    var r = "<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'>" + t + "</svg>",
                        n = e.parseFromString(r, "text/xml").documentElement;
                    [].forEach.call(n.childNodes, function(t) {
                        this.appendChild(this.ownerDocument.importNode(t, !0))
                    }.bind(this))
                } catch (t) {
                    throw new Error("Error parsing markup string")
                }
            }
        }),
        Object.defineProperty(SVGElement.prototype, "innerSVG", {
            get: function() {
                return this.innerHTML
            },
            set: function(t) {
                this.innerHTML = t
            }
        })
    }();
    function h(t, n, i, a, s) {
        var o,
            u = "string" == typeof t ? h.easings[t] : t;
        requestAnimationFrame(function t(e) {
            e -= o = o || e,
            e = Math.min(e, a);
            var r = u(e, n, i, a);
            s(r),
            e < a ? requestAnimationFrame(t) : s(n + i)
        })
    }
    var t,
        s,
        a,
        o,
        l,
        e,
        i = (t = function(t, e, r, n) {
            var i,
                a;
            if (n = n || document, a = Object.create(s), "string" == typeof t && (t = n.querySelector(t)), t)
                return (i = n.createElementNS("http://www.w3.org/2000/svg", "svg")).setAttribute("version", "1.1"), e && i.setAttribute("width", e), r && i.setAttribute("height", r), e && r && i.setAttribute("viewBox", "0 0 " + e + " " + r), t.appendChild(i), a.svg = i, a
        }, s = {
            element: function(t, e, r, n) {
                var i = a(this, t, e, n);
                return r && (i.el.innerHTML = r), i
            }
        }, a = function(t, e, r, n, i) {
            var a;
            return i = i || document, (a = Object.create(o)).el = i.createElementNS("http://www.w3.org/2000/svg", e), a.attr(r), (n ? n.el || n : t.svg).appendChild(a.el), a
        }, o = {
            attr: function(t, e) {
                if (void 0 === t)
                    return this;
                if ("object" !== _typeof(t))
                    return void 0 === e ? this.el.getAttributeNS(null, t) : (this.el.setAttribute(t, e), this);
                for (var r in t)
                    this.attr(r, t[r]);
                return this
            },
            content: function(t) {
                return this.el.innerHTML = t, this
            }
        }, t);
    return h.easings = {
        linear: function(t, e, r, n) {
            return r * t / n + e
        },
        easeInQuad: function(t, e, r, n) {
            return r * (t /= n) * t + e
        },
        easeOutQuad: function(t, e, r, n) {
            return -r * (t /= n) * (t - 2) + e
        },
        easeInOutQuad: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? r / 2 * t * t + e : -r / 2 * (--t * (t - 2) - 1) + e
        },
        easeInCubic: function(t, e, r, n) {
            return r * (t /= n) * t * t + e
        },
        easeOutCubic: function(t, e, r, n) {
            return t /= n, r * (--t * t * t + 1) + e
        },
        easeInOutCubic: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? r / 2 * t * t * t + e : r / 2 * ((t -= 2) * t * t + 2) + e
        },
        easeInQuart: function(t, e, r, n) {
            return r * (t /= n) * t * t * t + e
        },
        easeOutQuart: function(t, e, r, n) {
            return t /= n, -r * (--t * t * t * t - 1) + e
        },
        easeInOutQuart: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? r / 2 * t * t * t * t + e : -r / 2 * ((t -= 2) * t * t * t - 2) + e
        },
        easeInQuint: function(t, e, r, n) {
            return r * (t /= n) * t * t * t * t + e
        },
        easeOutQuint: function(t, e, r, n) {
            return t /= n, r * (--t * t * t * t * t + 1) + e
        },
        easeInOutQuint: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? r / 2 * t * t * t * t * t + e : r / 2 * ((t -= 2) * t * t * t * t + 2) + e
        },
        easeInSine: function(t, e, r, n) {
            return -r * Math.cos(t / n * (Math.PI / 2)) + r + e
        },
        easeOutSine: function(t, e, r, n) {
            return r * Math.sin(t / n * (Math.PI / 2)) + e
        },
        easeInOutSine: function(t, e, r, n) {
            return -r / 2 * (Math.cos(Math.PI * t / n) - 1) + e
        },
        easeInExpo: function(t, e, r, n) {
            return r * Math.pow(2, 10 * (t / n - 1)) + e
        },
        easeOutExpo: function(t, e, r, n) {
            return r * (1 - Math.pow(2, -10 * t / n)) + e
        },
        easeInOutExpo: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? r / 2 * Math.pow(2, 10 * (t - 1)) + e : (t--, r / 2 * (2 - Math.pow(2, -10 * t)) + e)
        },
        easeInCirc: function(t, e, r, n) {
            return t /= n, -r * (Math.sqrt(1 - t * t) - 1) + e
        },
        easeOutCirc: function(t, e, r, n) {
            return t /= n, t--, r * Math.sqrt(1 - t * t) + e
        },
        easeInOutCirc: function(t, e, r, n) {
            return (t /= n / 2) < 1 ? -r / 2 * (Math.sqrt(1 - t * t) - 1) + e : (t -= 2, r / 2 * (Math.sqrt(1 - t * t) + 1) + e)
        }
    }, l = {
        polarToCartesian: function(t, e) {
            return {
                x: t * Math.cos(e * Math.PI / 180),
                y: t * Math.sin(e * Math.PI / 180)
            }
        }
    }, (e = function() {
        function s(t) {
            var e,
                r = 1 < arguments.length && void 0 !== arguments[1] ? arguments[1] : {},
                n = 2 < arguments.length && void 0 !== arguments[2] ? arguments[2] : document;
            if (_classCallCheck(this, s), "string" == typeof t && (t = n.querySelector(t)), !t)
                throw new Error("Circleluftdatenprogress: you must pass the container element as the first argument");
            if (t.circleluftdatenprogress)
                return t.circleluftdatenprogress;
            (t.circleluftdatenprogress= this).doc = n,
            t.setAttribute("role", "luftdatenprogressbar"),
            this.el = t,
            r = _objectSpread(_objectSpread({}, s.defaults), r),
            Object.defineProperty(this, "_attrs", {
                value: {},
                enumerable: !1
            }),
            e = "valueOnCircle" === r.textFormat ? 16 : 8,
            this.graph = {
                paper: i(t, 100, 100),
                value: 0
            },
            this.graph.paper.svg.setAttribute("class", "humidity"),
            this.graph.circle = this.graph.paper.element("circle").attr({
                class: "luftdaten-circle",
                cx: 50,
                cy: 50,
                r: 50 - e / 2,
                fill: "none",
                stroke: "#ddd",
                "stroke-width": e
            }),

            
            this.graph.sector = this.graph.paper.element("path").attr({
                d: s._makeSectorPath(50, 50, 50 - e / 2, 0, 0),
                class: "luftdaten-value",
                fill: "none",
                stroke: "#00E699",
                "stroke-width": e
            }),

            this.graph.sector = this.graph.paper.element("path").attr({
                d: s._makeSectorPath(50, 50, 50 - e / 2, 0, 0),
                class: "luftdaten-value",
                fill: "none",
                stroke: "#00E699",
                "stroke-width": e
            }),
            this.graph.text = this.graph.paper.element("text", {
                class: "luftdaten-text",
                x: 50,
                y: 50,
                font: "0px Arial, sans-serif",
                "text-anchor": "middle",
                fill: "#999"
            }),
            this._initText(),
            this.attr(["indeterminateText", "textFormat", "startAngle", "clockwise", "animation", "animationDuration", "constrain", "min", "max", "value"].filter(function(t) {
                return t in r
            }).map(function(t) {
                return [t, r[t]]
            }))
        }
        return _createClass(s, [{
            key: "value",
            get: function() {
                return this._attrs.value
            },
            set: function(t) {
                this.attr("value", t)
            }
        }, {
            key: "min",
            get: function() {
                return this._attrs.min
            },
            set: function(t) {
                this.attr("min", t)
            }
        }, {
            key: "max",
            get: function() {
                return this._attrs.max
            },
            set: function(t) {
                this.attr("max", t)
            }
        }, {
            key: "startAngle",
            get: function() {
                return this._attrs.startAngle
            },
            set: function(t) {
                this.attr("startAngle", t)
            }
        }, {
            key: "clockwise",
            get: function() {
                return this._attrs.clockwise
            },
            set: function(t) {
                this.attr("clockwise", t)
            }
        }, {
            key: "constrain",
            get: function() {
                return this._attrs.constrain
            },
            set: function(t) {
                this.attr("constrain", t)
            }
        }, {
            key: "indeterminateText",
            get: function() {
                return this._attrs.indeterminateText
            },
            set: function(t) {
                this.attr("indeterminateText", t)
            }
        }, {
            key: "textFormat",
            get: function() {
                return this._attrs.textFormat
            },
            set: function(t) {
                this.attr("textFormat", t)
            }
        }, {
            key: "animation",
            get: function() {
                return this._attrs.animation
            },
            set: function(t) {
                this.attr("animation", t)
            }
        }, {
            key: "animationDuration",
            get: function() {
                return this._attrs.animationDuration
            },
            set: function(t) {
                this.attr("animationDuration", t)
            }
        }]), _createClass(s, [{
            key: "attr",
            value: function(e, t) {
                var r = this;
                if ("string" == typeof e)
                    return 1 === arguments.length ? this._attrs[e] : (this._set(arguments[0], t), this._updateGraph(), this);
                if ("object" !== _typeof(e))
                    throw new TypeError('Wrong argument passed to attr. Expected object, got "'.concat(_typeof(e), '"'));
                return Array.isArray(e) || (e = Object.keys(e).map(function(t) {
                    return [t, e[t]]
                })), e.forEach(function(t) {
                    return r._set(t[0], t[1])
                }), this._updateGraph(), this
            }
        }, {
            key: "_set",
            value: function(t, e) {
                var r,
                    n = {
                        value: "aria-valuenow",
                        min: "aria-valuemin",
                        max: "aria-valuemax"
                    };
                if (void 0 === (e = this._formatValue(t, e)))
                    throw new TypeError("Failed to set the ".concat(t, " property on Circleluftdatenprogress: The provided value is non-finite."));
                this._attrs[t] !== e && ("min" === t && e >= this.max || "max" === t && e <= this.min || ("value" === t && void 0 !== e && this.constrain && (null != this.min && e < this.min && (e = this.min), null != this.max && e > this.max && (e = this.max)), this._attrs[t] = e, t in n && (void 0 !== e ? this.el.setAttribute(n[t], e) : this.el.removeAttribute(n[t])), -1 !== ["min", "max", "constrain"].indexOf(t) && (this.value > this.max || this.value < this.min) && (this.value = Math.min(this.max, Math.max(this.min, this.value))), "textFormat" === t && (this._initText(), r = "valueOnCircle" === e ? 16 : 8, this.graph.sector.attr("stroke-width", r), this.graph.circle.attr("stroke-width", r))))
            }
        }, {
            key: "_formatValue",
            value: function(t, e) {
                switch (t) {
                case "value":
                case "min":
                case "max":
                    e = parseFloat(e),
                    isFinite(e) || (e = void 0);
                    break;
                case "startAngle":
                    e = parseFloat(e),
                    e = isFinite(e) ? Math.max(0, Math.min(360, e)) : void 0;
                    break;
                case "clockwise":
                case "constrain":
                    e = !!e;
                    break;
                case "indeterminateText":
                    e = "" + e;
                    break;
                case "textFormat":
                    if ("function" != typeof e && -1 === ["valueOnCircle", "horizontal", "vertical", "percent", "value", "none"].indexOf(e))
                        throw new Error('Failed to set the "textFormat" property on Circleluftdatenprogress: the provided value "'.concat(e, '" is not a legal textFormat identifier.'));
                    break;
                case "animation":
                    if ("string" != typeof e && "function" != typeof e)
                        throw new TypeError('Failed to set "animation" property on Circleluftdatenprogress: the value must be either string or function, '.concat(_typeof(e), " passed."));
                    if ("string" == typeof e && "none" !== e && !h.easings[e])
                        throw new Error('Failed to set "animation" on Circleluftdatenprogress: the provided value '.concat(e, " is not a legal easing function name."))
                }
                return e
            }
        }, {
            key: "_valueToAngle",
            value: function(t) {
                var e = 0 < arguments.length && void 0 !== t ? t : this.value;
                return Math.min(360, Math.max(0, (e - this.min) / (this.max - this.min) * 360))
            }
        }, {
            key: "_isIndeterminate",
            value: function() {
                return !("number" == typeof this.value && "number" == typeof this.max && "number" == typeof this.min)
            }
        }, {
            key: "_positionValueText",
            value: function(t, e) {
                var r = l.polarToCartesian(e, t);
                this.graph.textVal.attr({
                    x: 50 + r.x,
                    y: 50 + r.y
                })
            }
        }, {
            key: "_initText",
            value: function() {
                switch (this.graph.text.content(""), this.textFormat) {
                case "valueOnCircle":
                    this.graph.textVal = this.graph.paper.element("tspan", {
                        x: 0,
                        y: 0,
                        dy: "0.4em",
                        class: "luftdaten-text-value",
                        "font-size": "50",
                        fill: "valueOnCircle" === this.textFormat ? "#fff" : "#888"
                    }, "", this.graph.text),
                    this.graph.textMax = this.graph.paper.element("tspan", {
                        x: 50,
                        y: 50,
                        class: "luftdaten-text-max",
                        "font-size": "0",
                        "font-weight": "bold",
                        fill: "#ddd"
                    }, "", this.graph.text),
                    this.graph.text.el.hasAttribute("dominant-baseline") || this.graph.textMax.attr("dy", "0.4em");
                    break;
                case "horizontal":
                    this.graph.textVal = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-value"
                    }, "", this.graph.text),
                    this.graph.textSeparator = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-separator"
                    }, "/", this.graph.text),
                    this.graph.textMax = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-max"
                    }, "", this.graph.text);
                    break;
                case "vertical":
                    this.graph.text.el.hasAttribute("dominant-baseline") && this.graph.text.attr("dominant-baseline", "text-after-edge"),
                    this.graph.textVal = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-value",
                        x: 50,
                        dy: "-0.2em"
                    }, "", this.graph.text),
                    this.graph.textSeparator = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-separator",
                        x: 50,
                        dy: "0.1em",
                        "font-family": "verb"
                    }, "___", this.graph.text),
                    this.graph.textMax = this.graph.paper.element("tspan", {
                        class: "luftdaten-text-max",
                        x: 50,
                        dy: "1.2em"
                    }, "", this.graph.text)
                }
                "vertical" !== this.textFormat && (this.graph.text.el.hasAttribute("dominant-baseline") ? this.graph.text.attr("dominant-baseline", "central") : this.graph.text.attr("dy", "0.4em"))
            }
        }, {
            key: "_updateGraph",
            value: function() {
                var e,
                    r,
                    n = this,
                    i = this.startAngle - 90,
                    a = this._getRadius();
                this._isIndeterminate() ? this._updateText(this.value, i, a) : (e = this.clockwise, r = this._valueToAngle(), this.graph.circle.attr("r", a), "none" !== this.animation && this.value !== this.graph.value ? h(this.animation, this.graph.value, this.value - this.graph.value, this.animationDuration, function(t) {
                    n._updateText(Math.round(t), (2 * i + r) / 2, a),
                    r = n._valueToAngle(t),
                    n.graph.sector.attr("d", s._makeSectorPath(50, 50, a, i, r, e))
                }) : (this.graph.sector.attr("d", s._makeSectorPath(50, 50, a, i, r, e)), this._updateText(this.value, (2 * i + r) / 2, a)), this.graph.value = this.value)
            }
        }, {
            key: "_updateText",
            value: function(t, e, r) {
                "function" == typeof this.textFormat ? this.graph.text.content(this.textFormat(t, this.max)) : "value" === this.textFormat ? this.graph.text.el.textContent = void 0 !== t ? t : this.indeterminateText : "percent" === this.textFormat ? this.graph.text.el.textContent = (void 0 !== t && null != this.max ? Math.round(t / this.max * 100) : this.indeterminateText) + "%" : "none" === this.textFormat ? this.graph.text.el.textContent = "" : (this.graph.textVal.el.textContent = void 0 !== t ? t : this.indeterminateText, this.graph.textMax.el.textContent = void 0 !== this.max ? this.max : this.indeterminateText),
                "valueOnCircle" === this.textFormat && this._positionValueText(e, r)
            }
        }, {
            key: "_getRadius",
            value: function() {
                return 50 - Math.max(parseFloat(this.doc.defaultView.getComputedStyle(this.graph.circle.el, null)["stroke-width"]), parseFloat(this.doc.defaultView.getComputedStyle(this.graph.sector.el, null)["stroke-width"])) / 2
            }
        }], [{
            key: "_makeSectorPath",
            value: function(t, e, r, n, i, a) {
                0 < i && i < .3 ? i = 0 : 359.999 < i && (i = 359.999);
                var s = n + i * (2 * (a = !!a) - 1),
                    o = l.polarToCartesian(r, n),
                    u = l.polarToCartesian(r, s),
                    h = t + o.x,
                    c = t + u.x;
                return ["M", h, e + o.y, "A", r, r, 0, +(180 < i), +a, c, e + u.y].join(" ")
            }
        }]), s
    }()).defaults = {
        startAngle: 0,
        min: 0,
        max: 100,
        constrain: -0,
        indeterminateText: 2,
        clockwise: !-0,
        textFormat: "horizontal",
        animation: "easeInOutCubic",
        animationDuration: 600
    }, e
});

</script>





<style>


.luftdatenprogress{
	--luftdatenprogress-value: .3243;
	--color: hsl(calc(240 * (1 - var(--luftdatenprogress-value))), 100%, calc(30% + 20% * var(--luftdatenprogress-value)));
}

.airlink {
	width: 140px;
	height: 140px;
}


.luftdaten-value {
	stroke-width: 6px;
	stroke: <?php //airlink color
if ($aqiweather["laqi"] >=300 ){echo "var(--purple)";}
else if ($aqiweather["laqi"] >=150 ){echo "var(--red)";}
else if ($aqiweather["laqi"] >=100 ){echo "var(--orange)";}
else if ($aqiweather["laqi"] >=50 ){echo "var(--yellow)";}
else if ($aqiweather["laqi"] >=0 ){echo "var(--green)";}
?>;
	  transition: stroke .4s;
	stroke-dasharray:1 2;       }      

.luftdaten-circle {
	stroke-width: 6px;
	stroke: var(--modulesborderside);
}

.luftdaten-text {
	display:none
	
}



input[type=range] {
	
	display:none

}

.weather34-luftdatenvalue{
	position:absolute;
	
	color: <?php //airlink color
if ($aqiweather["laqi"] >=300 ){echo "var(--purple)";}
else if ($aqiweather["laqi"] >=150 ){echo "var(--red)";}
else if ($aqiweather["laqi"] >=100 ){echo "var(--orange)";}
else if ($aqiweather["laqi"] >=50 ){echo "var(--yellow)";}
else if ($aqiweather["laqi"] >=0 ){echo "var(--green)";}
?>;
	font-family:verb;
	margin-top:-95px;
	margin-left:35px;
	font-size:26px;
    width: auto;
    border-radius: 5px;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    padding-left:3px;
    padding-right:3px;
}

luftdatensensor{
    position   : absolute;
    font-size  : 10px;
    color      : var(--body-text-dark);
    font-family: verb;
    margin-top        : 30px;
    margin-left:40px;
}



uvunit{
    position   : absolute;
    font-size  : 12px;
    color      : var(--body-text-dark);
    font-family: verb;
    top        :40px;
    left:40px;
}

luftdaten-tablet2024{ position:absolute;color: var(--body-text-darkb);font-size:10px;font-family:verb;margin-left:20px;margin-top:5px;
border:0;background:var(--dark-toggle);padding:2px;padding-top:0;border-radius:3px}

.woodsmokevalue{ position   : absolute;
    font-family: verb;
    margin-left: 90px;
    color      : var(--body-text-dark);
    font-size  : 10px;
    margin-top : -13px;}

    .uvrisk{position   : absolute;
    margin-left: -40px;
    margin-top : -10pt;
    font-family: verb;
    font-size  : 10px;
    color      : var(--body-text-dark);
}

.threehundredaqi{
		position:absolute;
		display: flexbox;
		font-size:11px;
		margin-top:60px;
		margin-left:-35px;
		font-family: verb;
		color      : var(--purple);
		text-align: left;
	
	}

	.onehundredaqi{
		position:absolute;
		display: flexbox;
		font-size:11px;
		margin-top:60px;
		margin-left:140px;
		font-family: verb;
		color      : var(--orange);
		text-align: left;
	
	
	}

    laqicaution{ position: absolute;
    font-size:11px;
    font-family:verb;
    background:var(--hilomodule);

    width:70px;
 margin-left:35px;
border-radius: 5px;
 margin-top:-55px;
 display: block;
 padding-right:3px;
text-align: center;
color:<?php if ($aqiweather["laqi"]>=300 ){echo "var(--purple)";}
else if ($aqiweather["laqi"]>=150 ){echo "var(--red)";}
else if ($aqiweather["laqi"]>=100 ){echo "var(--orange)";}
else if ($aqiweather["laqi"]>=50 ){echo "var(--yellow)";}
else if ($aqiweather["laqi"]>=0 ){echo "var(--green)";}
?>
}

aqiunit{
font-family:verb;
vertical-align: super;
font-size:7px;
color      : var(--body-text-dark);
}

epa{position:absolute;color: var(--body-text-dark);font-size:8px;font-family:verb;margin-left:-35px;margin-top:4px}
.zeroaq{
		position:absolute;
		display: flexbox;
		font-size:10px;
		margin-top:-8px;
		margin-left:65px;
		font-family: verb;
		color      : var(--green);
		text-align: left;
	
	}
</style>



<div class="uvrisk">PM10 
<?php 
if ($aqiweather["laqi10"]>=300 ){echo "<purple>". $aqiweather["laqi10"]."</purple>";}
else if ($aqiweather["laqi10"]>=150 ){echo '<red>'. $aqiweather["laqi10"]."</red>";}
else if ($aqiweather["laqi10"]>=100 ){echo '<orange>'. $aqiweather["laqi10"]."</orange>";}
else if ($aqiweather["laqi10"]>=50 ){echo '<yellow>'. $aqiweather["laqi10"]."</yellow>";}
else if ($aqiweather["laqi10"]>=0 ){echo '<green>'. $aqiweather["laqi10"]."</green>";}
;
?>
</div>

<div class="woodsmokevalue">WoodSmoke 
<?php 
if ($woodsmoke>=300 ){echo '<purple>'.number_format($woodsmoke,0).'</purple>';}
else if ($woodsmoke>=150 ){echo '<red>'.number_format($woodsmoke,0).'</red>';}
elseif ($woodsmoke>=100 ){echo '<orange>'.number_format($woodsmoke,0).'</orange>';}
elseif ($woodsmoke>=50 ){echo '<yellow>'.number_format($woodsmoke,1).'</yellow>';}
elseif ($woodsmoke>=10 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
elseif ($woodsmoke>=0 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
?></div>





<div class=zeroaq>0</div>


<div class="luftdatenprogress"><luftdatensensor>Luftdaten</luftdatensensor></div>
<div class="weather34-luftdatenvalue"><?php echo $aqiweather["laqi"]."<aqiunit>pm 2.5</aqiunit>";?></div>




<laqicaution>
<?php echo $aqicautionlaq?>
</laqicaution>



<epa>EPA Standard</epa>


<charticons><a href='luftdaten-air-quality-almanac2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtabletfull?></a></charticons>


<script>
var MAX = 400

var cp = new Circleluftdatenprogress('.luftdatenprogress', {
	max: MAX,
	value: <?php echo  $aqiweather["laqi"];?>,
	
	animationDuration: 400,
	textFormat: (val) => val + '°',
	
});

document.querySelector('#value-input').addEventListener('change', e => {
	var val = e.target.value;
	cp.value = val;
	cp.el.style.setProperty('--luftdatenprogress-value', val );
	
	
}
)
</script>