<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: July 2021 Revised October 2021			  	                                           
########################################################
include('livedata.php');
header('Content-type: text/html; charset=utf-8');
//luftdaten air quality	SCRIPT 
$url = 'jsondata/luftdaten.txt'; // luftdaten JSON file
$data = file_get_contents($url); // put the contents of the file into a variable
$weather34luftdaten = json_decode($data, true); // decode the JSON feed
foreach ($weather34luftdaten as $weather34luftdatenaqi) {
}
$aqiweather["aqi10"]     = $weather34luftdatenaqi['sensordatavalues'][0]['value'];
$aqiweather["aqi25"] = $weather34luftdatenaqi['sensordatavalues'][1]['value'];
$aqiweather["aqi-type"] = $weather34luftdatenaqi['sensordatavalues'][0]['value_type'];
$aqiweather["aqi-type-1"] = $weather34luftdatenaqi['sensordatavalues'][1]['value_type'];
if ($aqiweather["aqi-type"] == "P1") {
	$aqiweather["aqi-type"] = "PM 10"; 
}
if ($aqiweather["aqi-type"] == "P2") {
	$aqiweather["aqi-type"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P2") {
	$aqiweather["aqi-type-1"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P1") {
	$aqiweather["aqi-type-1"] = "PM 10";
}
$aqiweather["laqi"] = number_format(pm25_to_aqi($aqiweather["aqi25"]), 1);
$aqiweather["laqi10"] = number_format(pm25_to_aqi($aqiweather["aqi10"]), 1);


 //wood smoke for luftdateN Airlink using actual current PM 2.5 EPA 
 $aqiweather["aqiwoodsmoke"]=number_format(($aqiweather["laqi"]), 1);//EPA
 $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);
  $a=""; 
 //last hour trend
 $aqitrend =  $aqiweather["laqi"]  - $aqiweather["aqi1h"];
 //echo $weather34purpleair_json['pm2.5_atm_a'];
 if ($aqiweather["laqi"]  >= 400) { $aqicaution=' Hazordous';} 
 else if ($aqiweather["laqi"] >= 300) {$aqicaution='&nbsp; Very Unhealthy';} 
 else if ($aqiweather["laqi"] >= 200) {$aqicaution='&nbsp; Unhealthy ';} 
 else if ($aqiweather["laqi"] >= 150) {$aqicaution='Poor';} 
 else if ($aqiweather["laqi"] >= 100) {$aqicaution=' Caution';} 
 else if ($aqiweather["laqi"] >= 50) {$aqicaution=' &nbsp; Moderate';} 
 else if ($aqiweather["laqi"] >= 0) {$aqicaution='&nbsp; Satisfactory';} 
 ?> 
 
 <style>
   .luftdatenairqualitycontainer .percent .number, .luftdatenairqualitycontainer .card{
   display: flex;
   justify-content: center;
   align-items: center;
   margin-top:-15px;
   margin-left:20px
 }
 
 .luftdatenairqualitycontainer * {
   margin: 0;
   padding: 0;
   font-family: verb;
 
 }


.luftdatenairqualitycontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-33px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}

 
 
 .luftdatenairqualitycontainer {
   position: relative;
   width: 250px;
   display: flex;
   justify-content: space-around;
 }
 .luftdatenairqualitycontainer .card {
   position: relative;
   width: 250px;
   height: 180px;
   border-radius: 10px;
   background-color: none;
   cursor: pointer;
   text-align: center;
   overflow: hidden;
   
  
 }
 
 
 .luftdatenairqualitycontainer .card:before {
   content: "";
   position: absolute;
   top: 0;
   left: -50%;
   width: 100%;
   height: 100%;
   background-color: none;
   pointer-events: none;
   
 }
 .luftdatenairqualitycontainer .percent {
   position: relative;
   width: 140px;
   height: 140px;
   border-radius: 50%;
   box-shadow:none;
   background-color:none;
   z-index: 1;
   background-image:none;
 }
 .luftdatenairqualitycontainer .percent { 
   color: var(--body-text-dark);
   font-size: 8px;
   vertical-align: text-top;
   
 }
 .luftdatenairqualitycontainer .percent .number {
   position: absolute;
   top:20px;
   left: -30px;
   width: 100%;
   height: 100%;
   border-radius: 50%;
 }
 
 .luftdatenairqualitycontainer .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
if ($aqiweather["laqi"] >=300 ){echo "var(--purple)";}
else if ($aqiweather["laqi"] >=150 ){echo "var(--red)";}
else if ($aqiweather["laqi"] >=100 ){echo "var(--orange)";}
else if ($aqiweather["laqi"] >=50 ){echo "var(--yellow)";}
else if ($aqiweather["laqi"] >=0 ){echo "var(--green)";}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.luftdatenairqualitycontainer .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.luftdatenairqualitycontainer .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
 .luftdatenairqualitycontainer .percent svg {
   position: relative;
   width: 140px;
   height: 140px;
   transform: rotate(-85deg);
   
 }
 .luftdatenairqualitycontainer .percent svg circle {
   width: 100%;
   height: 100%;
   fill: transparent;
   stroke: var(--rainbeakerborders);
   stroke-width: 10;
   stroke-linecap: round;
   transform: translate(5px, 5px);
   
   
 }
 .luftdatenairqualitycontainer .percent svg circle:nth-child(2) {
   stroke-dasharray: 440;
   stroke-dashoffset: 440;
 }
 .luftdatenairqualitycontainer .card:nth-child(1) svg circle:nth-child(2) {
   stroke-dashoffset: calc(440px - (440px * <?php echo $aqiweather["laqi"] ?>) / 440);
   stroke: <?php 
 if ($aqiweather["laqi"] >=300 ){echo "var(--purple)";}
 else if ($aqiweather["laqi"] >=150 ){echo "var(--red)";}
 else if ($aqiweather["laqi"] >=100 ){echo "var(--orange)";}
 else if ($aqiweather["laqi"] >=50 ){echo "var(--yellow)";}
 else if ($aqiweather["laqi"] >=0 ){echo "var(--green)";}
 ?>;
 }
 
 wsvalue{font-size: 11px;font-family: verb;}
 
 </style>
 
 
 
 <div class="todaysair">Air Quality</div>
 <div class="daqmoduletrendair">
 Luftdaten</div>
 
 <div class="luftdatenairqualitycontainer">
   <div class="card">
     <div class="box"><hardwaretype>Luftdaten </hardwaretype>
       <div class="percent">
         <svg>
           <circle cx="60" cy="60" r="60"></circle>
           <circle cx="60" cy="60" r="60"></circle>
         </svg>
         <div class="number">
           <?php echo $aqiweather["laqi"] ?>
           <unit>pm 2.5</unit>
           <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"><?php echo $aqicaution;?></smalltrainunittabletair>
         </div>     
 
         <smalltrainunittablet3>WoodSmoke</smalltrainunittablet3> 
       <wsvalue>
 <?php 
 if ($woodsmoke>=300 ){echo '<purple>'.number_format($woodsmoke,0).'</purple>';}
 else if ($woodsmoke>=150 ){echo '<red>'.number_format($woodsmoke,0).'</red>';}
 elseif ($woodsmoke>=100 ){echo '<orange>'.number_format($woodsmoke,0).'</orange>';}
 elseif ($woodsmoke>=50 ){echo '<yellow>'.number_format($woodsmoke,1).'</yellow>';}
 elseif ($woodsmoke>=10 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
 elseif ($woodsmoke>=0 ){echo '<green>'.number_format($woodsmoke,1).'</green>';}
 echo " EPA";?>
 </wsvalue> 
             </div>    </div>  </div>
   
   
 <div class='chartdataiconair'><a href='luftdaten-air-quality-almanac2.php' data-lity data-chartdata="Chart Data">
     <?php echo $weather34chartzoomtabletfull?></a></div>