<?php
########################################################
#	CREATED FOR Meteobridge AURORA MKII TEMPLATE  		              						                
# 											                        
# 	                                                                                               
# 	Release: July 2021 Revised October 2021			  	                                           
########################################################
include('livedata.php');
header('Content-type: text/html; charset=utf-8');
//luftdaten air quality	SCRIPT 
$url = 'jsondata/luftdaten.txt'; // luftdaten JSON file
$data = file_get_contents($url); // put the contents of the file into a variable
$weather34luftdaten = json_decode($data, true); // decode the JSON feed
foreach ($weather34luftdaten as $weather34luftdatenaqi) {
}
$aqiweather["aqi10"]     = $weather34luftdatenaqi['sensordatavalues'][0]['value'];
$aqiweather["aqi25"] = $weather34luftdatenaqi['sensordatavalues'][1]['value'];
$aqiweather["aqi-type"] = $weather34luftdatenaqi['sensordatavalues'][0]['value_type'];
$aqiweather["aqi-type-1"] = $weather34luftdatenaqi['sensordatavalues'][1]['value_type'];
if ($aqiweather["aqi-type"] == "P1") {
	$aqiweather["aqi-type"] = "PM 10"; 
}
if ($aqiweather["aqi-type"] == "P2") {
	$aqiweather["aqi-type"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P2") {
	$aqiweather["aqi-type-1"] = "PM 2.5";
}
if ($aqiweather["aqi-type-1"] == "P1") {
	$aqiweather["aqi-type-1"] = "PM 10";
}
$aqiweather["aqi"] = number_format(pm25_to_aqi($aqiweather["aqi25"]), 1);
$aqiweather["aqi10"] = number_format(pm25_to_aqi($aqiweather["aqi10"]), 1);


//wood smoke for Luftdaten using actual current PM 2.5 EPA 
$aqiweather["aqiwoodsmoke"]=number_format(($aqiweather["aqi"]), 1);//EPA
$woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);



?>


<div class="sunblock">
	<div style="font-size:12px;width:fit-content; justify-content: space-evenly;  align-items: center;text-align: center;font-family:verb;margin-top:-25px;padding-left:10px;
color:var(--body-text-dark);">Luftdaten Air Quality(EPA)</div>



	<div class='infoicon-wrapper'>
		<div class='smallmoduleinfo'>
		<a href="luftdaten-air-quality-almanac2.php" data-lity ><?php echo $smalltabletinfo; ?></a> 
		</div>
		</div>

		<div class="button-dial-label-small" style="font-size:50px;width:fit-content; justify-content: space-evenly; 
 align-items: center;text-align: center;font-family:verb;margin-top:-30px;margin-left:-170px">
			<?php
			if ($aqiweather["aqi"] >= 300) {
				echo "<purple>" . $aqiweather["aqi"] . "</purple>";
			} else if ($aqiweather["aqi"] >= 150) {
				echo '<red>' . $aqiweather["aqi"] . "</red>";
			} else if ($aqiweather["aqi"] >= 100) {
				echo '<orange>' . $aqiweather["aqi"] . "</orange>";
			} else if ($aqiweather["aqi"] >= 50) {
				echo '<yellow>' . $aqiweather["aqi"] . "</yellow>";
			} else if ($aqiweather["aqi"] >= 0) {
				echo '<green>' . $aqiweather["aqi"] . "</green>";
			}
			echo "<smallrainunit2aq><grey>PM2.5</grey></smallrainunit2aq>";
			?></div>
	</div>

	<div class="button-dial-label-small" style="font-size:26px;width:fit-content; justify-content: space-evenly; 
 align-items: center;text-align: center;font-family:verb;margin-top:-55px;margin-left:200px">
		<smalltrainunittablet3>Wood Smoke</smalltrainunittablet3>
		<?php
		if ($woodsmoke >= 300) {
			echo '<purple>' . number_format($woodsmoke, 0) . '</purple>';
		} else if ($woodsmoke >= 150) {
			echo '<red>' . number_format($woodsmoke, 0) . '</red>';
		} elseif ($woodsmoke >= 100) {
			echo '<orange>' . number_format($woodsmoke, 0) . '</orange>';
		} elseif ($woodsmoke >= 50) {
			echo '<yellow>' . number_format($woodsmoke, 1) . '</yellow>';
		} 
			elseif ($woodsmoke >= 10) {
			echo '<green>' . number_format($woodsmoke, 1) . '</green>';
		}
		
		elseif ($woodsmoke >= 0) {
			echo '<green>' . number_format($woodsmoke, 1) . '</green>';
		}
		echo "<smallrainunit style='font-size:8px'><grey>EPA</grey></smallrainunit>"; ?>
	</div>
</div>