<?php include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}
   //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
         //wood smoke
      $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
      $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
      $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
      $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 0);//EPA
      $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 0);//EPA
      $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 0);//EPA
  
      $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,0);
      //alternative wood smoke formulas
    //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
     //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
      //use humidity formula with average pm2.5 pa_cf1 a/b
      //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
      //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
      //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
      
    $a=""; 
    //last hour trend
    $aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
if ($aqiweather["aqi"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqi"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqi"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqi"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqi"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

 ?>

<div class="sunblock">
    <div class="indoordesc5">CO2/Smoke</div>
    <div class="button button-dial-small">
        <div class="button-dial-top-small" style="font-size:0.2em;"><purple><?php echo $aqiweather["model"]?></purple></div>
        <div class="button-dial-label-small">
            <?php //voc
            if ($aqiweather["voc"] >= 5000) {
                echo "<red>" . $aqiweather["voc"] . "</red>";
            } else if ($aqiweather["voc"] >= 2000) {
                echo "<orange>" . $aqiweather["voc"] . "</orange>";
            } else if ($aqiweather["voc"] >= 1500) {
                echo "<yellow>" . $aqiweather["voc"] . "</yellow>";
            } else if ($aqiweather["voc"] > 0) {
                echo "<green>" . $aqiweather["voc"] . "</green>";
            } else if ($aqiweather["voc"] == '') {
                echo "<orange>N/A</orange>";
            } else echo "0";
            echo "  <pm25>  </pm25>"; ?>



            <?php //AQI
            echo "<indoorpm2 style='margin-left:7px'>CO2</indoorpm2>"; ?>
        </div>

       
           
            
        </div>
        <div class="indoortempa-mod3aqi">

            <?php
            //air description
            echo '';
            if ($aqiweather["voc"] >= 5000) {
                echo "Warning";
            } else if ($aqiweather["voc"] >= 2000) {
                echo "Unhealthy";
            } else if ($aqiweather["voc"] >= 1500) {
                echo "Moderate";
            } else if ($aqiweather["voc"] > 0) {
                echo "No Risk";
            }

            ?></div>



        <div class="button button-dial-small" style="margin-left:65px">
        <div class="button-dial-top-small" style="font-size:0.2em;"><purple><?php echo $aqiweather["model"]?></purple></div>
        <div class="button-dial-label-small">
            <?php //woodsmoke

if ($woodsmoke >=300) {
    echo "<purple>" . $woodsmoke . "</purple>";
}

            else if ($woodsmoke >=200) {
                echo "<red>" . $woodsmoke . "</red>";
            } else if ($woodsmoke >= 100) {
                echo "<orange>" . $woodsmoke . "</orange>";
            } else if ($woodsmoke >= 50) {
                echo "<yellow>" . $woodsmoke . "</yellow>";
            } else if ($aqiweather["voc"] > 0) {
                echo "<green>" . $woodsmoke . "</green>";
            } else if ($woodsmoke == '') {
                echo "<orange>N/A</orange>";
            } else echo "0";
            echo "  <pm25>  </pm25>"; ?>



            <?php //AQI
            echo "<indoorpm2 style='margin-left:-7px'>Smoke</indoorpm2>"; ?>
        </div>



        <div class="indoortempa-mod3aqi" style="margin-top:5px">
<?php
//woodsmokedescription
echo '';
if ($woodsmoke >= 300) {
    echo "Hazordous ";
} else if ($woodsmoke >= 150) {
    echo "Unhealthy";
} else if ($woodsmoke >= 50) {
    echo "Moderate";
} else if ($woodsmoke > 0) {
    echo "No Risk";
}

?></div>

</div>





</div>