<?php include('livedata.php');$numberformat=1;if ($weather["wind_units"]=='kts')
{$numberformat=0;}
  //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
         //wood smoke
      $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
      $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
      $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
      $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 1);//EPA
      $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 1);//EPA
      $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 1);//EPA
  
        $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,1);
      //alternative wood smoke formulas
    //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
     //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
      //use humidity formula with average pm2.5 pa_cf1 a/b
      //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
      //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
      //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
$a=""; 
//last hour trend
$aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
//echo $weather34purpleair_json['pm2.5_atm_a'];
if ($woodsmoke >= 400) { $aqicaution='Hazordous';} 
     else if ($woodsmoke >= 300) {$aqicaution='Very Unhealthy';} 
     else if ($woodsmoke >= 200) {$aqicaution='Unhealthy ';} 
     else if ($woodsmoke >= 150) {$aqicaution='Poor';} 
     else if ($woodsmoke >= 100) {$aqicaution='Caution';} 
     else if ($woodsmoke >= 50) {$aqicaution='Moderate';} 
     else if ($woodsmoke >= 0) {$aqicaution='Good';} 
?>

<style>
  .woodsmokecontainer .percent .number, .woodsmokecontainer .card{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top:-15px;
  margin-left:20px
}

.woodsmokecontainer * {
  margin: 0;
  padding: 0;
  font-family: verb;
  

}


.woodsmokecontainer hardwaretype {
  position: absolute;
  margin: 0;
  margin-top:35px;
  margin-left:-32px;
  padding: 0;
  font-family: verb;
  font-size:10px;
  color: lightslategray;

}



.woodsmokecontainer {
  position: relative;
  width: 250px;
  display: flex;
  justify-content: space-around;
}
.woodsmokecontainer .card {
  position: relative;
  width: 250px;
  height: 180px;
  border-radius: 10px;
  background-color: none;
  cursor: pointer;
  text-align: center;
  overflow: hidden;
  
 
}


.woodsmokecontainer .card:before {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 100%;
  height: 100%;
  background-color: none;
  pointer-events: none;
  
}
.woodsmokecontainer .percent {
  position: relative;
  width: 140px;
  height: 140px;
  border-radius: 50%;
  box-shadow:none;
  background-color:none;
  z-index: 1;
  background-image:none;
}
.woodsmokecontainer .percent { 
  color: var(--body-text-dark);
  font-size: 8px;
  vertical-align: text-top;
  
}
.woodsmokecontainer .percent .number {
  position: absolute;
  top:20px;
  left: -30px;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
.woodsmokecontainer  .percent .number {
  font-size: 24px;
  line-height:0.75;
  background-color: <?php 
//WOODSMOKE Color
if ($woodsmoke>=300 ){echo "var(--purple)";}
else if ($woodsmoke>=150 ){echo "var(--red)";}
else if ($woodsmoke>=100 ){echo "var(--orange)";}
else if ($woodsmoke>=50 ){echo "var(--yellow)";}
else if ($woodsmoke>=0 ){echo "var(--green)";}
?>;
  border-radius: 100%;
  background-size: contain;
  width:80px;
  height: 80px;
margin-top: -5px;
margin-left: 34px;
border:20px solid var(--gaugeborder);
background-image: var(--grid-lines);
background-size: 5px 5px;
color:azure;
z-index:-1  
}


.woodsmokecontainer  .percent .number span {
  position: absolute;
  font-size: 24px;
  line-height:0.75;
  padding-left: 0px;  
  margin-top:-5px;
  text-transform: uppercase;
  
}

.woodsmokecontainer  .percent .number unit {
  position: absolute;
  font-size: 8px;
  line-height:0.75;
  padding-left: 2px;  
  margin-top:-35px;
  text-transform: uppercase;
  
}
.woodsmokecontainer .percent svg {
  position: relative;
  width: 140px;
  height: 140px;
  transform: rotate(-85deg);
  
}
.woodsmokecontainer .percent svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke: var(--rainbeakerborders);
  stroke-width: 10;
  stroke-linecap: round;
  transform: translate(5px, 5px);
  
  
}
.woodsmokecontainer .percent svg circle:nth-child(2) {
  stroke-dasharray: 440;
  stroke-dashoffset: 440;
}
.woodsmokecontainer .card:nth-child(1) svg circle:nth-child(2) {
  stroke-dashoffset: calc(440px - (440px * <?php echo $woodsmoke?>) / 440);
  stroke: <?php 
if ($woodsmoke>=300 ){echo "var(--purple)";}
else if ($woodsmoke>=150 ){echo "var(--red)";}
else if ($woodsmoke>=100 ){echo "var(--orange)";}
else if ($woodsmoke>=50 ){echo "var(--yellow)";}
else if ($woodsmoke>=0 ){echo "var(--green)";}
?>;
}

wsvalue{font-size: 11px;font-family: verb;}

</style>



<div class="todaysair">Woodsmoke</div>
<div class="moduletrendair">Purple Air </div>

<div class="woodsmokecontainer">
  <div class="card">   
      <div class="percent">
        <svg>
          <circle cx="60" cy="60" r="60"></circle>
          <circle cx="60" cy="60" r="60"></circle>
        </svg>
        <div class="number">
          <?php echo $woodsmoke?>
          <unit>EPA</unit>
          <smalltrainunittabletair style="margin-left:0px;margin-top:-35px;color:azure"><?php echo $aqicaution;?></smalltrainunittabletair>
        </div>     

        <smalltrainunittablet3></smalltrainunittablet3> 
      <wsvalue>
<?php 
if ($aqiweather["aqi"]>=300 ){echo '<purple>'.number_format($aqiweather["aqi"],0).'</purple>';}
else if ($aqiweather["aqi"]>=150 ){echo '<red>'.number_format($aqiweather["aqi"],0).'</red>';}
elseif ($aqiweather["aqi"]>=100 ){echo '<orange>'.number_format($aqiweather["aqi"],0).'</orange>';}
elseif ($aqiweather["aqi"]>=50 ){echo '<yellow>'.number_format($aqiweather["aqi"],1).'</yellow>';}
elseif ($aqiweather["aqi"]>=10 ){echo '<green>'.number_format($aqiweather["aqi"],1).'</green>';}
elseif ($aqiweather["aqi"]>=0 ){echo '<green>'.number_format($aqiweather["aqi"],1).'</green>';}
echo " PM2.5 (EPA)";?>
</wsvalue> 
            </div>    </div> 
  
  
<div class='chartdataiconair'><a href='purple-air-almanac2.php' data-lity data-chartdata="Chart Data">
    <?php echo $weather34chartzoomtabletfull?></a></div>