<?php  include('livedata.php');
date_default_timezone_set($TZ);
    ####################################################################################################
    #	CREATED FOR Meteobridge AURORA MKII TEMPLATE 											   #
    # 											   #
    # 	                                                                                               #
    # 	Revised: June 2022 			  	                                                   #
    # 	                                                                                               #
    #   weather34 	                                                                   #
    ####################################################################################################

   //2022 Weather34 Purple Air new API format
    //weather34 Purple Air json script June 2022(updated Feb 2023)
    $weather34purpleairfile = file_get_contents('jsondata/purpleair.txt');
    $weather34purpleair_json = json_decode($weather34purpleairfile, true);   
    $aqiweather["aqi"] = $weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["pm25"] = $weather34purpleair_json['sensor']['pm2.5'];
    $aqiweather["pm1"]      =$weather34purpleair_json['sensor']['pm1.0'];
    $sensor24h= $weather34purpleair_json['sensor']['stats']['pm2.5_24hour'];    
    $sensor1h = $weather34purpleair_json['sensor']['stats']['pm2.5_60minute'];
    $aqiweather["aqipm10"]      = $weather34purpleair_json['sensor']['pm10.0_atm'];   
    $aqiweather["aqi"]      = number_format(pm25_to_aqi(($aqiweather["aqi"])), 1);
    $aqiweather["aqi24h"]      = number_format(pm25_to_aqi(($sensor24h )),1);
    $aqiweather["aqi1h"] = number_format(pm25_to_aqi(($sensor1h)), 1);
    $aqiweather["aqipm10"]      = number_format(pm25_to_aqi(($aqiweather["aqipm10"])), 1);
	$aqiweather["voc"]=$weather34purpleair_json['sensor']['voc'];
    $aqiweather["aqipm25"]      =$weather34purpleair_json['sensor']['pm2.5_atm'];
    $aqiweather["rssi"]      =$weather34purpleair_json['sensor']['rssi'];
    $aqiweather["uptime"]      =$weather34purpleair_json['sensor']['uptime'];
    $aqiweather["model"]      =$weather34purpleair_json['sensor']['model'];
    $aqiweather["purpleairID"]      =$weather34purpleair_json['sensor']['sensor_index'];
    $aqiweather["purpleairhardware"]      =$weather34purpleair_json['sensor']['hardware'];
    $aqiweather["purpleairfirmware"]      =$weather34purpleair_json['sensor']['firmware_version'];    
    $aqiweather["rssi"]=$aqiweather["rssi"]-$aqiweather["rssi"]*1-$aqiweather["rssi"];
    $pahumidity = $weather34purpleair_json['sensor']['humidity'];
    $patemperature = $weather34purpleair_json['sensor']['temperature'];
   
    //weather34 purple air uptime
    $purpleairminutes = $aqiweather["uptime"];    
    $newdate    = new DateTime('@0');
    $purpleairminutesset  = new DateTime('@' . $purpleairminutes * 60);
    $purpleairuptime    =$newdate->diff($purpleairminutesset);    
    
        //wood smoke
        $aqiweather["aqismoke"] = $weather34purpleair_json['sensor']['pm2.5_cf_1'];
        $aqiweather["aqismoke1"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_a'];
        $aqiweather["aqismoke2"] = $weather34purpleair_json['sensor']['pm2.5_cf_1_b'];
        $aqiweather["aqiwoodsmoke"]=number_format(pm25_to_aqi(($aqiweather["aqismoke"])), 0);//EPA
        $aqiweather["aqiwoodsmokecf1a"]=number_format(pm25_to_aqi(($aqiweather["aqismoke1"])), 0);//EPA
        $aqiweather["aqiwoodsmokecf1b"]=number_format(pm25_to_aqi(($aqiweather["aqismoke2"])), 0);//EPA
    
          $woodsmoke= number_format(0.55*$aqiweather["aqiwoodsmoke"]+0.53,0);
        //alternative wood smoke formulas
      //$woodsmoke=0.778 * ($aqiweather["aqiwoodsmoke"]) + 2.65;
       //$woodsmoke=0.5 * ($aqiweather["aqiwoodsmoke"]) - 0.68;
        //use humidity formula with average pm2.5 pa_cf1 a/b
        //$woodsmoke=0.534 * ($aqiweather["aqiwoodsmokecf1a"]) + ($aqiweather["aqiwoodsmokecf1b"])/2 - 0.0844*$pahumidity+5.604;
        //0.52*[PA_cf1(avgAB)] - 0.085*RH +5.71
        //Official PM2.5 corrected= 0.534*[PA_cf1(avgAB)] - 0.0844*RH +5.604
    
    $a=""; 
    //last hour trend
    $aqitrend =  $aqiweather["aqi"] - $aqiweather["aqi1h"];
if ($aqiweather["aqi"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqi"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqi"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqi"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqi"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqi"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 
?>
<div class="sunblock">
<div class="indoordesc5">Wood Smoke </div>
<div class="button button-dial-small">      
<div class="button-dial-top-small" style="font-size:0.2em;"><purple><?php echo $aqiweather["model"]?></purple></div>
<div class="button-dial-label-small">          
<?php 
if ($aqiweather["aqi"] >=300){ echo "<purple>".number_format($woodsmoke ,0)."</purple>";}   
else if ($woodsmoke >=200){ echo "<deepred>".number_format($woodsmoke ,0)."</deepred>";}  
else if ($woodsmoke >=150){ echo "<red>".number_format($woodsmoke ,0)."</red>";}  
else if ($woodsmoke >=100){ echo "<orange>".number_format($woodsmoke ,0)."</orange>";}  
else if ($woodsmoke >=50){ echo "<yellow>".number_format($woodsmoke ,0)."</yellow>";}   
else if ($woodsmoke >=0){ echo "<green>".number_format($woodsmoke ,0)."</green>";}  
?>  
</div>
<?php //AQI
echo "<indoorpm2 style='margin-left:17px;width:max-content;margin-top:30px'>PM2.5 (EPA)</indoorpm2>";?>
</div>

<div class="indoortempa-mod2aqi" > 
<valuetextheadingindoor>
<?php // weather34 simple css indoor temp scale 
if ($woodsmoke >=300 ){echo "0 50 100 150 200 250 <purple>".$woodsmoke ."</purple>+ ";}
else if ($woodsmoke >=250 ){echo "0 50 100 150 200 <deepred>".$woodsmoke ."</deepred> 300+ ";}
else if ($woodsmoke >=200 ){echo "0 50 100 150 <red>".$woodsmoke ."</red> 250 300+ ";}
else if ($woodsmoke >=150 ){echo "0 50 100 <red>".$woodsmoke ."</red> 150 200 250 300+ ";}
else if ($woodsmoke >=100){echo "0 50 <orange>".$woodsmoke ."</orange> 150 200 250 300+ ";}
else if ($woodsmoke >=50 ){echo "0 <yellow>".$woodsmoke ."</yellow> 100 150 200 250 300+ ";}
else if ($woodsmoke >=0 ){echo "<green>".$woodsmoke ."</green> 50 100 150 200 250 300+ ";}
echo "";
?>
</valuetextheadingindoor>
<div class=sunratebar>
<div class="weather34sunratebar" 
style="width:
<?php echo $woodsmoke *0.30;?>px;
background:
<?php 
if ($woodsmoke >=300 ){echo '#8680bc';}
elseif ($woodsmoke >=200 ){echo '#d87040';}
elseif ($woodsmoke >=150 ){echo '#d87040';}
elseif ($woodsmoke >100 ){echo '#d87040';} 
elseif ($woodsmoke >50){echo '#e6a241';}
elseif ($woodsmoke >0 ){echo '#9bbc2f';}
?>;">
</div></div></div>

<div class="indoortempa-mod3aqi" >  
<?php 
//air description
if ($woodsmoke >=300){echo "High Hazordous &nbsp;".$aqalert;}
else if ($woodsmoke >=250){echo "Pollution Very High &nbsp;".$aqalertsmall;}
else if ($woodsmoke >=200){echo "Pollution Very High &nbsp;".$aqalertsmall;}
else if ($woodsmoke >=150){echo "Pollution High &nbsp;".$aqalertsmall;}
else if ($woodsmoke >=100){echo "Pollution Risk";}
else if ($woodsmoke >=50){echo "Pollution Moderate ";}
else if ($woodsmoke >0){echo "Pollution Low";}
?></div>
<div class=aqiid-brand><a href='purple-air-almanac2-wood.php' data-lity data-title="Wood Smoke Info">
    <?php echo  $chartlinks."&nbsp;Extra Data"?></a></div></div>
