<?php
	
	####################################################################################################
	#	CREATED FOR Meteobridge AURORA MKII TEMPLATE 											  		   #
	# 											   													   # 
	# 	                                                                                               #
	# 	compiled with CanvasJs v3.12.4 GA (licensed)  	                                                                           #
	#                                 #
	# 	                                                                                               #
	# 	ReleaseJabuary 2024                                        									   #
	# 	                                                                                               #
	#   weather34 	                                                              					   #
	####################################################################################################
	
	include('preload.php');	
	
	$conv= 5;
    	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR RAINFALL DATABASE CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		 
		
	';
	date_default_timezone_set($TZ);
	$date= date('D jS Y');$weatherfile = date('Y')."/".date('jMY');?>
    <br>
    	<script type="text/javascript">


function WEATHER34CHARTCOLORS(rain) {
if (rain>=0 && rain<=5*<?php echo $conv ;?>) {rainlevel='hsla(185, 100%, 37%, 1)';}
else if (rain>30*<?php echo $conv ;?>){rainlevel='hsl(209, 65%, 32%)';}
else if (rain>5*<?php echo $conv ;?>){rainlevel='hsl(201, 79%, 47%)';}
return rainlevel;}





		// today temperature
        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 1; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');	
				if ( rowData[2] >-150)				
					dataPoints1.push({label: rowData[1],y:parseFloat(rowData[10]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[10]*<?php echo $conv ;?>))});
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 1; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');		
				if ( rowData[2] >-150)		
					dataPoints2.push({label: rowData[1],y:parseFloat(rowData[10])});
				
			}
			drawChart(dataPoints1 , dataPoints2 );
		}
	}

		function drawChart( dataPoints1 , dataPoints2 ) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		 backgroundColor: "transparent",
		 animationEnabled: false,		
		
		title: {
            text: " ",
			fontSize: 0,
			fontColor:' #aaa',
			fontFamily: "verb",
        },
		
		
		
		toolTip:{
			   fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",	
               borderThickness: 3,	
			   fontSize: 11,	   	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
 },
		axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",
			gridThickness: 0,
			gridDashType: "dot",	
			interval:"auto",
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			labelAutoFit: true , 
			
			
			},
			
		axisY:{	
		titleFontSize: 0,       
		margin: 0,
		lineThickness: 0,			
		minimum:0,		
		interval: 0.1,
		gridThickness: 0,
        tickThickness: 0,	
        includeZero:false,	
		labelFontSize: 0,		
		
      },
	  
	  legend:{
		enabled: false,
  
 },
		
		
		data: [
		{
			//type: "spline",
			type: "column",			
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 0,
			markerType: "circle",
			name:" Rainrate Accumulation",
			dataPoints: dataPoints1,
			yValueFormatString: "##.##",
			
		},
		{
			
			
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
	}
});</script>
<body>
</script>
<div id="chartContainer2" class="charthome"></div></div>

</body></html>